--- 2.0.6.2 released ---

2011-11-26 (Dmoctezuma)
 * Follow Location redirects, MS seems to have moved some accounts
   to other servers. (patch by Lekensteyn)

2011-04-12 (Sjors)
 * Apply a patch by Francesco Nwokeka, fixing a part of #480 by moving
   file transfer settings into its own tab in the settings screen.
 * Include Phonon headers correctly.

2011-04-10 (Ruben)
 * Fixed XML for DBus interface

2011-04-03 (Dmoctezuma)
 * Updated email address.

2011-03-14 (Dmoctezuma)
 * Updated Japanese translation.

2011-02-27 (Dmoctezuma)
 * Updated Japanese translation.

2011-02-25 (Adam)
 * Fix bug where KMess would fail to build on relwithdebinfo builds when
   --enable-debug-output was set

--- 2.0.6.1 released ---

2011-02-16 (Adam)
 * Fix yet another login bug caused because our initial profile data no
   longer includes a language preference.

--- 2.0.6 released ---

2011-01-13 (Adam)
 * Fix bug where KMess couldn't login due to badly formed URL commands.

2011-01-08 (Valerio)
 * Fixed crash when taking any action in the Contact Added User dialog.
   Also removed an unnecessary signal-bouncing slot.
 * Fixed a dangling pointer issue when the Contact Added User dialog was
   shown, closed and shown again.

2011-01-05 (Adam)
 * Add new widget, FaderWidget, which smoothly fades between the initial view
   and the contact list. Disable by setting NoFadeEffect to true under the
   MainWindow section of kmessrc.

2011-01-02 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.
 * Merged an updated Spanish translation by Daniel E. Moctezuma.
 * Merged an updated German translation.

2010-12-24 (Adam)
 * Fix retrieval of roaming display picture.

2010-12-23 (Adam)
 * Fix a problem where roaming service profile data was invalid.

2010-12-13 (Valerio)
 * Fixed "Visit Link" context-menu icon in chat. Thanks to IRC's agostino for the
   heads-up.

2010-11-16 (Adam)
 * (Finally) merged in a modified patch by Timo Tambet that groups all
   "contact added user" windows as tabs under a single dialog.

--- 2.0.5 released ---

2010-10-23 (Valerio)
 * Added new chats to the log records, no need to logout to see the chat logs of
   the current session anymore.
 * Made the HTTP connection timer fix from yesterday to compile with Qt < 4.7.
 * Fixed building with certain compiler configurations.

2010-10-22 (Valerio)
 * Show user's display picture in chat by default.
 * Fixed HTTP connection timers, now midnight and clock skews don't cause any
   more the HTTP rate limiter to fail.

2010-10-16 (Valerio)
 * Integrated Chat History with the Chat Window:
   - added a menu item and toolbar action, showing a menu containing the current
     tab's contacts;
   - added a context menu entry in the Contacts Panel.
 * Removed some unused code in ContactFrame.
 * Fixed logging in with long passwords (17+ characters). The Live servers don't
   accept those, hehehe.

2010-10-16 (Adam)
 * Fix the parsing of offline IM messages.

2010-09-19 (Adam)
 * Fix a signal issue in MsnNotificationConnection, thanks Timo Tambet

2010-09-10 (Pano)
 * Merged an updated Traditional Chinese translation by Yen-chou Chen.

2010-09-03 (Adam)
 * Fix a crash caused when the contacts widget was deleted twice in a chat window.

2010-09-02 (Sjors)
 * Add <html> tag to status notification messages so HTML is stripped correctly
   by knotify.

2010-08-13 (Pano)
 * Merged an updated Estonian translation by Timo Tambet.

2010-08-13 (Pano)
 * Merged an updated Hungarian translation by József Makay.

2010-08-11 (Adam)
 * Merge modified patch by Timo Tambet that gives notifications for address
   book changes (contact and group changes).

2010-08-05 (Adam)
 * Bump version number to 2.0.5dev

2010-08-05 (Sjors)
 * Made the SOAP request waiter its own object instead of a QTimer::singleShot
   because now it can be stopped if logging in fails, fixing a crash.

2010-08-04 (Pano)
 * Merged an updated French translation by Anthony Rey.

--- 2.0.4 released ---

2010-07-25 (Adam)
 * Fix ticket #524, thanks to Timo Tambet

2010-07-24 (Adam)
 * Properly handle non-messenger Hotmail contacts that appear on our address book.
   They need to be marked as Messenger users once we add them to our contact list.

2010-07-23 (Adam)
 * Add get-git-version.sh script to return the HEAD revision KMess was built with.
   Removed get-svn-version.sh accordingly.
 * When adding a contact, the contact type should be "Regular" AFAIK.
 * Add AddressBookService::removePending to remove a handle from the Pending list.
 * AddressBookService::getMembershipListUpdate now calls the correct method when
   deleting a membership.

2010-07-22 (Valerio)
 * Fixed the conditions to enable the "Save chat" and "Clear chat" options in the chat view's context menu.

2010-07-21 (Valerio)
 * Fixed contact frame tooltips, there were HTML entities exposed.

2010-07-20 (Pano)
 * Merged an updated Traditional Chinese translation by Yen-chou Chen.

2010-07-17 (Adam)
 * Improve the handling of contacts that are on the address book and
   the pending list at the same time (shouldn't happen, but it does).
 * If a user is already on the friend list, don't allow the "add" option
   to be chosen in ContactAddedUserDialog.
 * Index all contacts by lower case handle to avoid any casing issues on retrieval.

2010-07-17 (Adam)
 * Attempt to solve some of the memory issues on KDE 4.5.

2010-07-12 (Adam)
 * Fix contact list background issues on KDE 4.5

2010-07-10 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.
 * Merged an updated Brazilian Portuguese translation by Morris Arozi Moraes.

2010-07-06 (Pano)
 * Merged an updated French translation by Grégory Bellier.
 * Merged an updated German translation.

2010-07-06 (Valerio)
 * Fixed sending messages only containing whitespace.

2010-07-05 (Valerio)
 * Fixed pressing Enter to send a drawing worked even when nothing was in the drawing.

2010-07-04 (Valerio)
 * Fixed the ability to drag'n'drop into the message editor a received Ink drawing, and an issue with
   the Ink editor button when doing so.

2010-06-29 (Valerio)
 * Added a class to autonomously manage the chat logs retrieval.
 * Rewritten the Chat History dialog, now using a calendar to list dates with available chat logs.

2010-06-27 (Pano)
 * Merged an updated Traditional Chinese translation by the Tryneeds-Chinese Translation Platform.

2010-06-27 (Valerio)
 * Made immutable the display picture size in the contacts dock, to avoid weird picture resizes.
 * Made the chat history box to respect the "Show the emails of contacts instead of the friendly name" option.
 * Merged patch by dah_, changing the contact list to be sorted by status, then alphabetically.

2010-06-27 (Adam)
 * Add a check to ABService to prevent it recognising memberships for
   non-passport members. Otherwise when we try to manipulate the memberships
   for non-passport members we'll get errors since we're not handling them
   correctly.
 * Only pop up the "Contact Added User" dialog if a user is on the Pending list.
 * Fix comments in kmess.notifyrc

2010-06-26 (Valerio)
 * Fixed wrong URL when retrieving a display picture from the server.
 * Changed X11 libraries inclusion to fix building KMess from Fedora 13.

2010-06-24 (Pano)
 * Merged an updated Dutch translation by Heimen Stoffels.

2010-06-20 (Adam)
 * Fix a i18n bug in the system tray code.

2010-06-19 (Valerio)
 * Added support for a new ISF-Qt feature, PNG fortification. This allows users
   to drag and drop their and their contacts' drawings into the message editor
   to be edited.

2010-06-19 (Adam)
 * Backported the new KDE4 system tray spec. Remains optional for people who
   are using KDE < 4.3.

2010-06-13 (Sjors)
 * Workarounded a documented limitation in KDE4_ADD_APP_ICON() to show the
   KMess icon correctly.

2010-06-13 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.

2010-06-07 (Sjors) (noknotify branch)
 * Fixed a crash because QSystemTrayIcon was constructed statically before
   main().
 * Taught MacNotification class how to play sounds.
 * Made MacNotification class take some predefined actions on receiving
   certain events.

2010-06-03 (Sjors) (noknotify branch)
 * Added MacNotification class, which currently makes the KMess icon in the
   Dock 'jump' when its method is called.
 * Made the NotificationManager use MacNotification instead when doing
   notifications on the Mac.
 * Added support to MacNotification class to display Growl messages through
   QSystemTrayIcon.
 * Added support to MacNotification for stripping HTML off messages, so they
   display correctly in Growl.

2010-05-31 (Adam)
 * Fix bug in chatwindow.ui: use the global include for IsfInkCanvas.

2010-05-29 (Pano)
* Merged an updated Japanese translation by Daniel E. Moctezuma.

2010-05-25 (Pano)
 * Merged an updated Catalan translation by Adrià Arrufat.

2010-05-13 (Valerio)
 * Fixed bug which made login to fail when the roaming service gives us a changed display
   picture before setting the initial status.

2010-05-08 (Pano)
 * Merged an updated Dutch translation by Heimen Stoffels.

2010-05-08 (sifcenter)
 * Fixed bug on show listening music when the user is busy (maybe also with other states): the bit operation doesn't work
   if the flags (STATUS_*) have more "1" bits set.

2010-05-03 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.

2010-04-25 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.

2010-04-15 (Pano)
 * Merged an updated German translation.

2010-04-02 (Pano)
 * Merged an updated Dutch translation by Heimen Stoffels.

2010-04-01 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.

2010-03-30 (Adam)
 * Add Francesco Nwokeka to the credits dialog for the Now Playing toggle button.
 * Workaround a Qt 4.6.1/4.6.2 bug which was causing multiple copies of a single DP to appear in the "set previous
   display picture" dialog and the contact properties dialog.

2010-03-28 (Adam)
 * Bug fix on MPRIS querying - the Identity method is located on the root interface, not the /Player interface.
 * Reduce the number of debug messages coming out of NowListeningClient. Emits a debug message only when the song changes.
 * Remove "contact does not have you on their contact list" text from the tool tips.

2010-03-27 (Adam)
 * Merge a modified patch by z3r0 from the boards; adds a toggle button for "now listening" to the contact list.
 * Display the currently playing song above the CL even while appearing offline.
 * Make the size of the CL DP depend on whether or not music is playing.
 * Adjust font size of now listening label to match personal message.

2010-03-17 (Adam)
 * Fix bug where account properties were not properly updated in some cases.
 * Fix bug where "Log in Automatically" was not obeyed and saved if it was unchecked after being enabled.
 * When removing a contact that is already blocked, do not add them to the allow list.

2010-03-16 (Pano)
 * Added a Galician translation by Indalecio Freiría Santos.

2010-03-13 (Adam)
 * Fix bug where the status was set to "Idle" upon waking up from sleep.
 * Fix bug where IDL status was kept after disconnection.

--- 2.0.3 released ---

2010-03-09 (Pano)
 * Merged a Russian translation by Dmitriy Simbiriatin.

2010-03-05 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.
 * Merged an updated Slovak translation by Rastislav Krupanský.

2010-03-02 (Pano)
 * Merged an updated Traditional Chinese translation by Yen-chou Chen.

2010-03-01 (Pano)
 * Merged an updated Spanish translation by Mauricio Muñoz Lucero.
 * Merged an updated Turkish translation by Uğur Çetin.
 * Merged an updated Portuguese translation by Bruno Almeida.
 * Merged an updated Estonian translation by Rivo Laks.

2010-02-28 (Pano)
 * Merged an updated Greek translation by Dimitrios Glentadakis.

2010-02-27 (Pano)
 * Merged an updated German translation.
 * Merged an updated Catalan translation by Adrià Arrufat.
 * Merged an updated Brazilian Portuguese translation by Morris Arozi Moraes.
 * Merged an updated Dutch translation by Heimen Stoffels.

2010-02-26 (Pano)
 * Merged an updated French translation by Grégory Bellier.

2010-02-25 (Pano)
 * Merged an updated Hungarian translation by Pauli Henrik.

2010-02-22 (Pano)
 * Added a Portuguese translation by Bruno Almeida.

2010-02-21 (Adam)
  * Bug fix: ink editor was greyed out when changing tabs.

2010-02-20 (Ruben)
  * Added DBus methods to get and set a personal message.

2010-02-20 (Adam)
  * Backport: fix "contact added user" dialog appearing on next logon after deleting a contact.

2010-02-19 (Adam)
  * Disable the reverse list colouring of the CL until we sort out the updating of membership lists.

2010-02-18 (Adam)
  * Re-enable the password edit field in AccountSettingsDialog.
  * Format times in text log files according to KLocale.

2010-02-16 (Adam)
 * Fix a bug where the window size was not saved/reloaded properly on chat window close. See the comments
   in chatwindow.cpp, line 1395 however.

2010-01-13 (Adam)
 * Backport: properly update UI when choosing to connect with a different account whilst connection is in progress.

2010-01-29 (Ruben)
 * Trunk backport: Added workaround where "last seen" and/or "last message" are in the year 2106.

2010-01-28 (Pano)
 * Merged an updated Traditional Chinese translation by Yen-chou Chen.
 * Merged an updated Dutch translation by Sjors Gielen.

2010-01-24 (Adam)
 * New feature: if proxy connection fails, remove proxy details and try again.

2010-01-24 (Pano)
 * Added a Russian translation by Dmitriy Simbiriatin.

2010-01-21 (Ruben)
 * Improved layout flexibility of the contact properties dialog. (Trunk backport)

2010-01-20 (Pano)
 * Merged an updated Brazilian Portuguese translation by Morris Arozi Moraes.

2010-01-19 (Adam)
 * Bump copyright years.
 * Bug fix: correctly parse MSN color information in chat messages.
 * Bump version to 2.0.3dev.

2010-01-17 (Adam)
 * Bug fix: friendly names weren't shown in Ink error messages.
 * Bug fix: Ink validation failed if there were trailing \r\n characters; trim them out first.
 * Bug fix: fixed long standing crash that occurred with InvitedContacts and restarted chats.
            Reported by Ralesk.

2010-01-16 (Pano)
 * Merged an updated Greek translation by Dimitrios Glentadakis.

2010-01-15 (Ruben)
 * Merged improved patch by Mamadou Gueye, to show email count in systray tooltip.

2010-01-09 (Pano)
 * Updated message catalogs (POT and PO files)

2010-01-08 (sifcenter)
 * Use the SOAP reply into QDocDocument to indent and print it.
 * Added a small tooltip for the image in contact properties dialog.

2010-01-08 (Valerio)
 * Improved the sizes of the friendly name and personal message labels on the
   Contact List.
 * Added a workaround to a KDE bug, requiring the spell checker to be set twice
   when switching between tabs.

2010-01-06 (Pano)
 * Merged an updated French translation by Grégory Bellier.

2010-01-02 (Valerio)
 * Merged patch by Mentos, fixing emoticon encoding issues in chat logs.
 * Merged patch by Mentos, fixing a bug when setting a custom display picture
   to a contact.
 * Merged patch by Mentos, which enables dragging and dropping of images
   into display picture frames.
 * Fixed issue with empty personal messages on login showing an empty message
   instead of the default message.

2009-12-31 (Valerio)
 * Replaced the contact list friendlyname and PM labels with new labels
   editable inline by clicking.

2009-12-29 (Valerio)
 * Removed code to change the size of the displayed picture in chat.
 * Merged patch by Mentos, fixing emoticon encoding issues.
 * Merged patch by ipereira, adding translator details in the pot files.

2009-12-23 (Adam)
 * After discussion with Sjors reverted QtWebKit commit. Will be moved into a branch
   where it can be stabilised before being moved back into trunk or 2.0.x.

2009-12-23 (Sjors)
 * Replaced QCA with GCrypt. This makes Mac and Windows builds much, much
 easier and removes the support hell QCA used to be, because it required
 OpenSSL plugins and that stuff.

2009-12-19 (Sjors)
 * Removed KHTML in favor of QtWebKit. This will help us make Qt-only builds for Windows and Mac.
 * Also removed KUrl in favor of QUrl, since they are almost the same anyway.

2009-12-15 (Valerio)
 * Fixed a meaningless error dialog when logging in with accounts which have
   added the Messenger official email address to the contact list.

2009-12-08 (Valerio)
 * Fixed a crash which occurred when trying to login with the wrong password.

2009-12-05 (Adam)
 * Fix a crash bug that can occur when we receive a CHG earlier than we should.

--- 2.0.2 released ---

2009-12-04 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.

2009-12-03 (Sjors)
 * Fixed a bug introduced just before 2.0.1 release, making it impossible to
   log in twice in the same KMess run.

2009-12-02 (Pano)
 * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.
 * Merged an updated Traditional Chinese translation by Yen-chou Chen.

--- 2.0.1 released ---

2009-11-30 (Sjors)
 * Fixed a bug introduced by the last commit, causing KMess to initially log in
   with the handle as friendlyname instead of the correct friendlyname at first
   login to a new account.

2009-11-29 (Pano)
 * Merged an updated German translation.
 * Merged an updated Estonian translation by Lauri Võsandi, Mihkel Tõnnov and Rivo Laks

2009-11-29 (Valerio)
 * Fixed missed publishing of the user's friendly name on login.
 * Fixed notifying the NS server of a friendly name change when a new name is received
   via Storage Service.

2009-11-27 (Valerio)
 * Fixed encoding misinterpretation occurring when retrieving friendly name and personal
   message from the Storage server.

2009-11-24 (Valerio)
 * Fixed friendly name resets upon login.

2009-11-18 (Pano)
 * Merged an updated Simplified Chinese translation by Cheng Yang.

2009-11-16 (Pano)
 * Merged an updated Spanish translation by Guillermo Arana.

2009-11-14 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.

2009-11-12 (Pano)
 * Merged an updated German translation.

2009-11-12 (Adam)
 * Rewrite the CMakeLists.txt entry regarding ISF-qt: remove mention of libgif as
   it serves to be confusing (it suggests that libgif isn't installed when it might be).
   The ISF-qt CMakeLists will produce a warning if libgif isn't installed.

2009-11-11 (Pano)
 * Merged an updated Hungarian translation by Pauli Henrik.

2009-11-10 (Adam)
 * Merge a patch by jmsantamaria which corrects KMess linking on binutils-gold.

2009-11-08 (Ruben)
 * Fixed Likeback icons install condition.

2009-11-07 (Pano)
 * Merged an updated Finnish translation by Marko Mäkilä.
 * Merged an updated Spanish translation by Guillermo Arana.

2009-11-05 (Pano)
 * Merged an updated Dutch translation by Sjors Gielen.
 * Merged an updated Japanese translation by Daniel E. Moctezuma.

2009-11-04 (Valerio)
 * Updated the Italian translation.

2009-11-03 (Pano)
 * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.

2009-11-02 (Pano)
 * Merged an updated Catalan translation by Adrià Arrufat.
 * Merged an updated Greek translation by George Kiagiadakis.
 * Merged an updated Turkish translation by Uğur Çetin.

2009-11-02 (Adam)
 * Ensure the height of items in the contact list is sufficient to fully
   display the contact name and PSM (strings got cut off when people used large
   KDE font sizes).
 * Increase the notification unlock timeout to 10 seconds after the last ILN.
 * Allow the download/upload buttons in the transfer window to expand to show their
   text. Necessary for translations.
 * Fix the icon name for "Rename group".

2009-11-01 (Pano)
 * Merged an updated Dutch translation by Sjors Gielen.
 * Merged an updated Spanish translation by Guillermo Arana.
 * Merged an updated German translation.
 * Merged an updated Catalan translation by Adrià Arrufat.

2009-10-31 (Sjors)
 * Removed eight languages for being utterly incomplete: da, et,
 ko, nb, sl, sr@latin, sv, th.

2009-10-30 (Pano)
 * Merged an updated German translation.

2009-10-28 (Adam)
 * Correctly display contact handle and dates in text chat logs.
 * Merge patch by mikkoc to solve DBus query problems on Qt 4.6.

2009-10-27 (Adam)
 * One final fix to KDE bug #209960 - missed the chat window.

2009-10-23 (Sjors)
 * Fixed .ui file warnings.

2009-10-23 (Valerio)
 * Removed duplicated separator line between Chat Window buttons.

2009-10-23 (Adam)
 * Store display name on roaming service but do not use it for display (in line with WLM).
 * Remove duplicate "Show Statusbar" from the list of shortcuts.
 * Fix updating of display picture with the roaming service.
 * Change keystrokes for scrolling in chat message view - pgdn/pgup = scroll, alt+pgdn/pgup = fast scroll.
   Fixes a clash with the text editor which caused the view to scroll when shift+pg selecting text in the editor.

2009-10-22 (Adam)
 * Fix build error introduced in r5567. My bad.
 * Fix a crash bug that was introduced with a previous fix. Previous fix has been reverted pending better solution.
 * Improve fix for KDE bug #209960.
 * Stop writing bad "last seen date" and "last message date" values when saving contact list.

2009-10-21 (Adam)
 * Cache last display names of contacts; works around an issue where the AddressBook service
   gives us out of date data.
 * Fix a bug introduced by r5532.

2009-10-21 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.

2009-10-19 (Sjors)
 * Fixed a 500 kb memory leak that appeared when a login failed.

2009-10-18 (Pano)
 * Merged an updated Traditional Chinese translation by Yen-chou Chen.

2009-10-18 (Adam)
 * Fix a crash in the roaming service that happened when retrieving a display picture from the server.
 * Fix bug where auto-login used the wrong password if the user had previously quit kmess whilst having a different
   account selected in the combo box.

2009-10-16 (Sjors)
 * Fixed a performance bug.
 * Fixed a very annoying crash I've been having for a while. I'm not really
 happy with the fix, left a comment in the code why.
 * Removed the nudge button from the small buttons below the chat window,
 because it is a usability issue that it does something way else than all the
 other buttons. If we want to re-add it, we need to discuss a better place
 etc.
 * Fixed escaping in the RoamingService *again*...

2009-10-13 (Adam)
 * Work around KDE bug #209960 that appeared in 4.3.2; caused a crash when closing account settings.

2009-10-12 (Adam)
 * Bring 2.0.x in line with trunk when building ISF-qt.

2009-10-09 (Valerio)
 * Fixed crash with HTTP connections.

2009-10-03 (Valerio)
 * Merged patch by Pieterjan Camerlynck, to add display picture support for the Roaming
   Service.

2009-10-03 (Adam)
 * Fix contact online spam again. Disable notifications when re-connecting to the NS.

2009-09-30 (Valerio)
 * Merged patch by Anastasios Bourazanis, to render clickable the text in the Contact
   Properties dialog.

2009-09-30 (dazjorz)
 * Fixed RoamingService class: coding style, disconnections because data
 wasn't escaped correctly, etc.

2009-09-30 (Adam)
 * Commit patch by Anastasios Bourazanis; preview of emoticons in emoticon settings page.
 * Double-click emoticon to edit instead of single click.
 * In AddEmoticonDialog, instruct QMovie to cache all frames. Prevents infinite loops if the
   emoticon file is deleted.
 * Fix the dreaded "contact online spam" - use a sliding timeout that is reset each time
   an ILN is received on login.

2009-09-29 (Valerio)
 * Fixed the Online notifications. The original issue kindly brought to you by Microsoft®.

2009-09-14 (Adam)
 * Fix a crash that occurred when attempting to cancel a drag and drop operation
   started from the chat window.

2009-09-12 (Valerio)
 * Backport from trunk. Connect immediately when performing an auto-login.
 * Backport from trunk. Added ability to drag-and-drop an image from KSnapshot to
   a chat, to send it.
 * Backport from trunk. Made the Transfer Window to pop up in background instead of
   appearing minimized.

2009-09-11 (Valerio)
 * Fixed minimum size of the message editor. Now it can be reduced to one line only.
 * Made the minimum size of the message editor depending on the current font size.
 * Simplified a bit the code in the winks widget.
 * Backport from trunk. Fix cmake check to get KMess version.
 * Backport from trunk. Fix configure script for MacOS 10.4.
 * Backport from trunk. Fixed receiving Ink via P2P.
 * Backport from trunk. Added chat window buttons to quickly change message font and color.
 * Backport from trunk. Added chat window button to send nudges.
 * Backport from trunk. Added Roaming Service support,
   to retrieve friendly name, personal message and display picture from the Live servers.

2009-09-10 (Adam)
 * Properly init ISF-qt resources.

2009-09-10 (Valerio)
 * Backport from trunk. Added full Ink support, thanks to ISF-Qt.
   Removed giflib dependency, as it is now managed by ISF-Qt.
 * Fixed Handwriting button disabling, there was a workaround not needed anymore
   now that we have isf support.

2009-09-09 (Valerio)
 * Added external reference to isf-qt from trunk.

2009-09-06 (Pano)
 * Merged an updated French translation by Émeric Dupont (backport from trunk)
 * Merged an updated Turkish translation by Uğur Çetin (backport from trunk)

2009-09-02 (Adam)
 * Backport from trunk. Fix improper scaling of DP in chat window and contact list.

2009-09-01 (Valerio)
 * Backport from trunk. Fixed maximum emoticon shortcut length.
 * Backport from trunk. Do not show the 'close all tabs?' dialog when the KDE
   session is closing.

2009-08-17 (Valerio)
 * Merged an improved patch by Camille Begue, to add a "Log in automatically"
   check box to the Initial View. Thanks!

2009-08-16 (Valerio)
 * Merged an improved patch by Camille Begue, to allow the Chat History
   dialog to be opened when not connected.

2009-08-14 (Valerio)
 * Fixed crash in NetworkWindow when receiving P2P messages shorter than the usual.
 * Backported Test Server support from trunk.
 * Backported fix of an overzealousness of the IRC-like commands parser.
 * Backported removal of in-place editing of emoticons, now it's only done by AddEmoticonDialog.
 * Backported addition of checking shortcuts of added/edited emoticons for invalid characters.
 * Fixed some untranslated strings.

2009-08-10 (Adam)
 * Fix bug where the smileys in the contact list and friendly name label
   were not redrawn when the emoticon theme was changed: this fix is not
   pretty and a much nicer one will be applied for 2.1.

2009-08-01 (Adam)
 * Fix bug where the display picture cache was not cleared when the picture
   changed.
 * Cache the scaled display picture when painting the contact list. Mitigates
   the performance hit incurred by using Qt::SmoothTransformation.

2009-08-01 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.

2009-07-27 (Adam)
 * Use smooth pixmap scaling for display pictures in contact list.
   Check for any serious performance hits.

2009-07-26 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.

--- 2.0 released ---

2009-07-24 (dazjorz)
 * Fixed bug in cmake/get-svn-version.sh on platforms where builtin echo
 doesn't understand -n.
 * Fixed contact list sorting etc issue ONCE AND FOR ALL.

2009-07-24 (Pano)
 * Merged an updated German translation.
 * Merged an updated Simplified Chinese translation by Cheng Yang.

2009-07-23 (Valerio)
 * Added a class giving meaningful error messages for unsupported applications.

2009-07-21 (Pano)
 * Merged an updated Arabic translation by Ma'moun Diraneyya.

2009-07-20 (Adam)
 * Fix KMess crashing when transferring display pictures: note this is a
   band aid fix and will need to be properly investigated for later releases.

2009-07-20 (Pano)
  * Merged an updated Simplified Chinese translation by Cheng Yang.

2009-07-18 (Valerio)
 * Further improved the fix for contact list tooltips with RTL languages.

--- 2.0rc1 released ---

2009-07-17 (Valerio)
 * Fixed contact list tooltips with Right-to-Left text layouts.

2009-07-16 (Pano)
 * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.
 * Merged an updated Japanese translation by Daniel E. Moctezuma.
 * Merged an updated Arabic translation by Ma'moun Diraneyya.
 * Merged an updated German translation.

2009-07-15 (Pano)
 * Merged an updated Greek translation by Dimitrios Glentadakis.
 * Merged an updated Finnish translation by Antoni Hussy.
 * Merged an updated German translation.

2009-07-14 (Valerio)
 * Removed BinReloc, AutoPackage, and the other packaging support files.
 * Removed code which will never be in any 2.0.x release: WebApplication, NetMeeting/GnomeMeeting,
   audio conversation, SIP, UPNP, Webcam, Roaming, RemoteDesktop.

2009-07-14 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.
 * Merged an updated Hungarian translation by Pauli Henrik.

2009-07-14 (dazjorz)
 * Removed unused member currentStatus_ from KMess object.
 * Fixed reconnection resetting the status to the default initial status,
 instead of the last status before the connection was lost.
 * Set our new shiny KDE debug number to be the default.

2009-07-13 (Pano)
 * Merged an updated Japanese translation by Daniel E. Moctezuma.
 * Merged an updated German translation.
 * Merged an updated Catalan translation by Adrià Arrufat.

2009-07-11 (Pano)
 * Merged an updated German translation.

2009-07-10 (Valerio)
 * Added a little more space between the contact properties and their name in the Contact List tooltips.

2009-07-09 (Valerio)
 * Improved the looks of elided labels and increased the size of the user's friendly name.

2009-07-09 (Pano)
 * Merged an updated Slovak translation by Rastislav Krupanský.
 * Merged an updated German translation.

2009-07-09 (Adam)
 * Backport from trunk: fix bug where account would be saved when "Remember Account" was
   unchecked.

2009-07-08 (Pano)
 * Added an Japanese translation by Daniel E. Moctezuma.
 * Merged an updated Brazilian Portuguese translation by Sergio Rafael Lemke.

2009-07-07 (Valerio)
 * Backported from trunk: Fixed account verification and registration links in the Account Settings.

2009-07-07 (Adam)
 * Backport fix for artifacts that appear when fading text in the contact list
   with antialiasing enabled.

2009-07-07 (Adam)
 * Backport unknown avatar picture courtesy of archdria.

2009-07-06 (Pano)
 * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.

2009-07-06 (Valerio)
 * Fix adding a contact which had added the user, resulting in having the new contact
   appear as not having the user in his/her list.

2009-07-06 (dazjorz)
 * Fix logging once and for all, hopefully, and comment about the remaining
   edge cases I saw.
 * Made the shadowed hummingbird by Adrià Arrufat (Swiftscythe) an overlay to
   the user icon, changed the sizes a little.
 * Updated the 'unknown avatar' another time, a new icon by Adrià :)
 * Fixed crash in KMess::switchViewToContactList() and cleaned up that method and switchViewToInitialScreen().
 * Cleaned up a part of KMessView::showContextMenu().

2009-07-05 (Valerio)
 * Ensure the chat doesn't scroll when toggling the Chat Window Docks.
 * Prevent crashing on exit when the LikeBack Bar trieds to move on a window that is
   already deleted.
 * Fixed wrong "no internet connection" message in the initial screen when a connection gets
   established.
 * Updated Italian translation.
 * Removed the unused window title from an UI file.

2009-07-04 (Valerio)
 * Fixed Contact List's text when using RTL languages.
 * Improved the Contact Frame appearance: centered the contact's display picture, like the
   user one is.

2009-07-01 (Ruben)
 * DBus adapter is now built from XML (again).

2009-07-01 (Pano)
 * Merged an updated Brazilian Portuguese translation by Sergio Rafael Lemke.

2009-06-30 (Pano)
 * Merged an updated Dutch translation by Sjors Gielen.
 * Merged an updated Catalan translation by Adrià Arrufat.

2009-06-30 (Adam)
 * Change the icon of chat windows from the hummingbird to "user-identity" and "system-users"
   for 1-1 and group chats respectively.

2009-06-30 (dazjorz)
 * Imported the use of icon overlays from Amarok. Before, either the
 hummingbird or a status icon would be displayed; now the hummingbird is
 always displayed and a status icon is displayed as an overlay if possible.
 * Fixed bug where an invalid XML log file would make the chat history dialog
 go into an infinite loop.
 * Fixed some thread issues; now only starting the thread after the documents
 are given. Still an imperfect fix, if a new contact is chosen this could
 potentially run into problems if the thread just selects a new document
 that's currently being added, potentially.
 * Fixed a crash probably caused by my earlier commit, only showing if full
 debugging is enabled.
 * Fixed selectNextFile() to not return the base file if startingNumber is not
 zero, even if .1.xml doesn't exist and the base file does.
 * Fixed #494: display size is not limited for notifications. Displays are now
 limited at 96x96.
 * Now using 'chronometer' as an icon for the history dialog.
 * Finally replaced the kmess bag-over-head guy with a new icon. It's not
 perfect, just quickly hacked together, but it will probably serve until the
 Oxygen team comes with something better. :)
 * Moved the overlay code to kmessshared, and used that same method also for
 an overlay for the chat window, and dialogs like the chat history dialog.

2009-06-29 (Diederik)
 * Fix a crash triggered by clients aborting while we're sending data.

2009-06-28 (Pano)
 * Merged an updated German translation.

2009-06-25 (Pano)
 * Merged an updated Dutch translation by Sander Pientka.
 * Merged an updated Finnish translation by Antoni Hussy.

2009-06-24 (Adam)
 * Revert r4901; author names must be wrapped in ki18n() calls.

2009-06-23 (Adam)
 * Make the chat history dialog load any log files for a contact even if the base log
   file doesn't exist.
 * Remove the magic number for the max log file size; replaced with a static const long
   in Chat class.
 * Improve the debug messages in KMessShared::selectNextFile
 * Fix bug where the base file would always be skipped for chat logging.
 * Fade group names in contact list.
 * Prevent wordwrapping of group names in the contact list.
 * Fix logging bug caused by mishandling of the style tags in chatmessageview.cpp

2009-06-22 (Adam)
 * Display emoticons in presence messages.

2009-06-22 (dazjorz)
 * Fixed the logging issues people have been having, of logs suddenly
 disappearing: the log writer no longer clobbers a file when it fails to find
 the style tags; when an error occurs, the autosaver automatically tries to
 save to the next new file.
 * Removed a potential Heisenbug in the chat log writer, where the file would
 not be truncated if debugging was disabled.

2009-06-15 (Adam)
 * Reset cursor position in personal message input to 0 after setting text.
 * No longer show notice-level MSN errors in the statusbar (print debug message instead).
 * Fix warning about scaling a null pixmap in kmessviewdelegate.

2009-06-14 (Adam)
 * Use QUuid for generating GUIDs in KMessShared. Much easier to understand.
 * Fix #284 - require minimum 3 digits for generated ID's.
 * Seed RNG properly with srand() in KMessShared.generateID().
 * ChatMessageView now contains code to create its own popup menu. This simplifies ChatView and
   ChatHistoryDialog a little.
 * Fixed ticket #488 with the change immediately above.

2009-06-13 (Pano)
 * Merged an updated Arabic translation by Ma'moun Diraneyya.

2009-06-12 (Adam)
 * Add new Q&A's to the docbook for changing DP size in contact list and showing
   own DP in the chat windows.
 * Update the doc picture for export contact list.
 * Added sections to the documentation for the chat history dialog and exporting
   the contact list
 * Add Help buttons to the Chat History dialog. Just need to add a section in the
   docbook for it.
 * Tiny changes in the export contact list dialog: fix a typo in "Friendlyname" and
   update to use KMessageBox.
 * Fixed a tiny spelling error in the docbook.
 * Help buttons in dialogs now work: they are linked to their respective docbook sections.
 * Fix #483: do not close the dialog when Help is clicked. Fixed this same issue in the
   global settings dialog too. TODO: Use KDialog::setHelp() to link the help buttons to
   their corresponding docbook entries.

2009-06-12 (dazjorz)
 * Fixed #484: close-to-tray screenshots don't work with autohidden panels. If
 the systray is invisible, no screenshot is displayed (reported by a LikeBack
 user).

2009-06-11 (Adam)
 * Enforce maximum size of 96x96 for display pictures in chat windows (reported by pano).

2009-06-11 (Valerio)
 * Improved status restoring on reconnection.

2009-06-10 (Ruben)
 * Connect immediately on autologin when network status is unknown. Reported by baghera.

2009-06-09 (Ruben)
 * Removed LINK_DIRECTORIES from the konqueror plugin's CMakeList. Reported by RealNC.

2009-06-08 (dazjorz)
 * Updated the Dutch translation a little more.
 * Fixed bug where the passwordEdit_ would be cleared when first logging into
 an account.
 * Fixed adding emoticon links appearing in the history files. (Old history
 files will still contain them, as will external HTML log files.)

2009-06-07 (Pano)
 * Merged an updated Greek translation by Dimitrios Glentadakis.
 * Merged an updated Dutch translation by dazjorz.

2009-06-04 (Ruben)
 * Fixed disabling Handwriting and Winks buttons. Bug reported by mamoun.
 * Fixed RTL rendering of contactlist items. Bug reported by mamoun.

2009-06-01 (dazjorz)
 * Added .xd to the list of invalid country-code TLD's, and fixed a bug on
 checking if a tld is valid: only lowercase tld's were listed as invalid, so
 now calling .toLower() on the tld.

2009-05-31 (Pano)
 * Merged an updated Greek translation by Dimitrios Glentadakis.

2009-05-31 (Ruben)
 * Don't disable glow effect on contact's picture when he/she is typing.

2009-05-25 (Pano)
 * Merged an updated Spanish translation by Mauricio Muñoz Lucero.

2009-05-24 (Diederik)
 * Improved the configure script a bit to detect the default install prefix of 'KDE on MacOS'

2009-05-20 (Pano)
 * Merged an updated Traditional Chinese translation by Yen-chou Chen.

2009-05-19 (Pano)
 * Merged an updated Arabic translation by Ma'moun Diraneyya.

2009-05-18 (dazjorz)
 * Fixed kmessview.ui, maketrans broke on it (this does not break string
 freeze, since that string is untranslatable)

2009-05-17 (Pano)
 * Merged an updated German translation.
 * Merged an updated French translation by Scias.
 * Merged an updated Hungarian translation by Pauli Henrik.

2009-05-17 (Valerio)
 * Fixed displaying labels in the contact list.

2009-05-17 (Pano)
 * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.

2009-05-17 (Adam)
 * Made the status chooser toolbutton expand to take as much space
   as it needs to display its caption fully.

2009-05-16 (Pano)
 * Merged an updated Spanish translation by Mauricio Muñoz Lucero.
 * Merged an updated German translation.

2009-05-16 (Valerio)
 * Fixed chat and contact list alignment issues when using Right-to-Left languages.
 * Added a nice fading effect to the contact list items.
 * Added RTL languages support to the gradientElideLabel widget.
 * Fixed typing when the Winks widget was chosen, didn't go back to the message editor.
 * Added tooltips to the winks in the Winks widget.
 * Moved the contact list's user status icon within the status chooser toolbutton.

2009-05-16 (Adam)
 * Created a new GradientElideLabel class that adds a subtle
   fade effect (as seen in Dolphin) to long labels: this works with rich text
   and images too. It can stand in the place of any existing label and should
   perform reasonably well thanks to Qt's compositing framework.
 * Fixed ContactsWidget and ContactFrame to properly shrink/stretch the labels as necessary.

2009-05-16 (Pano)
 * Merged an updated French translation by Scias.

2009-05-16 (Dario)
 * Added an error message if the Triple DES Hash could not be computed.
   Strings are in a I18N_NOOP, remember to translate after freeze.

2009-05-15 (Valerio)
 * Changed default values for Plus formatting, it is now enabled by default.
 * Fixed status reset when reconnecting.
 * Fixed wrong signal connection in KMessView.
 * Changed the CMake dependency order to build the KMess-Send plugin last.
 * Fixed painter warnings in KMessView and improved its initialization order.
 * Added a possible fix for the rare Chat History Dialog crashes.

2009-05-15 (dazjorz)
 * Fixed AccountsManager not correctly updating the password if it changed and
 was already present in the wallet.
 * Fixed chat logging if the chat style changed: KMess will now write to a new
 file instead of not writing a log at all.
 * Fixed encoding issues with LikeBack again, for users which don't have utf8
 as their local character set. (this matches with the current LikeBack
 development version, but will work with the stable version too.)

2009-05-15 (Pano)
 * Merged an updated Spanish translation by Mauricio Muñoz Lucero.

2009-05-15 (Adam)
 * Fixed a compile bug that only occurred on some KDE installs.

2009-05-13 (Pano)
 * Merged an updated Spanish translation by Mauricio Muñoz Lucero.

2009-05-13 (Adam)
 * Fixed display of media string when contact signs in via XBox LIVE.
 * Fixed Ctrl+F not showing the inline find box in a chat window: this was
   due to KTextEdit consuming the Ctrl+F key sequence.
 * Fixed bug where the global settings dialog displayed stale data in
   the accounts list.

2009-05-12 (Ruben)
 * Draw feedback bar at the upper left corner when the user has a RTL language.

2009-05-12 (Valerio)
 * Fixed broken HTML entities in the emoticon widget's tooltips.
 * Fixed ETA timer, now it shows up only when the first actual bytes are transferred.
 * Fixed initial view's logo, it was being cropped when the window was too small.
 * Removed glow effect from the "show email" link in the Contact List. It was ugly.
 * Fixed Individuals group, it was being forced visible when it was completely empty like
   a normal group.
 * Set a minimum size on the Global Settings dialog's Events page, to allow seeing the
   events right away (it was too small before).
 * Moved the user status icon on the right, next to the status chooser.
 * Removed the "Switching to another server..." login message, as it's useless for most users.
 * Fixed the looks of the _underline_ _word_ _effect_ in chat.

2009-05-12 (dazjorz)
 * Fixed bug if a custom emoticon had a dot plus two letters as a shortcut,
 causing it to be seen as a geeklink.

--- 2.0beta2 released ---

2009-05-10 (dazjorz)
 * Re-added check for getSessionInfo() (or participants > 1) in contactJoined.

2009-05-10 (Pano)
 * Merged an updated Italian translation by Andrea Decorte.
 * Merged an updated Finnish translation by Antony Hussi.
 * Merged an updated Catalan translation by Adrià Arrufat.

2009-05-10 (Ruben)
 * Fixed bug in Konqueror plugin. Thanks to Pano.
 * Added Dutch translation for Konqueror Plugin.

2009-05-09 (Ruben)
 * Fixed bug causing the "Away Message" Dialog to appear twice. Bug reported by Pano.

2009-05-09 (Pano)
 * Merged an updated German translation.

2009-05-08 (Pano)
 * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.

2009-05-08 (dazjorz)
 * The "contact joined" is now always shown, even if it's the first message
 etc.
 * Removed all <html> tags around the strings again... (Sorry translators!)
 * Added a piece of code for CPack in CMakeLists, so we can build an installer
 for Windows and possibly OS X.
 * Let the build process only link in libgif if it was found.
 * Skip installing the message handler on Windows, because it makes debug
 output disappear there.

2009-05-07 (Pano)
 * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.

2009-05-07 (dazjorz)
 * Fixed searching for a contact with a contact with MSN+ tags in his name in
 the InvitedDialog, it now searches through the cleaned string instead of
 through the formatted string.
 * Fixed the Individuals group also displaying the number of online contacts.
 * Merged a slightly altered patch by Ralesk, which now *correctly* splits the
 string also for languages like Arabic.
 * Made the languages list in LikeBack bold, because it tends to be ignored.
 * Made the first given language in LikeBack actually the first listed language.

2009-05-06 (dazjorz)
 * Split string in kmessview, needed for an Arabic translation which
 apparantly needs to make the difference between a count of 1 or != 1 for the
 'online' part too.

2009-05-05 (Pano)
 * Merged an updated Dutch translation by Heimen Stoffels.

2009-05-04 (Pano)
 * Merged an updated Dutch translation by Sander Pientka.
 * Merged an updated German translation.

2009-05-03 (Pano)
 * Updated the KMess handbook a little

2009-05-03 (Diederik)
 * Fixed automatic reconnecting when network manager is initialized at KDE login.

2009-05-03 (dazjorz)
 * Merged a patch by me and Valerio, which disables the inks and winks button
 if the contact doesn't support the respective feature (also keeping in mind
 the WLM inks bug).
 * Fixed crash when quitting KMess after doing the testMsnPlusInteractive()
 test.

2009-05-02 (Pano)
 * Merged an updated Dutch translation by Sander Pientka.

2009-05-01 (dazjorz)
 * Removed the last > and } from a link if there is no < or { in it.
 * Fixed behaviour of the pre-wordwrapper if the string that is currently
 being wrapped ends inside a HTML entity.

2009-04-28 (Pano)
 * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.
 * Merged an updated Catalan translation by Adrià Arrufat.
 * Merged an updated Greek translation by Dimitrios Glentadakis.

2009-04-28 (dazjorz)
 * Fixed #460 with the help of Ed Schouten: encoding issues in the chat
 history dialog. They were caused by a QByteArray being converted to a
 QString.
 * Modified the notice when no logs could be found for a contact, and added
 another notice when no logs could be found and chat logging is disabled.

2009-04-28 (Adam)
 * Require the user to enter a friendly name for an account before saving or updating
 * Display a console warning in MsnNotificationConnection if we try to set an empty friendly name: ignores
   setting empty friendly names now. Stops the NS booting us with a 209 error.

2009-04-27 (Pano)
 * Added tooltips to strings in the account settings that lacked them

2009-04-27 (Valerio)
 * Fixed sorting of Away and Idle contacts in the contact list: now idle ones are always shown above
   away ones.
 * Added warning message in chat when an handwritten message can't be sent or received.
 * Enabled by default the "Hide notifications when busy" option.

2009-04-27 (dazjorz)
 * Implemented workaround for KWin bug: clicking buttons in knotify popups
 wouldn't give a window focus, and kwin focus stealing prevention was blocking
 focus asking; now kmess workarounds the prevention and gives itself focus.
 * Implemented maximum length for the Personal Message input, based on
 research on the max length WLM 8.5 and 2009 (chat window only) will display.
 * Fixed documentation in account.h, account.cpp, addcontactdialog.cpp,
 kmessdbusadaptor.h, filetransferp2p.cpp, application.h,
 httpsoapconnection.cpp, offlineimservice.cpp, msnnotificationconnection.cpp,
 msnobject.h, kmessshared.cpp and likeback.h.

2009-04-26 (Valerio)
 * Fixed chat session restarting.
 * Fixed LikeBack's introductory dialog box.

2009-04-25 (sifcenter)
 * Fixed sending of oim when the user has a long nickname. The server accepts friendly name up to 48 chars.

2009-04-24 (Pano)
 * Merged an updated Traditional Chinese translation by the Tryneeds-Chinese Translation Platform.

2009-04-22 (Valerio)
 * Fixed sending long offline messages.
 * Fixed ampersands displayed incorrectly in chat tab labels.

2009-04-22 (Pano)
 * Merged translations to the kmesssendplugin.desktop file.
 * Merged an updated Dutch translation by Heimen Stoffels.
 * Synced the translators section of the manual with the AUTHORS file.

2009-04-21 (Diederik)
 * Small fix of r4660 (disabling buttons). winks also require multi-packet, and wlm bug tests for 1-on-1 chat.

2009-04-21 (Valerio)
 * Disable the Winks and/or Handwriting buttons if any contacts in a chat don't support it (or we can't
   send those).
 * Show the contact list tooltips even if the window doesn't have focus.
 * Improved cleaning up of SOAP connections after a disconnection.
 * Improved the timers to detect login process timeouts.
 * Fixed zooming in chat. It won't properly "zoom" now, but simply scale the font.

2009-04-21 (Adam)
 * LikeBack welcome message no longer displays if the LikeBack bar is disabled: the message doesn't make
   sense without the bar so best not to show the message in this case.
 * Fixed some compile time warnings.

2009-04-21 (Pano)
 * Merged an updated French translation by Scias.
 * Merged an updated German translation.
 * Merged an updated Italian translation by Andrea Decorte.

2009-04-20 (Adam)
 * Removed an unused variable in chat.h left over from a reverted commit
 * Select the correct menu entry for contact picture display size on startup.

2009-04-19 (dazjorz)
 * Added notice in likebackdialog why we want users to specify their e-mail
 address.
 * Made e-mail address enabled by default.
 * Made LikeBack send new comments in utf-8.
 * Added a warning when you try to send an ink to a WLM 8.5 client with ISF
 support; this doesn't work now.

2009-04-19 (Valerio)
 * Fixed the Contact List widget rendering again.
 * Improved the SOAP server redirection system.
 * Added workaround for Qt development versions > 4.5.0, to allow connecting again.
 * Improved a bit the looks of the Contact List and Account Settings.
 * Removed many languages from the LikeBack dialog.
 * Made LikeBack's feedback dialog to be non-modal.
 * Added default label in the Contact Added User dialog when the contact's friendly name is unknown.
 * Added new wink receiving messages, shown when receiving winks which don't carry a name.
 * Made non-interactive data transfers really quiet: no more errors will be shown in chat for random
   picture transfers.

2009-04-18 (sifcenter)
 * Polished a bit the code of chat class.
 * Fixed an issue in the chatmaster code: The switchboard could be still "active" for the kmess and for the NS server,
 but the remote contact could be disconnected by network problem. When the contact came back online again and continue to chat
 with the user the new switchboard is not attached to the chat. The issue for the moment is managed by createChat.
 Please be attention to this issue because we lost messages ( we can view the messages received only
 on debug messages but not in chat ). Refer to the code to understand well what happens.

2009-04-18 (dazjorz)
 * Fixed libxml parsing errors: now removing invalid characters which may not
 appear in XML strings in ChatMessageStyle.

2009-04-17 (dazjorz)
 * Made KMess only save passwords when a change is detected. Fixes this bug on
 the forums: http://www.kmess.org/board/viewtopic.php?p=10373
 * Fixed a very rare crash in DirectConnectionPool.

2009-04-17 (Valerio)
 * Fixed MimeMessage bug, which caused text messages containing a string used in P2P and multipart
   messages to be interpreted as binary messages.

2009-04-16 (dazjorz)
 * Added gif encoding support, fixes bug #409.
 * Fixed some ink cropping bugs and made inks look more smooth.
 * Added libgif as a dependency to KMess.
 * Added support for receiving application/x-ms-ink messages. (though kmess
 will assume it's gif)
 * Fixed sending ink messages to Live Messenger 8.5: Now sending headers in
 the "right order". (yeah, as if there's something like order in these... f*** you MS)
 * Added '+' symbol as an allowed character in e-mail addresses in the
 RichTextParser.

2009-04-16 (Adam)
 * In an offline messaging session nudges/winks will now cause a switchboard refresh if the contact in the session
   has come online.

2009-04-15 (sifcenter)
 * Switched to reference variables in some code of contact* classes.

2009-04-14 (sifcenter)
 * Use UnAckedMessage* instead of UnAckedMessage in QHash of SB, that stores all unacked messages, to avoid
   using of MimeMessage copy costructor when unAckedMessages_.remove() is called.

2009-04-14 (Valerio)
 * Fixed the scrollbar background in the contact list window.
 * Fixed incorrect detection of ticket expiration time.
 * Disabled "connection problem" message, it was too unreliable with some clients, most notably WLM.

2009-04-13 (Valerio)
 * Fixed a tiny HTML encoding issue in the chat XML.
 * Another huge set of improvements to the Chat History Dialog:
   - The generation of chat logs from the XML files is now threaded.
   - Generation can be interrupted to look to the chats with another contact.
   - The UI doesn't block and makes it visually clear that it's loading stuff.
   - It reacts better to invalid chat logs ("No chats" is shown).
   - Message date and times are correctly shown according to the account settings.
   - Removed the "Do not filter" checkbox as it was pretty much useless.

2009-04-13 (sifcenter)
 * Fixed an issue on add emoticon dialog: the emoticon preview wasn't update correctly.
 * Fixed the press of enter key on CL: the chat wasn't opened.
 * Don't submit the request the changing of the name of one group if the new name is the same of the old one.

2009-04-13 (Pano)
 * Merged an updated Catalan translation by Adrià Arrufat.

2009-04-13 (Adam)
 * Fixed startup state of Show History Box checkbox. Now matches account settings.
 * Group chats now always open in their own chat tab.
 * Removed a useless method from the ContactsWidget class.

2009-04-12 (Ruben)
 * Fixed crash when setting contact in ChatHistoryDialog.
 * Added "Show Chat History" when rightclicking on a contact.
 * Show a messagebox when trying to view the chat history of a contact without a history.

2009-04-12 (Valerio)
 * Changed the Transfers Window to a window from a dialog: it now appears quietly minimized.
 * Changed the Transfer Entries appearance (removed their frames, made them to look more Oxygen).

2009-04-12 (dazjorz)
 * Fixed 'configure' to set debugging to be enabled when the build is
 debugfull (CMake automatically does this anyway and also overrides the
 --enable-debug-output option)
 * Added data hash methods and variables to Emoticon, EmoticonTheme,
 EmoticonManager.
 * Fixed checking if we already have an emoticon: now using the data hash
 instead of the shortcut.
 * Fixed some warnings and failing asserts in DirectConnectionBase and P2PApplication.
 * Removed unneeded hack from EmoticonTheme: html entities in emoticon
 shortcuts (i.e. &amp;) ) will not collide with ;) because it's in the regexp
 as &#59;).

2009-04-11 (Ruben)
 * Disable reconnection timer when the user reconnects using the ChatWindow reconnect button.

2009-04-11 (Pano)
 * Merged an updated Catalan translation by Adrià Arrufat.

2009-04-11 (sifcenter)
 * Fixed the behavior of picture frame on initial view when the user doesn't want one picture.
 * Fixed the behavior of kmess when the user remove his picture: now the right msnobject is sent.
 * Fixed a regression introduced at r4564.

2009-04-11 (Valerio)
 * Refined a bit the new LikeBack Feedback Bar.
 * Changed the Add Emoticon Dialog height.
 * Fixed resizing of the chat style preview in the Account Settings.
 * Fixed spacing between emoticons in the Emoticons Panel.
 * Fixed saving the detected MSN client name.
 * Prevented KMess from creating new chats just to report P2P error messages.
 * Fixed showing the sent wink's name when it is not known.
 * Fixed connecting to a new account without saving the password.
 * Reorganized the View menu entries in the Contact List window.

2009-04-10 (sifcenter)
 * Added a workaroud to avoid the blinking of window on task bar also after the windows became active.
 * Small improvements to code of dialogs classes.
 * Added a small check to user pictures dialog to avoid corrupt view of list.

2009-04-10 (Valerio)
 * Improved LikeBack:
   - Now it will also be enabled in release builds, but then the feedback bar
     will be disabled by default.
   - Moved the "Show Feedback Icons" checkbox from the feedback dialog to the
     Help menu, along with the "Send a Comment" action.
   - Made it to keep the "Show Feedback Icons" setting even when the
     application version changes.
 * Rewritten the LikeBack Feedback Bar, it works a lot more smoothly with all
   window managers.
 * Fixed chat window messages for winks sending and receiving.
 * When sending a wink, added showing its name and the actual wink (if enabled).

2009-04-10 (Pano)
 * Merged an updated Italian translation by Andrea Decorte.
 * Fixed/changed a bunch of strings

2009-04-10 (dazjorz)
 * Fixed the pending emoticon regexp sometimes matching zero-width space: It's
 now (correctly) rebuilt every time the pendingEmoticons_ list is changed.
 * If the zero-length match bug hits (it shouldn't from now on), more
 information is outputted, and the code tries to save the situation instead of
 going into an endless loop.

2009-04-09 (sifcenter)
 * Fixed the issue about the storing of passwords. Ticket #450.
 * Improved the code on the settings classes.
 * Restored the blinking of windows in task bar.

2009-04-08 (dazjorz)
 * Fixed KWallet failing to save passwords on crashes etc: the wallet is now
 only opened when it's needed and closed after it has done its job.

2009-04-08 (Adam)
 * Added a submenu to the contact frame that can open different areas of the
   contact properties dialog.

2009-04-08 (Pano)
 * Merged an updated Brazilian Portuguese translation by Sergio Rafael Lemke.

2009-04-08 (dazjorz)
 * Fixed warning in contactlist model

2009-04-07 (dazjorz)
 * Added group list checking: makes sure there are no duplicates and gaps in
 the contact list.
 * Fixed code from getGroupBySortPosition, it does not need to handle gaps
 anymore now the contact list is corrected.

2009-04-06 (dazjorz)
 * Added a lot of hacks to fix contact list sorting issues:
 * Fixed getGroupBySortPosition function to actually return the right group in
 an unordered groups list
 * Fixed slotGroupMoved (with some hacks...) to swap correctly with the
 correct group.
 * For this, added a getOldSortPosition to Group, to find out what group was
 swapped with in the second run of slotGroupMoved.

2009-04-04 (dazjorz)
 * Fixed memory leaks in EmoticonTheme, ChatView, KMessInterface and
 MsnStatus.
 * Fixed bug in NetworkWindow where a slot may be called just after cleaning
 up the object, causing incorrect, non-allocated memory to be read.
 * Possibly fixed endian issues in
 MsnNotificationConnection::loginSucceeded(). I say "possibly", since there's
 currently no way to test for me.

2009-04-04 (Adam)
 * Fixed the order in which contacts are removed from a chat when a SB session closes.
 * Contacts widget now behaves correctly when contacts leave a chat.

2009-04-04 (sifcenter)
 * Improved the code for the emoticon theme, emoticon manager and emoticon class.
 * Fixed issue when the player finds only empty strings: now kmess doesn't show the multimedia pm in this case.

2009-04-04 (Pano)
 * Merged an updated Greek translation by Dimitrios Glentadakis.
 * Merged an updated Arabic translation by Ma'moun Diraneyya.

2009-04-03 (dazjorz)
 * Fixed "invalid read error" from Valgrind in MsnNotificationConnection
 * Fixed memory leak in ChatMessageView
 * Fixed memory leak in AddEmoticonDialog
 * Fixed and optimized friendly name handling in MsnObject
 * Fixed two invalid free's in XAutoLock
 * Fixed invalid free in xsltransformation.cpp

2009-04-03 (Adam)
 * Fixed changing a contacts groups via the contact properties when the properties were opened
   via the chat window.
 * Contacts widget now shows the correct contacts when the SB session is lost during a group chat.
 * Chat window tabs and window title now show the correct participants when the SB session is lost
   during a group chat.
 * Chat window UI now enables properly when re-invited into a group chat after a disconnect.
 * When the NS connection fails all group chats revert to 1-1 chats with the last remaining contact (like WLM).
 * Fixed pending invitations: they now invite the correct contact.

2009-04-03 (Valerio)
 * Rewritten the Chat History dialog. It works now, and it is a lot faster also.
 * Added a workaround for the connection issues of today.

2009-04-02 (Valerio)
 * Fixed time of arrival of Offline Messages, it was sometimes offset by many hours.
 * Fixed showing delivery errors when sending offline messages.
 * Fixed authentication tokens expiration time on login, they were sometimes expired at,
   time of arrival, or about to expire.
 * Fixed renewal of authorization codes after their expiration after 8 hours of connection.
 * Fixed group chat reactivation after a reconnection. If you get reinvited to the same
   chat, the tab will be reenabled.

2009-04-02 (dazjorz)
 * Fixed richtextparser bug: When a valid pending regexp was given that
 matched empty strings, the program would freeze. This is a hotfix, the
 pending regexps should actually be fixed.

2009-04-01 (Adam)
 * If the user adds themself to their contact list do not show that contact in the
   invite contact dialog (can't invite yourself to a chat).

2009-03-31 (dazjorz)
 * Re-enabled -fvisibility=default if we're not on Windows (fixes KDE
 backtraces)

2009-03-31 (Adam)
 * Disallow editing the current account's handle (prevents a crash)
 * Fixed the buddy shortcut for the sound chooser in contact properties.
 * Fixed a display issue with the group list in the contact properties dialog when that
   dialog was opened through a chat.
 * Added a little more debugging information to the Now Playing class, including the
   player name from MPRIS.

2009-03-31 (Valerio)
 * Fixed chats started by contacts sometimes stealing chat window focus as if they were
   user requested.
 * Changed the color of presence messages.
 * Fixed bug which allowed duplicates of the same presence message.
 * Fixed drag and drop bug, it was possible to drop a contact to the Individuals group.
 * Disallow dragging and dropping for contacts and groups which can't be moved.
 * Fixed bug where the status of contacts in chat was not updated in tab names after
   reconnecting.
 * Merged patch by Andrea Decorte to fix contact names in the invite dialog.
 * Fixed the Dim chat style.
 * Improved session messages: don't show them if they would be the first message, and
   always show them if the Show Session Messages option is enabled.

2009-03-30 (dazjorz)
 * Fixed compiling on Windows with MinGW.

2009-03-30 (Pano)
 * Replaced some specific words in the KMess manual with aquivalent KDE entities.
 * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.
 * Merged an updated German translation.

2009-03-30 (Ruben)
 * Contact notification sound chooser in ContactPropertiesDialog is now a KUrlRequester.
 * Filetype of contact notification sound is now matched against Phonon backend capabilities.

2009-03-30 (sifcenter)
 * Improved the code of Contact Frame.

2009-03-30 (Valerio)
 * Removed the debugging network socket, and added Local Mode #ifs instead, to allow using the
   new KMess Test Server.

2009-03-29 (Pano)
  * Merged an updated Traditional Chinese translation by the Tryneeds-Chinese Translation Platform.
  * Synchronised the "Translators" section of the user manual with the AUTHORS file.

2009-03-29 (sifcenter)
 * Merged a patch from Andrea Decorte to "show copy music entry only when needed" in chat window context menu.
 * Added the ability to disable all notification from one contact.

2009-03-29 (Diederik)
 * Improved the user manual, made small corrections and refrazes.

2009-03-29 (Valerio)
 * Fixed chat window search, broken a week ago (winks fixing).

2009-03-28 (dazjorz)
 * Fixed socket read errors never appearing.

2009-03-28 (Valerio)
 * Completely rewritten and updated the user manual for the 2.0 release.
 * Fixed dragging and dropping contacts on special groups.

2009-03-28 (sifcenter)
 * Fixed the issue about the contact context menu in chat window. We must find out a method to leave transparent the
   container but that leave also the "frame sunken" on picture.
 * Fixed the frame for the unknow contacts when the user is in multi-chat. Ticket #420.
 * Removed the transparent from stylesheet in contact widgets because it's the responsable of some problems at
   Contact properties dialog, context menu, tooltip and all QWidgets childs.
 * Fixed the size of images in contact list tooltip and in chat windows' contacts panale. Ticket #430.
 * Merged the patch of fontknocker for the model list and improved a bit the code.

2009-03-27 (Valerio)
 * Removed an unneeded signal emission.
 * Added interpretation for another OIM response fault.
 * Finished drag&drop support - now works within the contact list and from it
   to chat.
 * Removed the "Search for contact" website links, I can't find these pages
   anymore.
 * Added a check to avoid showing the "close all tabs" confirmation dialog, if
   the user wanted to close all tabs.
 * Merged slightly changed patch by Andrea Decorte, adding the two missing actions
   to the Contact Frame contextmenu: Copy Music and Properties.

2009-03-26 (Pano)
 * Merged an updated Spanish translation by Manuel Ramírez.
 * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.

2009-03-26 (dazjorz)
 * Made offline contact chat windows reusable for when a contact comes online.
 * Fixed wrong signal arguments in msnswitchboardconnection.
 * Reverted removal of friendlyName.isEmpty() check, because the friendlyName
 is an optional argument and setFriendlyName() outputs a warning if
 friendlyName is empty.
 * Merged patch by alexjp, fixing loading idle timer settings upon KMess
 start.
 * Fixed Kopete detection and fixed a typo in contactbase.h.
 * Fixed incorrect signal connection in msnswitchboardconnection (signal from
 offlineimservice).
 * Fixed P2P transfer bug (#437) with Vale's help.

2009-03-25 (dazjorz)
 * Fixed failing assert caused by SOAP message handler.
 * Merged patch by Andrea Decorte, which resets the quick retype index when
 switching tabs (and keeps it local in the chat window).
 * Made ctrl+down also work when there was no saved message - it's more
 intuitive and less bug-prone that way.

2009-03-25 (Adam)
 * Fixed gradient problem with Oxygen again.

2009-03-25 (Pano)
 * Merged an updated French translation by Barthe Guillaume.
 * Merged an updated Traditional Chinese translation by Yen-chou Chen.
 * Merged an updated German translation.

2009-03-25 (Valerio)
 * Fixed playing Winks.

2009-03-24 (Adam)
 * Fixed typing notifications not appearing in WLM 2009.

2009-03-24 (dazjorz)
 * Fixed soft hyphen showing up as a zero-width character in copy-pastes.
 * Added abort() call to the crash handler, so KMess will coredump and a
 possible second crash handler will help us with bughunting.
 * Merged slightly altered patch by Andrea Decorte, fixing scrolling up and
 down in message history in tabbed chats.

2009-03-24 (Valerio)
 * Fixed Winks button not being disabled when the network connection is lost.
 * Fixed bug where chat messages sent to a contact who just went offline were being sent
   again as normal messages if the contact in chat came back online.

2009-03-23 (Adam)
 * Work around possible Qt bug which resets not just font colour but font face as well when
   message edit box is cleared.
 * Truly empty groups (with no contacts) are hidden now if "Show Empty Groups" is disabled.
 * Fixed bug where offline contacts were not included in the search
 * Fixed gradient problem for the list of contacts in a chat window. Now displays properly
   under KDE4 with Oxygen theme.

--- 2.0beta1 released ---

2009-03-23 (dazjorz)
 * Fixed checking if we already have an emoticon (which worked on one account,
 didn't work on another - now it works fine on all accounts.)

2009-03-23 (Valerio)
 * Merged patch by Adam Goossens, fixing a crash in the direct file transfer code.

2009-03-22 (Pano)
  * Merged an updated Brazilian Portuguese translation by Maurício Arozi Moraes.

2009-03-22 (Diederik)
 * Fixed automatic reconnection.
 * Implemented cmake check for libkonq.
 * Improved Konqueror integration, don't show menu if KMess is not running.
   Also sorted entried by display name.

2009-03-22 (Ruben)
  * Added menu plugin for Konqueror to send files using KMess.

2009-03-22 (Valerio)
 * Fixed adding to the contact list non-Messenger contacts.
 * Fixed applying the emoticon style to existing chats.
 * Fixed showing emoticons in the contact list tooltips.
 * Added confirmation dialog when the user tries to steal the picture
   of a contact.
 * Added back popups and taskbar actions to the "New Message" notification event.
 * Added warning message in the winks widget, shown if you have none.
 * Fixed the connection dropped chat warning message.
 * Added a warning message if you try to send more than 7 different emoticons,
   and prevent the server from disconnecting us if that happens.
 * Changed the KMess Bird alignment in the Contact List background.

2009-03-22 (dazjorz)
  * Made the timer stop when waiting for a contact to accept: Now, the contact
  can take more than 30 seconds to accept before KMess automatically cancels.
  * Fixed taking the correct upper value for the transfer port from the
  configuration.

2009-03-21 (Pano)
  * Merged an updated Traditional Chinese translation by the Tryneeds-Chinese Translation Platform.

2009-03-21 (Valerio)
 * Fixed connecting with new empty accounts.
 * Fixed changing and saving the contact list picture (and the account settings generally).
 * Added back saving the last known friendly name for each account.

2009-03-21 (dazjorz)
  * Fixed the bug of a "pending" image being shown instead of the shortcut for
    a blacklisted emoticon.
  * Changed again some of the strings in chat.cpp.
  * Merged patch by A. Decorte, which fixes localization in external
  members.msn.com links.
  * Fixed crash when KMess could not connect directly to a P2P client.

2009-03-21 (sifcenter)
  * Removed all "\r\n" text from sendCommand argument and put them directly on body of the function:
    removed also the assert to check them.

2009-03-20 (Pano)
  * Increased the size of the users own Display Picture in the Chat window to 96x96,
    so that it matches the contact ones.

2009-03-20 (sifcenter)
 * Polished a little the NS class. Polished also a bit the MsnChallengeHandler:
   now the product key and id are stored in this class.

2009-03-20 (Valerio)
 * Fixed minimum size of the chat and contactlist windows.

2009-03-19 (Pano)
  * Merged an updated Hungarian translation by Pauli Henrik.
  * Merged an updated German translation.

2009-03-18 (Diederik)
 * Fixed detection of aMSN.
 * Fixed displaying Kopete (libmsn) as "WLM". It's faking an insanely high version number.

2009-03-18 (Valerio)
 * Fixed saving the Current Account.
 * Fixed display picture updates when the users have added themselves
   to the contactlist.
 * Fixed hiding empty groups when the contact list contents are displayed by group.
 * Merged patch by Andrea Decorte: add a tooltip to the contact's personal message/music
   in the chat windows.

2009-03-18 (Ruben)
 * Fixed grammatical error in status change messages.

2009-03-17 (Valerio)
 * Improved the looks of contact tooltips in the Contact List.
 * Merged patch by Sjors Gielen: new kmess text parser! It's faster, definitely more
   accurate, and more readable than the old one!
 * Merged patch by Sjors Gielen: add a new chat toolbutton to divide the text chatting
   and drawing editors.

2009-03-16 (Diederik)
 * Fixed detection of the clientcaps for WLM 2009.
 * Adding new clientcaps to the debug output.
 * Fixed display of MsnObject data messages in the network window.

2009-03-16 (Valerio)
 * Fixed duplicated messages about the contact going offline.
 * Fixed notifications also appearing for session messages.
 * Fixed first message notification when the user sent the first message of the chat.
 * Added option to show the user picture in chat, like in Messenger.
 * Fixed visualization of html characters in the chat tab names.
 * Added current account handle to the tab tooltip.
 * Enabled by default the Search Bar.
 * Made the History Box optional, and disabled by default.
 * Simplified the Account saving system.

2009-03-15 (Pano)
  * Merged an updated Dutch translation by Sander Pientka.

2009-03-15 (Diederik)
 * Added detection of the clientcaps for WLM 2009.
 * Updated the list of known clientcaps, with newly reverse engineered values.
 * Fixed picture/emoticon/wink transfers with WLM 2009.

2009-03-15 (Valerio)
 * Contact status messages now don't cause visual notifications anymore.
 * Improved the automatic resize of the user contact picture in the contact list.

2009-03-14 (Valerio)
 * Improved friendly name formatting options throughout the code.
 * Added new formatting options, allowing to avoid a whole lot of html escaping calls.
 * Merged patch by Adam Goossens: add an informative message when a contact in chat
   goes offline, telling that the next messages will be Offline IMs. Also adds
   status change messages, like the join/part ones.
 * Merged patch by Adam Goossens: add an informative message when opening an offline
   chat, to tell that the next messages will be Offline IMs.
 * Fixed alignment of the emoticons within the Custom Emoticons page of the Account
   Settings.
 * Fixed the emoticon widget preview under Qt 4.5.
 * Fixed enabled status of the automatic login option in the Account settings.
 * Fixed contact list tooltips under Qt 4.5.
 * Added the ability to spawn a context menu to all the widgets in a Contacts Frame.
 * Fixed saving some chat window options.
 * If the user has added him/herself, show the current user picture in the list.

2009-03-13 (Valerio)
 * Fixed showing ampersands in chat tab captions.
 * When a tab which is not the current one receives a message, blink the chat window
   title with that chat's title, not the current one's.
 * The user's display picture on the contact list will now shrink when both the
   mail and music labels are hidden, to leave less empty space.
 * Merged an improved patch by Adam Goossens: add a warning label on the auto-idle
   settings if KMess was built without XScreenSaver.
 * Merged an improved patch by Adam Goossens: Prevent the user from deleting the
   currently connected account.
 * Fixed disabling emoticons from the chat window, custom emoticons were still
   being shown.
 * Fixed wrong HTML encoding in the text of KDE notification popups.
 * Fixed incorrect repaint by dock widgets when they are moved from a side to the
   top or bottom of the chat window (or viceversa).

2009-03-12 (Ruben)
 * Open chats are now regrouped when the user changes chat grouping settings.

2009-03-12 (Diederik)
 * Fixed a memory leak which happens when a SOAP error occurs.

2009-03-12 (Valerio)
 * Merged patch by Sjors Gielen: Prevent the Winks button from getting keyboard focus.
 * Merged an improved patch by Sjors Gielen: Fix crash when receiving offline messages
   before the contact list is available; also improves handling corner-cases.
 * Fixed contact list window hiding when starting within a KDE session.
 * Added an option to remove the bird from the contact list background.

2009-03-11 (Valerio)
 * Added to SOAP classes a system to transparently handle ticket token handling and
   expiration. KMess is now able to request new tokens when they expire.
 * Rewritten the code which reads tokens from the SOAP response to be more future-proof.
 * Added handling wrong ticket token responses.

2009-03-10 (Valerio)
 * Improved the handling of endpoint URLs by all SOAP classes.
 * Added centralized transparent detection of server redirections.
 * Added ability for SOAP classes to accept endpoint switching suggestions from the server.
 * Fixed a broken signal in MsnSwitchboardConnection.
 * Merged patch by Sjors Gielen: add tooltips and "What's This?" descriptions to the chat
   window's editor buttons.

2009-03-09 (sifcenter)
 * Improved the code of the WinksWidget class.

2009-03-09 (Valerio)
 * Fixed compiler error when XScreenSaver is not present.
 * Added back Esc as keyboard shortcut to close the current chat tab.

2009-03-08 (Pano)
 * Merged an updated French translation by Barthe Guillaume.

2009-03-08 (sifcenter)
 * Added a very experimental support for winks sending:
    - The winks are searched in winks/ directory
    - Moved some code about winks from chat class to winksWidget class
 * Continuing the work for the wink sending:
    - Now kmess stores the stamp value of wink msn object recevied: this value is necessary to send the wink to WLM clients.
    - The list of winks availables is made by searching of file .cab and correspondent .stamp file ( where is the certificate ).
    - Now the list shows the image of the winks ( if there is one ).
    - Note that the past received winks aren't sendable because kmess didn't store the certificates. So I think is better to
      remove all content of ~/.kde/share/apps/kmess/winks/ .
    - Fixed the retrieving for one wink that the user has already.

2009-03-08 (Diederik)
  * Changed chat closing behaviour, close button of the window should prompt to close all tabs (like web browsers also do).
    Also made queryClose() and queryExit() public again, as these are overwritten methods from KMainWindow.
  * Improved layout of the main window, added small spacing between 'Connect' button and status text.

2009-03-07 (Valerio)
 * Improved the Address Book service: added support for multiple Live services; reduced the number
   of data retrieved from the server; simplified the response parsing code.
 * Fixed some Account Settings bugs in font and color selection.
 * Merged an improved patch by Andrea Decorte:
   - Reorganized the account settings user interface.
   - Added option to show the email of contacts instead of their friendly names in the contact list.
 * Display the user's font size in chat messages.
 * Immediately sync to disk the changes to group positions and expanded status, and to contact properties.
 * Fixed order of arguments, which caused the wrong chat settings to be set.

2009-03-07 (sifcenter)
 * Improved the code of Contact Properties Dialog and fixed small issues ( the buttons weren't disabled when
   there aren't item selected ).
 * Cleaned the code of Passport Login Service class.
 * Removed useless method in Contact class.
 * Cleaned some classes in Contact directory: fixed also the showing of name of receiving wink.

2009-03-06 (sifcenter)
 * Added the ability to steal the contact pictures from Contact Properties Dialog, and use it as personal.

2009-03-06 (Valerio)
  * Fixed long-standing bug with KNotification; it will not highlight erroneously
    the chat windows anymore. The notification event "Mark taskbar entry" doesn't
    work anymore. Unfortunately it's a KDE bug and there's no workaround at the moment.

2009-03-05 (Ruben)
 * Fixed IP range in "File Transfers" settings.

2009-03-03 (Pano)
  * Merged an updated Brazilian Portuguese translation by Sergio Rafael Lemke.

2009-03-03 (Valerio)
  * Do not insert twice duplicate links on contacts' Copy actions.
  * Fixed copiable links didn't get updated when the contact's name and PM changed.

2009-03-02 (Pano)
  * Merged an updated Dutch translation by Sander Pientka.

2009-03-02 (Ruben)
 * Don't add a newly created guestAccount to the initialView. Fixes bug where password dissappeared when connecting.

2009-03-02 (Valerio)
 * Added drag&drop support for the chat window. You can now drop contacts from
   the list to invite them to the chat.
 * Added a fix to SOAP error response 503 Service Unavailable.
 * Added a 500 msec timeout to the LikeBack bar to prevent it from using too much
   CPU. Thanks Ruben!

2009-03-01 (sifcenter)
 * Disabled the "new line" button when the user selects ink or emoticons panel.
 * Fixed the format of the font in chat window. Thanks to swiftscythe.

2009-03-01 (Valerio)
 * Completed proxy support. KMess will now use the KDE proxy settings.
   It's untested code: try it and tell us!
 * Added initial drag&drop support on the contact list. Doing it does nothing at
   the moment.

2009-03-01 (Pano)
 * Merged an updated Norsk Bokmål translation by Øyvind Sæther.

2009-02-28 (valerio)
 * Do not group followup messages if more than 10 minutes have passed between them.

2009-02-28 (sifcenter)
 * Fixed the checkbox of "Display a count of unread mail". It hadn't effect.

2009-02-28 (Dario)
 * More intelligent handling of conversation history using QObject metadata
 * Adding a log converter for old logs

2009-02-27 (Dario)
 * Added a hack to make history dialog work with older timestamps
 * Migrating the whole chat logging system to timestamps. This means that logs are now
   standardized, and that we can control the visualization on the fly. Added 2 new options to
   chat style to render seconds and date in the message timestamp. Side effect: old logs are
   no longer compatible with history.

2009-02-27 (Pano)
 * Merged an updated Traditional Chinese translation by Yen-chou Chen.
 * Merged an updated German translation.

2009-02-26 (Valerio)
 * Fixed logging in with new, empty, accounts.
 * Added cmake variable which should help to get clearer KDE backtraces.
 * Fixed sending keepalives on incoming switchboard connections.
 * Fixed detection of keepalive period end.
 * Only warn about connection issues when the chat is not idle.
 * Merged patch by Andrea Decorte: when the user gets added by a contact, you can now add
   that contact to the groups you want.
 * Added option (disabled by default) to show contact join/part messages in chat.

2009-02-25 (Valerio)
 * Improved and merged a patch by Dario Freddi, continuing the work on the Chat Browser:
   - Improved the UI.
   - Switched the contacts list and search to a model.
   - Added a caching mechanism for XML file contents.
 * Updated the Italian translation.

2009-02-24 (Valerio)
 * Fixed contact list search.
 * Improved chat window keyboard shortcuts.
 * Added menu entries for actions "next tab" and "previous tab".

2009-02-23 (Diederik)
  * Updated NEWS file with all fixes between alpha2 and 2009-02-15.
  * Updated Dutch translation, consistent 'dit account' vs 'deze account' and s/weergeef/toon/'.

2009-02-23 (Valerio)
 * Rewritten the contact list filtering code for clarity.
 * Improved the contact list model:
   - made the model items to move themselves;
   - fixed contact list sorting: it was not being sorted initially;
   - made kmess to pass the model test again.
 * Merged patch by Dario Freddi, to implement the long-awaited Chat Logs browser.
 * Fixed a couple compiler errors when building under KDE 4.0.
 * Merged patch by Dario Freddi, to implement KDE Get Hot New Stuff. Initial support is
   only working for chat styles.

2009-02-22 (sifcenter)
 * Added the ability to add one contact to more groups from Add Contact Dialog.
   Removed the soap request to re-add one already blocked contact when the user move it from
   removed group to Friendly List.
   Now the user can choice to add one "removed contact" to initial groups.
 * Fixed codec issue in group name. Thanks to Montserrat.
 * Fixed the receiving of Ink over P2P connection.

2009-02-22 (Valerio)
  * Added a warning and forced the 7 characters limit when renaming emoticons with
    the Custom Emoticon Settings.
  * Merged a patch from Urs Wolfer:
    - improved compiler compliance when the --pedantic option is on.
    - improved the contact list looks by using a styled delegate, bringing us
      Dolphin-like selections :)
  * Merged patch by Andrea Decorte to show if you blocked a contact in its tooltip.

2009-02-21 (Pano)
  * Merged an updated German translation.

2009-02-21 (Valerio)
  * Fixed crash on chat window reactivation.
  * Avoided a wrong ContactFrame warning.
  * When chat windows are disabled (due to being disconnected):
    - Disabled more chat-related chat window actions.
    - Fixed a crash when clicking an emoticon in a dock.
    - Fixed chat window title when switching between tabs.
  * Prevented Account Settings from switching back to the first page on window hide&show.
  * Reorganized the contact list popup menus.
  * Changed the status icons.
  * Added icons to the status choice menu, also made KMess to use a single status menu everywhere.

2009-02-19 (sifcenter)
  * Fixed crash when one invited user leave the SB. I don't know when precisely the bug occurs
    but I know the check added is necessary to avoid it.

2009-02-18 (Pano)
  * Merged an updated Traditional Chinese translation by Yen-chou Chen.

2009-02-16 (Pano)
 * Updated the KMess Documentation
 * Updated the NEWS file
 * Merged new strings to the translation files

2009-02-15 (Diederik)
  * Added an updated Swedish translation by Mattias Newzella.

2009-02-12 (sifcenter)
  * Fixed an issue in chatmaster: now the participants list is checked before execute other operations.
    Thanks to alexismedina to report.
  * Cleaned a bit ChatWindow and MsnSwitchboardConnection classes.
  * Fixed the corrupt view of context menu on right click over personal message field in CL. Thanks to pano.

2009-02-10 (Pano)
  * Merged an updated French translation by Barthe Guillaume.
  * Merged an updated Traditional Chinese translation by Yen-chou Chen.
  * Merged an updated German translation.
  * Added Dimitrios Glentadakis to the Credits for his Greek translation.

2009-02-10 (sifcenter)
  * Improved ContactListViewDelegate class.
  * Modified the system tray class: when the user is offline the kmess logo is
    showed, else the status icon.
  * Moved the system tray class to notification folder.
  * Cleaned XAutoLock, NowListening and XmlFunctions classes.

2009-02-09 (Valerio)
  * Removed some duplicate state variables from Chat. Always query the active chat connection.
  * Added a tooltip message to show whether the contact has you in its list or not.
  * Fixed new custom emoticons, sometimes they could not be added.
  * Fixed the emoticon blacklist, it's now able to remove all emoticons.
  * Reorganized the code: moved all the model-related classes to a directory of their own, and
    renamed ContactListViewDelegate to KMessViewDelegate.
  * Added command-line option to keep the main window hidden at startup.
  * Always add the tooltip to chat tabs.
  * Improved the way the chat tabs tooltips are shown.

2009-02-08 (sifcenter)
  * Improved the ContactList Model.
  * Improved a little the ContactListViewDelegate class.
  * Cleaned the KMessView, ChatStatusBar, ContactFrame and ContactsWidget classes.
  * Fixed adding of an exists contact. Add the support to send Privacy setting: the user
    interface must yet implemented.
  * Cleaned ContactListModelItem and ContactListModelFilter classes.

2009-02-07 (Valerio)
  * Fixed SOAP errors and warnings, they're now gracefully handled and you should now only get
    disconnected for real issues.

2009-02-07 (sifcenter)
  * Now the tooltip of the personal message ( in the contact list ) is the PM if there is one.
  * Added the support for URL PROFILE/PERSON commands. Switched to better storing method for them.
    Restored the ability to send email by clicking the action menu in the CL and use the correct url
    to show the personal profile. Note: for the moment URL PERSON response is useless. Ticket #59.
  * Rewrited some code of address book soap class: now the list is parsed all and after that the signal
    with the contact informations is emitted, added support for retrieving BLP ( privacy ) argument from
    personal information.

2009-02-07 (Pano)
  * Merged an updated French translation by Barthe Guillaume.

2009-02-06 (sifcenter)
  * Fixed the "open chat" button on notitication. Now the action opens and raise correctly the window chat.
  * Improved invite contact dialog. Added two buttons used for add/remove contacts and one search box.
    Ticket #392.
  * Improved user picture dialog code.

2009-02-06 (Valerio)
  * Fixed contact list search results, they disappeared when a contact logged in or out.
  * Removed the line on top of the contact list window, it doesn't work with other
    themes as well as with Oxygen, and looked ugly even then, if the menu was turned off.

2009-02-05 (Pano)
  * Merged an updated French translation by Barthe Guillaume.
  * Merged an updated Greek translation by Dimitrios Glentadakis.
  * Merged an updated German translation.
  * Changed the appearance of the Now Playing Label. It now only shows the Song title and the Artist's name

2009-02-05 (sifcenter)
  * Added "read" email button on email notification. Ticket #393.

2009-02-05 (Valerio)
  * Improved contact list model: fixes list ordering when blocking/unblocking a contact.

2009-02-04 (Valerio)
  * Added a contact emoticon blacklist: right-click on an annoying emoticon will let you
    choose to ignore it; from that contact's properties you can restore it.
  * Fixed LikeBack, it is now enabled on all debug builds.

2009-02-03 (Valerio)
  * Fixed build process with the KDE 4.0 libraries.

2009-02-02 (Pano)
  * Merged an updated Spanish translation by Alexis Daniel Medina Medina.
  * Added Alexis Daniel Medina Medina to the Credits.
  * Merged an updated Dutch translation by Sander Pientka.
  * Merged an updated French translation by Barthe Guillaume.

2009-02-02 (Valerio)
  * Fixed "view profile" pages.

2009-02-01 (sifcenter)
  * Added the support for player mpris compliant ( like Amarok2, Vlc, etc.. ). Ticket #357.

2009-02-01 (Pano)
  * Merged an updated Spanish translation by Juan Pablo González Tognarelli.
  * Added a Serbian translation by Zoran Milovanović. Thanks!
  * Added Zoran Milovanović to the Credits.
  * Merged an updated Dutch translation by Sander Pientka.
  * Merged an updated French translation by Barthe Guillaume.

2009-01-31 (Valerio)
  * Added Alt+Z keyboard shortcut to send nudges.

2009-01-31 (Pano)
  * Merged an updated Dutch translation by Sander Pientka.
  * Added Sander Pientka to the Credits.
  * Merged some of my improvements to the KMess documentation.


2009-01-31 (Diederik)
  * If QCA2 is not found, cmake shouldn't annoy you about libqca2-plugin-ossl
  * Did some housekeeping in the new documentation file (feature list, ohloh link, kdelibs-5 note).

2009-01-31 (Valerio)
  * Fixed saving groups.
  * Added emoticons to the messages in notification popups.

2009-01-30 (Valerio)
  * Added a warning message when the configuration files are not accessible, and a workaround
    to prevent debug builds of the KDE Libs from asserting when writing on read-only config files.
  * Changed again the way account passwords get saved, in an attempt to stop KMess from forgetting
    its passwords sometimes.
  * Removed InitialView's returnPressed() signals: managing the Return key presses is now entirely
    a matter for the event filter method.
  * Fixed XML chat logging.

2009-01-29 (Pano)
  * Merged an updated Dutch translation by Sander Pientka.

2009-01-29 (Valerio)
  * Turned all error dialog boxen into passive KDE notifications, with additional details
    on request.
  * Fixed a bug when saving chats, the altered HTML was being applied to the chat window
    too. Thanks a lot to DevEagle for the assistance.

2009-01-28 (Valerio)
  * Fixed the Contacts Dock's minimum size and made it to also update on PM changes.
  * Fixed autologin on session restore.
  * Vastly improved the Initial View.
    - Added timeouts to all reconnection operations
    - Improved the status label timer (multiple timed messages caused wrongly timed
      label cleanups)
    - Added keyboard shortcuts: pressing Enter from any widget will start the
      connection attempt, pressing Esc while connecting cancels it
    - Added a "Reconnect now" link when connecting
    - Simplified the code in some parts
    - Improved Solid integration, not having Solid installed will not cause problems
      anymore.

2009-01-27 (Valerio)
  * Prevented long Personal Messages in the Contacts dock from taking all the space.
  * Fixed tab names were never displayed elided.
  * Changed the KMess tray icon, it's now the KMess logo. When connected, it gets overlaid with the
    current status icon.
  * Fixed MSN Plus tags, uppercase foreground color tags were being interpreted as background color
    tags.
  * Improved a bit how the emoticons are shown within text.
  * Improved a tiny bit the rendering speed of the contact list.
  * Fixed nudge sounds and events.
  * Prevented long friendly names in the Contacts Dock from expanding the dock.
  * Fixed a couple strings as suggested by Ralesk's translation.
  * Merged an updated English help by Heimen Stoffels. Thanks a lot!
  * Fixed cancel link was not removed when a file transfer invitation hit the timeout.
  * Prevented "user is typing" messages from being sent to all active tabs.
  * Don't show the chat window's tab bar when the tab grouping option is turned off.
  * Fixed personal message removal, WLM2009 did not recognize it.
  * Removed sound playing from the "contact status changed" event. Also removed taskbar notifications
    for the contact-list-window-related events.

2009-01-25 (sifcenter)
  * Simplified systemtraywidget class.

2009-01-24 (sifcenter)
  * Added confirmation dialog when the user choose to delete one previous personal picture.

2009-01-21 (Pano)
  * Merged an updated Spanish translation by Juan Pablo González Tognarelli.

2009-01-21 (Ruben)
  * Fixed bug in autoconnect error message when the user denied access to the KDE Wallet. Reported by Pano.

2009-01-18 (sifcenter)
  * Fixed the refresh of style when the user checked the "group follow up messages" checkbox in chat
    style preview. Ticket #374

2009-01-17 (sifcenter)
  * Enhanced the code for closing the chat tabs.
  * Polished a bit the ChatView class.

2009-01-17 (Pano)
  * Merged an updated Spanish translation by Juan Pablo González Tognarelli.
  * Merged an updated German translation.

2009-01-16 (sifcenter)
  * Implemented "confirmation prompt" before deleting a custom emoticon. Ticket #386.
  * Fixed the incorrectly closing of the chats. If chat->queryClose() isn't called
    the SB remaining opened and the messages received from the contact are lost and the
    logs aren't saved.
  * Fixed the focus system of the chats. I hope this is the last commit about it :).

2009-01-13 (Valerio)
  * Fixed the typing messages, they were being sent when changing between tabs, too.
  * Removed the work-around to avoid the dock minimum size bug, it did more harm than good.

2009-01-12 (Pano)
  * Merged an updated Simplified Chinese translation by Cheng Yang.
  * Updated the AUTHORS file and translation credits

2009-01-12 (Valerio)
  * Microsoft has blocked access to the server we previously used to retrieve the contact list and
    other things: we'll temporarily use their redirection server.
  * Fixed drag'n'drop in the chat window's message editors.
  * Fixed crash when using the close button on the chat tab tab.

2009-01-11 (Valerio)
  * Fixed the chat tab closing icon, which didn't work.
  * Added back chat tab closing with middle click.
  * Fixed wrong check which often made notifications not to be shown.

2009-01-11 (Pano)
  * Merged an updated Traditional Chinese translation by the Tryneeds-Chinese Translation Platform.

2009-01-09 (Valerio)
  * Completely refactored the Chat Window code.
  * Fixed a small issue with custom widgets paths in the Chat Window UI file.
  * Fixed detection of first received chat message.

2009-01-07 (Diederik)
  * Added a small change which could fix a crash in KMessView with disconnecting.
  * Enabled popups by default in kmess.notifyrc, to use the new KDE 4.2 plasma popups.
  * Add www. everwhere in the cmake output.

2009-01-05 (sifcenter)
  * Added the basic support to retrieve the information about user profile from roaming service.
    For the moment the code is commented, but the retrive of pm, nickname and picture location seems work.

2009-01-03 (Diederik)
  * Fixed foling@home being parsed as e-mail address.

2009-01-03 (Ruben)
  * UserPicturesDialog now uses KDialog.

2009-01-03 (sifcenter)
  * Cleaned a little bit the Contact class.

2009-01-02 (Pano)
  * Changed another bunch of strings, to ensure compliance with the KDE Human Interface Guidelines.

2009-01-02 (Ruben)
  * Start browsing for a display picture at the location where the user selected the current one.

2009-01-01 (Diederik)
  * fix remove group message, space was missing.
  * improved ordering of menu items in the 'action' menu.

2008-12-29 (Pano)
  * Merged an updated Hungarian translation by Pauli Henrik.

2008-12-25 (Ruben)
  * Add EventFilter to the emoticon widgets.
  * Don't return to the message editor when the user uses a shortcut.

2008-12-22 (Pano)
  * Changed a couple of strings, to make them more logical and to ensure compliance with the KDE Human Interface Guidelines.

2008-12-21 (Pano)
  * Merged an updated Spanish translation by Juan Pablo González Tognarelli.

2008-12-21 (Ruben)
  * Enabling an emoticon Dock now hides the corresponding Widget when it was open.
  * Renamed setEmoticonButtonVisibility to setEmoticonWidgetVisibility to better cover its new content.
  * Fixed MSN Plus! formatting of nickname when receiving an ink.

2008-12-20 (Ruben)
  * Escape keypress in chat window first closes the open widget now (if any), before the tab itself is closed.

2008-12-20 (sifcenter)
  * Fixed the detaching of emoticon bar in chat window and the crash while closing one tab. The function causes the crash was:
    chatFrame_->removeWidget( chat ), for the moment is commented.
  * Improved some code in chat view/window.

2008-12-17 (Pano)
  * Fixed some strings (and updated all translation files).
  * Merged an updated German translation.

2008-12-17 (Valerio)
  * Fixed remembering the spelling check option in the chat window.
  * Improved the logic behind chat tab deletion, removed two useless methods.
  * Improved the mechanism which allows the message editor to always keep focus.
  * Improved a bit the password storage code.
  * Improved a bit the chat window management code.

2008-12-16 (Valerio)
  * Enabled enhanced rendering hints on the contact list view: the emoticons are now
    resized nicely.

2008-12-15 (Valerio)
  * Removed the custom KMess popup balloons.
    - We'll use the KDE ones;
    - The Account Settings page Alerts has been emptied from all popup-related settings;
    - The place for popup & notification configuration will be the KMess Configuration
      dialog from now on;
    - Custom contact sounds do not work anymore, they'll be reimplemented later.

2008-12-14 (Valerio)
  * Fixed disconnection from switchboard server not triggering the "contact left chat"
    mechanism.
  * Added a chat warning when the connection to the switchboard server goes unexpectedly
    down.
  * Fixed wrong interpretation of NAK messages; also added a chat warning when a message
    could not be delivered to some or all contacts.
  * Fixed forced reconnection when the session is restored.

2008-12-13 (sifcenter)
  * Fixed the layout for emoticon setting page. Thanks to pano.
  * Fixed duplicate items when the user click on the "edit note" from the chat. Thanks to elpreto.

2008-12-12 (Valerio)
  * Implemented internal chat logging. This feature internally stores (within the
    config directory) your conversations in a computer-friendly format. This will
    allow us to add some nifty features in the future, like a chat log browser!
    If you want, you can still tell KMess to still save your chat logs in a
    directory of your choice in HTML or text format, to be able to view chat logs
    even if KMess is not running.
  * Fixed the last compiler warnings.
  * Improved the way KMess reports having received unknown datacast messages.

2008-12-12 (Pano)
  * Merged an updated Spanish translation by Juan Pablo González Tognarelli.
  * Merged an updated French translation by Barthe Guillaume.
  * Merged an updated German translation.
  * Added Barthe Guillaume to the credits and the AUTHORS file.

2008-12-11 (sifcenter)
  * Polished emoticon manager class and use QHash instead of QMap where possible.

2008-12-10 (Valerio)
  * Fixed crash when disconnecting.
  * Inserted LikeBack into KMess, to make it easy for testers to report bugs.
    Devs, please contact me for the boring technical details & instructions :)
  * Fixed received offline messages being treated as outgoing messages: this caused
    new chat windows to appear instead of lying in the task bar.

2008-12-09 (Diederik)
  * Fixed a small error in history combobox for Dutch translations.

2008-12-09 (sifcenter)
  * Improved a little some methods in chat class.
  * Added the ability to start a private chat with a contact is in multi chat. Ticket #230.

2008-12-09 (Valerio)
  * Got rid of the little AdBlock icons in the chat windows.
  * Fixed switching tabs causing the chat log to scroll up a bit.

2008-12-08 (Valerio)
  * Fixed issue with Offline Messages; if many OIMs were received at login, they all appeared
    as having been sent by one of the senders.
  * Removed the Account Settings menu in the contact list window: there now is an action to show
    the settings for the current account, if one is connected. You can still access the other
    accounts' configuration via the "Configure KMess..." action.
  * Fixed emoticon buttons visibility when new tabs are added.
  * Fixed saving groups order.

2008-12-07 (sifcenter)
  * Don't block the contact if the user click on the cancel button in the dialog that appears when
    one contact add the user.
  * Added the support for the special contact for example alice.it users and also added the ability to
    store extra information into qhash in contact class.
  * Removed the actions move and remove from group for the contacts when the list display mode is "by group"
    or when it is "mixed" and the contact is offline. They caused wrong soap request.

2008-12-07 (Valerio)
  * Added options to add or block invited contacts in chat. The contacts dock will also be
    now updated when you add or remove a contact from your list.

2008-12-06 (Pano)
  * Merged an updated Spanish translation by Juan Pablo González Tognarelli.

2008-12-06 (Valerio)
  * Added two new Docks to always have your emoticons at hand.
  * Changed the switchboard signal to report sending failure to report the entire original
    message, so that the chat can show a proper error notification.
  * Rewritten the method which reestablishes closed chats for additional readability.
  * Rewritten the KDE notifications, they now have buttons to allow interacting with the popup.
  * Fixed regression: the Connect and Account Settings menus work again now.
  * Added confirmation dialogs which will appear when the menu bar gets hidden.
  * Fixed the circle position in the screenshot of the dialog shown when closing the Contact
    List to tray.
  * Fixed typo resulting in seeing the 'contact left' messages in 1-on-1 chats, too.

2008-12-05 (Valerio)
  * Implemented KDE session saving and restoring. KMess now remembers if you were connected,
    and with which account. You need to have a saved password for this to succeed!

2008-12-03 (Valerio)
  * Fixed a lot of compiler warnings.

2008-12-03 (Pano)
  * Merged an updated Traditional Chinese translation by Yen-chou Chen.

2008-12-03 (Valerio)
  * Improved the Chat Window menus and enabled the Find dialog.

2008-12-02 (Pano)
  * Changed a couple of strings, to ensure compliance with the KDE Human Interface Guidelines

2008-12-01 (sifcenter)
  * Improved the blinking of chat in taskbar.
  * Added a tab-close button like konqueror.
  * Removed useless method from ChatWindow class.

2008-11-30 (Valerio)
  * Added a menu option in the contact list window to show the right-click context menu for the
    selected list item.
  * Revised reporting of message sending failure and unified the displayed error message.
  * Fixed the KDE contact status notifications, they were not shown if the popup balloon was
    disabled.
  * Improved with Pano some ugly strings.
  * Changed place to a couple of actions in the contact list menu.
  * Increased the interval between automessages to two minutes.
  * Fixed a freeze when sending or receiving invitations; vastly increased the speed and
    accuracy of the long words filter.
  * Moved and renamed the Contact List Search bar to the View Menu.
  * Added the group options in the contact list context menu for contacts in the Offline
    and Online groups.

2008-11-29 (Diederik)
  * Improved invoking e-mail and webbrowser.
    - using KToolInvocation class with invokeBrowser() / invokeMailer() methods.
    - make sure command arguments are escaped.
    - make sure mailto addresses are opened through openEmailCommand() instead of openBrowser()

2008-11-29 (sifcenter)
  * Removed close button from tabs in chat window ( it's too easy to hit accidentally and the some text
    gone over the button ).

2008-11-29 (Valerio)
  * Improved long words cutting; now the code excludes HTML tag contents so clicking long links,
    like links to eBay auctions, will always work.
  * Improved the UI strings of the chat logging settings page.
  * Added a bit more security to the chat logs by settings the permissions to 600 (user read&write
    only, no access to anyone else).
  * Added the Nudge event to the KNotify event list. It has the KDE default nudge sound, for now.
  * Added a tool tip for the chat's tabs. It currently shows who's in chat, their status, and when
    the chat was started.

2008-11-28 (Valerio)
  * Improved file drag'n'drop operations. Now we can send files dropped from Nepomuk searches, Places
    and whatnot. Also, we can now directly drop a file from the Internet and have it sent via MSN,
    should this ever need to anyone ;)
  * Added a workaround for very long words; they're now cut down to pieces, to avoid KMess showing
    the horizontal scroll bar. Any saved chat will have the string uncut.
  * Fixed the appearance of the Individuals group; it now also shows the number of online contacts
    like user groups.
  * Removed the timeout for the automatic reconnection: if Solid detects you're online, the
    reconnection starts immediately. There's no maximum limit of retries, it may try indefinitely.
    This may be changed later..
  * Improved the chat logging system.
    - You can now choose the format in which the chats will be saved (HTML,XML,text are currently
      supported).
    - You can also manually save the chat in all supported formats.
    - The chat logging settings dialog has been redesigned.
  * Increased the auto scroll down threshold, it was too easy for a chat to stop scrolling due to a
    big emoticon.

2008-11-27 (Valerio)
  * Fixed login for MSN.com accounts (address@msn.com).
  * Fixed the name of the contacts dock action; it didn't change correctly.
  * Fixed fast retype.
  * Improved the chat's auto-scroll code:
    - its code and logic are simpler
    - the auto-scroll didn't work all the times, now it does
    - if you're looking back in the chat history, new messages won't get you back on the bottom
    - pressing pageup/down now manually scrolls up and down the history; add shift to scroll faster
  * Merged a patch by Finrold to improve the KNotify notification messages.
  * Added discarding notification events incoming from the active chat in the active window.

2008-11-25 (Valerio)
  * Simplified chat style management; fixed chat clearing when changing style; fixed weird crashes when
    chats were opened.
  * Added some checks to avoid chatting or using applications with yourself.

2008-11-23 (Valerio)
  * Moved all the message processing in ChatView to ChatMessageView.
  * Improved the message processing, decoupled the chat history from the actual view: it's
    now possible to clear the chat view.

2008-11-23 (sifcenter)
  * Modified the chatwindow style: now also only one chat has a tab into chatwindow. Removed PM from contactframe and added to tab icon
    the status of the contact. Now the color of the tab text is red if there are unreaded messages. Removed friendlyname and status icon from
    the contacframe if it's a single chat.
  * Fixed the restore chat window geometry.

2008-11-22 (sifcenter)
  * Re-added tooltip in emoticon box.

2008-11-22 (Valerio)
  * Fixed a crash at login.

2008-11-19 (Pano)
  * Merged an updated Traditional Chinese translation by Yen-chou Chen.
  * Merged an updated Greek translation.
  * Merged an updated German translation.

2008-11-19 (Valerio)
  * Implemented parsing of server errors with payloads. Reorganized error code handling. Also added payloads
    dumping, when server command debugging is enabled.
  * Moved all generic error detection and parsing from MsnNotificationConnection to MsnConnection.
    Connection-specific error handling is still done by the child classes.
  * Fixed and improved the regex for Plus! color tag removal.

2008-11-19 (Ruben)
  * Fixed bug in re-enabling newline button after selecting a emoticon. Thanks to mark-h for reporting.
  * Fixed grammatical error in an error message.
  * Fixed MSN Plus! formatting of nickname of the user when sending an ink.

2008-11-15 (Valerio)
  * Fixed encoding bug in developer builds, causing a crash when receiving P2P data due to a conflict
    with Qt internal mechanisms.

2008-11-15 (sifcenter)
  * Fixed the issue when in the contact list there is "messenger@microsoft.com" contact. The contact shouldn't be
    exist.
  * Fixed the issue with disappearing of widgets ( contact image and emoticons ) when user closes a tab: removed one call to
    slotSwitchTab because setCurrentIndex method calls it automatically. Also removed one useless connect.

---- till here --

2008-11-14 (Pano)
  * Merged an updated Greek translation.
  * Fixed a typo in the emoticon titles.
  * Added Panagiotis Papadopoulos to the credits and AUTHORS file, for the Greek translation.

2008-11-13 (Pano)
  * Merged an updated Brazilian Portuguese translation by Leonel Freire.
  * Merged an updated Greek translation.

2008-11-11 (Pano)
  * Fixed some wrong UI strings
  * Added a Greek translation by Panagiotis Papadopoulos

2008-11-11 (Valerio)
  * Fixed connecting with saved accounts without a stored password.

2008-11-09 (Valerio)
  * Added support for plain text passwords when a KDE Wallet is not available.
  * Fixed using the Connect menu to connect with accounts with no saved password.
  * Fixed incorrect deletion of MSN Plus formatting codes when the relevant option is disabled.

2008-11-09 (Pano)
  * Merged an updated Spanish translation by Juan Pablo González Tognarelli.
  * Added Leonel Freire to the Credits

2008-11-08 (Pano)
  * Merged an updated Brazilian Portuguese translation by Leonel Freire.
  * Merged an updated German translation.

2008-11-08 (Valerio)
  * Fixed disconnecting due to missed pings.

2008-11-07 (Pano)
  * Merged an updated German translation.

2008-11-07 (sifcenter)
  * Added the support for timestamp in the soap addressbook class.
  * Added one frame to emoticon widget to preview the emoticon.

2008-11-07 (Valerio)
  * Renamed the Contact Sidebar to Contacts Widget and the Emoticon Sidebar to Emoticons Widget.
  * Replaced the obsolete Sidebar with a fancy Dock Widget.
  * Improved the behavior and looks of the Contacts Dock Widget.

2008-11-06 (sifcenter)
  * Fixed the issue with resizing of chatwindow and emoticons list. Thanks to Pano for reporting.
  * Fixed the issue with encoding of title in taskbar while chatwindow blinking. Thanks to Pano again.

2008-11-06 (Pano)
  * Merged an updated Italian translation by Valerio Pilo.
  * Merged an updated German translation by Panagiotis Papadopoulos.

2008-11-06 (Valerio)
  * Rewritten all SOAP classes to use QNetworkAccessManager.
  * Fixed the encoding problems in friendly names.
  * Fixed groups tooltip, and removed the count of online contacts for empty groups, which made no sense.
  * Merged an updated Spanish translation, by Juan Pablo González Tognarelli.
  * Added right-click option for email addresses shown in chat to add that contact to the contact list. Thanks Ruben!

2008-11-04 (Diederik)
  * Removed the use of "expr" in the check-qca2-ossl.sh script

2008-11-03 (Valerio)
  * Fixed some wrong UI strings. Thanks to Panagiotis Papadopoulos and elpreto.
  * Fixed quotes in file transfers accept/reject links, they could be translated and could get broken during
    translation process.

2008-11-03 (sifcenter)
  * Improved performance for EmoticonSidebar: create the informative label only if is a custom theme and only
    if is necessary.

2008-11-02 (Diederik)
  * Fixed P2P invitations with Windows Live Messenger 2009.
  * Added "Windows Media Center" to the list of known clients.

2008-11-02 (sifcenter)
  * Moved emoticons list from sidebar to the same space of the message box.
  * Removed old emoticon button from chatwindow.
  * Completed the commit 3845 and polished the identation of msnnotificationconnection
  * Fixed the MSNP15: when the user was added from contact no message showed. Thanks to finrold for report.

2008-11-02 (Valerio)
  * Fixed a crash when disconnecting.
  * Applied a lot of i18n and UI improvements suggested by Henrik Pauli and Panagiotis Papadopoulos.
  * Merged an updated Hungarian translation by Henrik Pauli.
  * Merged an updated German translation by Panagiotis Papadopoulos.
  * Updated the translation files.
  * Switched order of the artist and track title in Now Listening information.
  * Reduced the minimum size of the message editor in chat windows.

2008-11-01 (sifcenter)
  * Unblocked the ability to open switchboard while the user is invisible. Anyway we should rewrite some part
    to implement fine the support of offline chats. For example we should see for CAL response to decide if
    the remote client is online or not and if we can begin a offline chat.
  * Fixed the issue with msnp15, one user can't be in allowed and blocked list at the same time. Thanks to J.P.
  * Use QCryptographicHash instead to KCodecs for calculate md5 hash and switched from KCodecs fromBase64 method to
    fromBase64 method of QByteArray.
  * Fixed Offline messages sender.
  * Added the ability to retrieve the personal friendlyname from AddressBook.
  * Finally merged the msnp15, now is the only kmess protocol.
  * Fixed the PRP command for unverified accounts.

2008-10-31 (sifcenter)
  * Added the invite dialog.

2008-10-26 (sifcenter)
  * Improved transfer window. Now is possible to show/hide download/upload entries.
  * Switched the action for left mouse click on the contact picture ( in chat ) from "show profile" to "show menu"
    and added the glow effect.

2008-10-24 (sifcenter)
  * Added "list" option to runtest argument.
  * Added close button to search frame.

2008-10-24 (Valerio)
  * Do not update the contact list window title when there is no friendly name.
  * Fixed account duplication when adding the first emoticon from the emoticon sidebar.
  * Fixed status bar visibility not being correctly reapplied when restarting.
  * Merged an updated Slovak translation by Rastislav Krupanský.
  * Merged an updated Traditional Chinese translation by Yen-chou Chen.

2008-10-15 (Ruben)
  * Don't hide displaypicture in a small initialview.

2008-10-13 (Diederik)
  * Textual changes in the cmake checks.
  * Fix syntax errors in cmake check for QCA2-openSSL, it shouldn't include the ${expansion} tokens.
  * Fixed inconsistency with notation of 'e-mail' vs 'email'. Use 'email' now which is used by other KDE apps too.
  * Fix compiling issue with win32, hide unix checks for non-unix platforms.
  * Fix compiling issue with mingw32-g++, added workarrounds for compiler bug "extraneour `char' ignored" message.

2008-10-12 (Valerio)
  * Delete HTTP requests when done with them. Should avoid KMess from sucking hundreds of MBs of RAM.

2008-10-10 (Ruben)
  * Fixed MSN Plus! formatting of nickname in "away auto-replies" of the user.

2008-10-09 (Ruben)
  * Send invalid commands with more than one '/' as they are very likely to be a file path.

2008-10-08 (Ruben)
  * Improved statusbar of ChatWindow:
    - Typing message with keyboard icon.
    - "Disconnected" message with "Reconnect" button.

2008-10-08 (Valerio)
  * Rewritten the HTTP connection class to use QNetworkAccessManager.

2008-10-07 (Valerio)
  * Added a nice workaround for the problem of non displayed contacts within groups at login.

2008-10-06 (Valerio)
  * Fixed missed return to TCP connections after disconnecting from an HTTP session.
  * Added a warning about KMess needing a restart after the protocol version is changed.

2008-10-05 (Ruben)
  * Improved crash handler.

2008-10-05 (Valerio)
  * Little improvement on the build process: when building in release mode, exclude the testing
    class.
  * Added a new debugging facility: read a connection's data from a saved KMess log, and fake
    connecting with it. See MsnSocketNull for details.
  * Switched by default to MSNP15, but a checkbox in the Global settings allows you to continue
    using the old MSNP12 connection. For a while.
  * The Now Listening icon in chat is no more grayed out when the chat connection is closed.
  * Fixed adding back to the list a contact who is in the Allowed or Removed group.
  * Heavily improved the packages detection at CMake stage, now everything is detected *and*
    you also get a nice summary at the end of it.

2008-10-03 (Valerio)
  * Continued the simplification work on the contact list code, a lot of unnecessary calls are
    now avoided, this may fix the crash on start.

2008-10-02 (Valerio)
  * Fixed emoticons in contact list, they were not shown if MSN Plus formatting was disabled.
  * Changed a bit of the contact list code, it may fix the crashes on start.

2008-10-01 (Valerio)
  * Rewritten most of the Contact List Model. Contacts not in a group are now put together in the
    Individuals group, instead of the root node. Performance should be vastly improved, and perfectly
    stable, too.. Let's hope this time it will work :)
  * Added a Quit button to the possible chatwindow toolbar actions.
  * Added another good bit of simplification to the Contact List view code.
  * Fixed offline contacts were always shown in the Individuals group.
  * Enabled back the status icon when the chat becomes idle.
  * Fixed layouting issue in the Classic Compact chat style. Thanks to Ralesk for the patch!
  * Increased the timeout for automatic disconnection. It won't work at 15 secs under certain network
    conditions.

2008-09-30 (Valerio)
  * Moved SpecialGroups away from the Network folder to the Contact one.

2008-09-28 (Valerio)
  * More improvements to the Contact List model code. They should fix: status sorting, group ordering,
    incorrect visual updates, a crash randomly occurring, and a crash when exiting.
    They also simplify a bit the code and the role of the roles (no pun intended :P).
  * Fixed double error box when adding a non-existing contact to the list.
  * Merged an updated Hungarian translation and many little translations improvements by Henrik Pauli.
  * Merged an updated Slovak translation by Rastislav Krupanský.
  * Added two missing return statements which made it possible for guest accounts to be remembered anyways.
  * Added remembering the status of the contact list search bar when logging in/out.
  * Added a little workaround to avoid crashing on close.

2008-09-26 (Ruben)
  * Fixed remembering spell checker setting in the chat window. Bug reported by elpreto.

2008-09-24 (Ruben)
  * Show original "alternative name" in Contact Properties instead of a cleaned version.
  * Use ContactBase class in internal ContactJoined, ContactLeft, ContactTyping and Nudge signals/methods.

2008-09-23 (Ruben)
  * Don't show number in chat when changing tabs using Alt[0-9].

2008-09-20 (Valerio)
  * Fixed regression which removed the focus from the message editor when switching between chats.
  * Fixed wrong strings in a couple of UI files, and a couple typos too.
  * Updated with current strings the main translation file and the various localization files.
  * Updated Italian translation.

2008-09-19 (Ruben)
  * Another small fix to prevent MSN Plus! markup tags from appearing.

2008-09-19 (Valerio)
  * Improved user feedback when getting disconnected while chats are still open: you now
    get a message in each chat about why the chat is not active anymore; and the
    visual cues in the contact frame are more clear, too.
  * Removed disabling chat window toolbuttons when the chat is offline, it was confusing.
  * Made non-reactivable chats to close.
  * Simplified a bit the signal passing between Chat and ChatWindow.
  * Added Alt+number keyboard shortcut to switch between tabs in the chat window.
  * Added Enter keyboard shortcut to open new chats in the contact list.
  * Fixed a possible infinite recursion issue due to an unchecked focus change event.
  * Updated spanish translation, by Juan Pablo González Tognarelli.

2008-09-18 (Ruben)
  * MSNP15: When connection, send original friendlyName instead of a cleaned version.

2008-09-18 (Valerio)
  * Fixed issue with InitialView when displaying long text in the status label.
  * Improved status messages management within InitialView.
  * Fixed login with msn.com accounts, like kmess@msn.com.

2008-09-17 (Ruben)
  * Don't show MSN Plus! markup tags in "joined the chat" messages.

2008-09-17 (Valerio)
  * Improved the Contact List model:
    - Fixed many subtle model management issues.
    - Fixed contacts sorting in the list.
    - Improved a bit the overall performance and loading time.
  * Fixed the right-click option to chat with a non-friend, blocked or offline contact.

2008-09-16 (Valerio)
  * Quickly fixed a compiler error with KDE 4.0.5, as reported by sifcenter.

2008-09-15 (Valerio)
  * Fixed a crash when receiving MSN Plus! predefined messages.
  * Fixed the switch to another server did not reset the initiating connection status.

2008-09-14 (Ruben)
  * Fixed appearance of html-ish <nicknames> in status and chat notifications.

2008-09-12 (Valerio)
  * Improved a bit the way the chat windows settings are saved, to try fix positioning issues (as reported at the board).
  * Fixed contact list search option being still checked after disconnecting.
  * Added Slovak translation, by Rastislav Krupanský.

2008-09-11 (Valerio)
  * Rewritten the initial view's user interface. Added two links to create new accounts and to recover lost passwords.
    It isn't ridicolously tall anymore and has a maximum width to avoid that ugly effect on window maximization.
  * Made SVG versions of the common KMess logos, and replaced all PNGs with ones rendered from the new SVGs.
  * Improved the connection process, now server transfers are handled more gracefully, and the switch to HTTP is not
    attempted when a sensible error is received from the server while logging in.

2008-09-11 (sifcenter)
  * Fixed small issue ( widget enabling ) in initial view.
  * Removed some useless code: double setEnabled(false) were present in InitialView::slotConnectionClicked()
    and InitialView::startedConnecting(..) called by KMess::connectWithAccount(..). Also switchViewToInitialScreen() was
    useless because when KMess::connectWithAccount(..) is called we are already stay in initial view.

2008-09-10 (Ruben)
  * Fixed 100% CPU during reconnection timeout.
  * Increased kmessinterfaceui.rc version number to have it merged with the file of the user.

2008-09-10 (Valerio)
  * Merged Spanish translation by Juan Pablo González Tognarelli.
  * Fixed not working HTTP fallback when the MSN server disconnects too early.
  * Fixed switchboards with HTTP connections; they were trying the standard TCP
    connection anyways.

2008-09-09 (Diederik)
  * Improved wink error messages, differentiate between cabextract "not found" or "failed".
    Also capture stderr output from cabextract.
  * Fixed a crash with receiving files with the msnftp protocol.
    Since Qt 4, QTcpServer deletes the QTcpSocket when it's deleted, because it's a qobject child.
  * Fixed displaying the filename for sending files over MSNFTP.
  * Make sure sending files happens over P2P again by default (fix debugging test).

2008-09-09 (Valerio)
  * Added a 'Close All Tabs' button to the Network Window.
  * Moved the htmlEscape and htmlUnescape methods from Emoticon to KMessShared.
  * Changed the htmlEscape and htmlUnescape methods to make them return the modified string, and
    changed their calls with regard to this new feature.
  * Fixed the way HTML entities are displayed on the chat tabs, and improved the related code.
  * Fixed chat window creation and first appearance. A little empty window previously flashed onscreen before the
    actual chat was created, due to some incorrectly ordered calls.
  * Fixed typing messages not disappearing sometimes, when receiving a message. Also improved its behavior when a
    contact changes friendly name.
  * Changed the Now Listening icon displayed on chat windows to one which will for sure exist on any box with KDE4.

2008-09-09 (sifcenter)
  * Added the basic dialog for contact list export. For the moment only csv and xml formats are supported.
  * Added erase brush to ink view.
  * Fixed issue with contact list model. Now we don't check for parent.
  * Added some messages to winks receiving.

2008-09-08 (sifcenter)
  * Fixed issue when the user has a very long contact list ( ADL command bug ). Thanks to Bugra ( Montserrat ).
  * Fixed some issues with chatwindow focus. I hope this is the last time! =).

2008-09-08 (Valerio)
  * Implemented a "Null Socket" to test KMess while being offline and/or to avoid being banned ;)
  * Fixed Now Listening support for Amarok 2.

2008-09-07 (Diederik)
  * Another obstacle conquered, the remote client is sending webcam frames to us!
    KMess does not really notice it yet, but ethereal reveals that things are working.

2008-09-07 (sifcenter)
  * MSNP15: Switched the http endpoint to https in AddressBook class. Also fixed the maxium number of contacts for each ADL command
    and added 241 error to list.
  * MSNP15: Added UBN command. For the moment useless.
  * Fixed one issue with list model. It was impossible to click on the contacts present in any groups.

2008-09-05 (Valerio)
  * Improved the initial login timer: it won't surrender anymore after some minutes, but it will if the server
    sends no commands for more than 15 seconds. This value is easily adjustable in case it's needed. Of course, after
    the login is complete, the 30-second ping replaces the login timer.

2008-09-04 (Valerio)
  * Fixed newly created empty groups did not appear if "Show Empty Groups" option was off: they now are always visible.
    Groups with contacts, all of which are offline, are still hidden with that option active.
  * Merged an updated Dutch translation by Elve.
  * Improved "Close all tabs" chat menu action: don't remove it, just disable it so users know it's there.
  * Improved the fix to the QSortFilterProxyModel crash: added more tests to thoroughly verify that the incoming index
    is not corrupted.
  * Fixed bug which made reconnection after unwanted disconnection impossible to cancel.

2008-09-03 (Valerio)
  * Added some more debugging output and a possible fix for the #330 ticket (wrong chat reactivation).
  * Fixed group expansion when searching.

2008-09-02 (Valerio)
  * Fixed not saving passwords when the 'save password' account option is off.
  * Fixed changing emoticon theme did not update the emoticons already displayed in the chat windows.

2008-09-01 (Valerio)
  * Added a first fix for the chat window focus issues.
  * Fixed old-style (i.e. not P2P) file transfers.
  * Fixed disconnection when ignoring "contact added you" dialogs.
  * Fixed case of the first typed character when you start typing while drawing.
  * Fixed selecting a status before connection completion was causing a disconnection.
  * Require a double-click to select and edit an account's settings in the Accounts Manager.
  * Improved the resetting process of the Initial View to help avoid corner cases.

2008-08-31 (Ruben)
  * Removed unneeded define in msnstatus.h

2008-08-31 (Diederik)
  * Small code cleanup, updated the merged patch to coding standards and removed the unneeded isIdleForced parameter.
  * Next step in webcam support, KMess is able to receive the <producer> XML tag.
  * Avoid displaying the same 'contact left' chat notification twice for the same contact, if there no conversation is helt in between.

2008-08-23 (Valerio)
  * Merged patch by dazjorz, improving the text commands ("/me","/status") feature.
    Changed stuff:
    - improved and simplified code quality;
    - fixed the command output duplication bug;
    - added a "/back" alias;
    - added ability to set an away auto-message with "/away".

2008-08-18 (Valerio)
  * Fixed auto-reconnect for account without a saved password.
  * Added timing-out labels and some informative messages to the Initial View.

2008-08-17 (Ruben)
  * More use of KXmlGuiWindow in the ContactList.
  * Fixed typo which made "Show Empty Groups" disappear.

2008-08-16 (Diederik)
  * Add cmake command to the 'Makefile' generated by ./configure
  * Merged patch by dazjorz, add /me and /status commands.

2008-08-15 (sifcenter)
  * MSNP15: added clearRequestData method at AB class. Ticket #315.
  * Removed the ability, in contact properties dialog, to add/move user to/from group if it isn't in FL.

2008-08-14 (Ruben)
  * Scrolling the mousewheel over the displayPicture in the InitialView now switches account.

2008-08-14 (Diederik)
  * Made KMess a bit more verbose when switching to the HTTP connection type.

2008-08-13 (sifcenter)
  * MSNP15: incremented performance.

2008-08-13 (Ruben)
  * Ported Contactlist to KXmlGuiWindow.
  * Fixed disappeared Cut,Copy,Paste in ChatWindow
  * Removed unneeded include in ChatWindow

2008-08-13 (Diederik)
  * First steps to implement webcam support. not working, and still experimental:
	  - Use cmake -D KMESS_ENABLE_WEBCAM=1 to test it.
		- implement invite button in the chat window.
		- changes to to make inserting utf16 strings easier.
		- add special casing in the base p2p class to handle webcam negotiation data.
		- make sendP2PMessage() accessable for derived classes, needed for webcam.
		- add data size verification check for p2p messages.
		- updated the network window to display the webcam negotiation packets properly.

2008-08-12 (Diederik)
  * Applied patch by dazjorz, implementing IRC-like commands in the chat window (/away, etc..)

2008-08-12 (Ruben)
  * Prevent display of "Jan 1th 1970" in Last Seen and Last Message
  * Fixed Chat-menu workaround in ChatWindow
  * Fixed typo in MsnNotificationConnectionP15

2008-08-12 (sifcenter)
  * MSNP15: added support for ADL payload.
  * MSNP15: added to CL also the contacts are not present in AB.
  * MSNP15: added support for re-added one contact from "removed" group to FL list.
  * MSNP15: rewrited some code to manage removing of one contact.
  * MSNP15: fixed small issue with initial adl command.
  * Removed the italic on the contact hasn't us in its CL and use one transparent red line.

2008-08-11 (Diederik)
  * Reverted hiding translator names in the about data, some translations require names to be translated (e.g. for special characters).
  * Make sure the 'disable winks' setting is read properly as well, and enabled by default.

2008-08-11 (Ruben)
  * Ported Chatwindow to KXmlGuiWindow.
  * Renamed and reworked Initmenu functions in ChatWindow.

2008-08-11 (Valerio)
  * Removed the useless Rich Text parser debugging from the default debug output.
  * Removed a whole lot of useless debug output which no one ever cares about.
  * Fixed connecting manually after canceling a reconnection.
  * Fixed the (hopefully) last model crash.

2008-08-11 (sifcenter)
  * Added the ability to prevent the adding of one contact that already exists in contact list.
  * MSNP15: fixed possible issue with different architectures.
  * MSNP15: better code for block, unblock, allow contact.
  * MSNP15: update the code for passport, oim and email/profile view. Also added qhash for tokens for each requested domain.
  * MSNP15: cleaned code from addressbook services class.

2008-08-10 (Ruben)
  * Display picture is now clickable when offline.

2008-08-10 (Valerio)
  * Implemented automatic reconnection. Also improved some error reporting.
  * Fixed the login view blocking on connection when the connection fails.
  * Added a method to completely delete a contact from the contact list.

2008-08-10 (sifcenter)
  * Added initial support to msnp15. To active the experimental support use -DKMESS_ENABLE_MSNP15=1 cmake option.
    By default this feature is off.
  * MSNP15: added the ability to add a contact to AddressBook.
  * MSNP15: added the ability to remove a contact from AddressBook.
  * MSNP15: added the ability to remove a group.
  * MSNP15: added the ability to rename a group.
  * MSNP15: added the ability to add a group.
  * MSNP15: added the ability to add/move/remove contact from/to group.
  * MSNP15: added the ability to add new contact and put directly it into one group.

--- 2.0alpha2 released ---

2008-08-09 (Valerio)
  * Changed group name for special groups: only display the total number of contacts they contain.
  * Fixed removing the last custom emoticon left a ghost emoticon until restart.
  * Fixed the chat window display and positioning issues.
  * Added an error dialog when trying to autoconnect to an account which doesn't have a saved password.
  * Improved chat window raising.
  * Fixed options box not being grayed out while connecting.
  * Removed two options from the selectable contact list picture size menu. Also improved the pertinent methods names.
  * Improved the groups tooltip on the contact list.
  * Merged patch from Fontknocker:
    - Added an option to block notifications when the status is set to Busy.
    - Added an option to disable displaying of received winks.
    - Added the date of the last received message from a contact.

2008-08-08 (Valerio)
  * Improved groups sorting, the order of special groups is now forced.
  * Improved search, it now behaves in a sane way:
    - Groups containing no results are hidden
    - Groups containing results are always visible expanded
    - Search is only performed within the currently visible items in the list
    - The search bar is colored when using regular expressions (type regexp: first)

2008-08-06 (Diederik)
  * Changed the info message that you haven't added any custom emoticons.
  * Make the order of menu items between the contact sidebar and contact list consistent.
  * Made the contact properties dialog more compact (TODO item width of groups).

2008-08-06 (Valerio)
  * Added Solid support to detect whether a network becomes available and disconnects.

2008-08-05 (Valerio)
  * Added a third mode to display contact list items: Mixed. It sorts contacts by their group like the usual 'By Group'
    setting, but this mode also groups together all Offline contacts.

2008-08-02 (Valerio)
  * Fixed bug causing contact list display issues when grouping contacts by online status.
  * Fixed searching the contact list: it didn't show all groups, and the search was case sensitive.

2008-08-01 (Valerio)
  * Improved the contact list sorting method; the new way is the "right" one, and it's faster, also.
  * Fixed possible model/view issues when disconnecting.
  * Made KMess to remember the value of the 'Show Empty Groups' setting.
  * Fixed groups being all hidden when the 'Show Empty Groups' setting was disabled.

2008-07-31 (Valerio)
  * Fixed initial status of the Connect button in the Initial View (it had no icon).
  * Added to geek links the ability to parse the path on the server and simple query strings.
  * Fixed displaying nicknames which contain HTML entities in the chat window.

2008-07-30 (Valerio)
  * Improved the contact list model, it's now a whole lot more compliant to the ModelTest class requirements.
  * Fixed the group expansion in the contact list.

2008-07-29 (Valerio)
  * Improved contact list filtering code, fixed a possible issue with empty groups.
  * Fixed a model issue when deleting a group.

2008-07-28 (Valerio)
  * Fixed adding groups with special characters.

2008-07-27 (Diederik)
  * Fix possible crashes with P2P support, happening when WLM is running for a long time:
    - make sure temporary error handling applications are also deleted properly.
    - enforced a more strict policy when to allow direct connections from contacts.
  * Added SessionID to waiting state change debug output.
  * Fixed case sensitive sorting of the contact list.

2008-07-24 (Valerio)
  * Fixed very long DNS lookups causing a wrong connection attempt after canceling the connection.
  * Improved initial view. Changes:
    - It will not be deleted everytime you connect/disconnect, but only when disconnecting after a successful login.
    - It is now updated when you login via the menu/trayicon.
    - It will not continue connecting silently anymore when you try to disconnect, or misbehave similarly.
  * Added graying out the auto-away feature options when XScreenSaver support is not active.
  * Fixed changing a group's name did not update the contact actions in the contactlist.
  * Added option to hide empty groups in the contact list.
  * Added error message for an undocumented server error (received when setting an already existing name to a group).
  * Improved the server error message detection code, and added dialog boxes for non-fatal errors.
  * Fixed moving contacts through groups did not update the group names and their visibility on the list.

2008-07-19 (Valerio)
  * Fixed failing assertion in the model. Thanks a lot to Montserrat for the report, patience and patch testing!

2008-07-18 (Valerio)
  * Don't disconnect when the contact list isn't modifiable.
  * Fixed a possible crash while retrieving model data from the contact list view. Thanks jonas.thorell for the report!
  * Fixed a possible crash while opening a chat with the "group chats by contact group" option active. Thanks admiral0 for the report!

2008-07-15 (Valerio)
  * Fixed the annoying contact status popups appearing right when logging in; they are now disabled for the first three
    seconds.
  * Fixed group sorting in the contact list.
  * Fixed removal of non-empty groups causing a disconnection.

2008-07-14 (Valerio)
  * Heavily improved the contact list model.
    Incidentally, improved contact list search: if you prepend "regexp:" to the search,you're now allowed to search by regular
    expression :)
    As of now, sorting when two contacts have the same status is a bit dumber, but not too resource-intensive.
    - Notes: It now makes use of a filter/sort proxy model for all of our needs, which allows us to make its behavior
      customizable in the future, if needed; a lot of mechanisms have been removed so the code should be faster other than
      leaner; don't access model internal pointers if your index comes from the proxy.
  * Improved a bit the Network Window:
    - Added a warning to the Network Window if the user doesn't add a newline to the payload, and offer to add it automatically;
    - Replace unix-like newlines with MSN Server (Windows) newlines in payloads.
  * Fixed removal of contacts; the contact's item is now properly moved to one of allowed/removed special groups.
  * Fixed right-click context menu actions in the contact list.

2008-07-13 (sifcenter)
  * Fixed the new line button signal on chat window.
  * Cleaned the header include files on the classes in
  	- Dialog folder
  	- Utils folder
  	- Notification folder
  	- Contact folder
  	- Settings folder
  	- Chat folder
  	- Network folder
  	- Main folder

2008-07-12 (sifcenter)
  * Improved the now listening class. Resolved the issue with defunct forks.
  * Improved the margin for kmess view layout in CL. Moved the status icon to bottom edge. Thanks to Alek for suggestions.
  * Improved scrolling for CL.
  * Fixed crash when click on "Edit Note" on one contact not in our CL.

2008-07-12 (Valerio)
  * Merged an improved version of the patch by Matteo Nardi: Implemented KWallet support.
  * Fixed crash when opening a chat with a contact present in zero groups, when the "group tabs by contact in the same
    group" option is selected.
  * Improved the messages for file transfers displayed on the chat window.
  * Improved file transfers, do not overwrite existing files when receiving files to a default directory.
  * Removed from the Contact Frame the display pic for invited contacts, which have none. Also reformatted a bit of code there.
  * Fixed regression, crash when some contacts join a group chat.
  * Fixed the chat tabs' widget sizes when changing tabs, they are now uniform between tabs of the same
    chat window; plus, the sidebar and message editor stay the size you tell them to be when resizing the chat window.

2008-07-11 (sifcenter)
  * Added ability to choose size of picture showed in contact list. Thanks to Matteo Nardi for suggestion.
  * Renamed the string for "new email" over the CL. Thanks to Matteo Nardi for suggestion.
  * Removed margin from kmess view layout and added a space between email icon and email string.

2008-07-10 (Valerio)
  * Fixed inability to reconnect after being disconnected.
  * Fixed UTF-8 encoding issue when reading Amarok 1.4 songs. Thanks to Mikko and Jaska for the detailed report!
  * Fixed keep-alive messages when the number of participants changes.
  * Added defines to fine-tune the initial connection timers for the TCP socket, and increased the DNS resolve timeout
    to 10 seconds, to bear with slow DNS queries taking over 5 seconds.

2008-07-09 (Valerio)
  * Hid file transfer accepting/rejecting/canceling links after clicking them.
  * Added methods to open an Account Settings dialog at a specified tab.
  * Added a notice label to the Custom Emoticon settings when none have been added yet.
  * Improved the default behavior of the Close All Tabs warning, made the close all tabs action
    the default.
  * Fixed a wrong signal/slot connection.
  * Fixed some warning messages in Account and improved recovery when the display pic is missing.
  * Heavily improved email client options in the Global Settings:
    - The KDE default mail client is selectable;
    - The code to select the mail client at runtime is a lot better and shouldn't fail (the browser setting is improved as well);
    - Using the Live Mail webmail on supported accounts can be disabled in favor of the specified mail client.

2008-07-08 (Valerio)
  * Fixed (possibly) a crash when restoring disabled chat windows on reconnection.
  * Improved auto-message feature: a new automessage is sent every 30 sec if the contact keeps writing.
  * Fixed crash due to circular calling when closing all tabs with Shift+Esc.
  * Disabled unsupported UI items when doing offline chat sessions.
  * Moved the warning which appeared when closing one tab to the close all tabs event.
  * Added a confirmation message when an incoming file transfer is accepted.

2008-07-08 (sifcenter)
  * Added "Edit Notes" action to popup menu into contact frame. Ticket #270.
  * Fixed the format of contact's name on invite menu.
  * Little improvements in CL. Adjust the space between elements and set bold to groups text.
  * Updated dbus interface for Amarok 2. Thanks to Mikko for the informations.
  * Hided actions ( in contact frame menu ) to gain some space.

2008-07-07 (Valerio)
  * Added Now Playing support for Amarok 1.x, using the system's DCOP client.
  * Made the notification popups to obey the text formatting option for the contact list.
  * Moved some FormattedString methods out of inline, for better readability.
  * Added two FormattedString enum values to obtain a string with regard to the chat or list text formatting option.
  * Made KMess completely compatible with dark KDE color schemes.
  * Added a Fresh-dark theme suitable for use with dark KDE color schemes.

2008-07-06 (sifcenter)
  * Fixed the kmess crash when the user close one chat on balloon notification on receive message, and after he try to click
    on balloon. Thanks to Ruben for report.

2008-07-05 (sifcenter)
  * Hided actions ( contact menu on CL ) are disabled to gain some space.
  * Improved the user pictures dialog.

2008-07-04 (sifcenter)
  * Added the dialog to choose previous avatar.Ticket #132.
  * Merged patch by Ruben to improve the message on tabs closing.

2008-07-04 (Valerio)
  * Improved display picture selection.
    - Accounts' DPs are now identified by hash instead of an arbitrary number, to avoid duplicates;
    - Changed wording in the AccountPage and Account classes to be more consistent;
    - Added a KMessShared method to obtain a file's hash, which could be more useful in the future.
  * Improved initial view: when an account's settings are changed, update the view to reflect the
    changes.
  * Changed the main window caption to display "KMess - accountname" instead of "accountname - KMess".
    This was necessary because chat windows could be confused with the main window when more than one
    instance was running.

2008-07-03 (sifcenter)
  * Fixed the issue with personal avatar. The bug was been introduced when I fixed the problem with
    unsupported file image downloaded by msnobject.

2008-07-03 (Valerio)
  * Improved tabbed chat shortcuts and behavior;
    - Improved shortcuts system by using Qt native methods;
    - Added shortcuts Ctrl+Tab and Ctrl+Shift+Tab to move through tabs, as in Firefox;
    - Added shortcuts Alt+Right/Shift+Backspace and Alt+Right/Shift+Backspace to move through tabs;
    - Added more and better warning dialogs when closing a tab and all tabs.

2008-07-02 (Diederik)
  * Implemented support for reverse direct connection invitations with picture transfers.
  * Fixed warning message for bad direct connection preamble.
  * Fixed allowing data fragments when the data preparation packet was rejected.
  * Fixed choosing the proper server port for file/picture transfers.
  * Fixed sending a decline message again when the user presses the cancel link twice.
  * Fixed displaying a null character in the network window.

2008-07-02 (sifcenter)
  * Improved contact frame: added handle to popup menu and now the menu is showed also when
    context menu is required on label of pm/friendlyname. Ticket #276.
  * Fixed the receiving of avatars. The problem was if a jfif image was saved in png file
    the QImageReader returns no supported format.

2008-07-01 (sifcenter)
  * Fixed the cleaned strings showed in rich text label: now the strings are escaped.

2008-07-01 (valerio)
  * Fixed a bug which prevented custom emoticon themes with non-PNG images from loading.

2008-06-30 (valerio)
  * Heavily improved the way MSN Plus! formatting is integrated in KMess.
  * Fixed some more overseen issues with MSN Plus formatting.
  * Fixed the way widgets are laid out on top of the Contact List.
  * Made KMess to also save the contact list settings when saving an account's settings, for additional safety.
  * Fixed loading the expanded status of the contact list groups, which often didn't work.
  * Fixed opening local files from the Chat Window.

2008-06-30 (sifcenter)
  * Fixed the color for initialStatusLabel_ and removed the link and options box
    when the user click on "connect" button.
  * Removed useless loginView class and use only InitialView. Added also disconnect
    button. Ticket #272.
  * Continued work on MSN Plus integration:
    - Removed rich text from friendlyname in "typing user" information.
    - Removed rich text from contact's tooltip in the CL.
    - Added rich text to popups.
    - Added rich text to personal friendly name over the CL.

2008-06-29 (valerio)
  * Improved the Contact List model a bit.
  * Fixed almost all compiler warnings.

2008-06-29 (sifcenter)
  * Merged patch by Ruben to add dbus interface to kmess.
  * Fixed the possible invalid pixmaps loaded in contact properties dialog picture list.
  * Fixed the sorting for groups. Maybe the user must be remove the group entries or entire
    file: .kde4/share/apps/kmess/contact@email.com/contactlist . Ticket #262.
  * Fixed the saving for formatting msn+ choice.
  * Adjusted the layout of transfer entry. Ticket #269.

2008-06-28 (sifcenter)
  * Added Group switcher to contact properties dialog. Closed ticket #38.
  * Continued work on MSN Plus integration:
    - Removed rich text from friendlyname and pm in contact properties dialog.

2008-06-27 (valerio)
  * Continued work on MSN Plus integration:
    - Fixed emoticon sizes in chat.
    - Fixed the greediness of the tag parser.
    - Removed the rich text from the contact list caption.

2008-06-27 (sifcenter)
  * Continued work on MSN Plus integration:
    - Removed rich text from caption of tab and chat window.
    - Removed rich text from contact frame and history combobox.

2008-06-26 (valerio)
  * Continued work on MSN Plus integration:
    - Improved the Rich Text Parser engine with the original version of ChatMessageStyle's parseMsnPlus method,
      which has been moved to the RTP itself as a static method;
    - Started integrating rich text parsing in the chat and contact list;
    - Added two options in the Account Settings to enable or disable formatting.

2008-06-25 (sifcenter)
  * Switched the glow effect into account display picture ( over CL ) from MouseButtonPressed
    to Mouse Enter to give feedback of "clickable item" to user.
  * Reorganized the contact properties dialog and removed the line edit for alternative picture.
  * Removed contact label from contact frame in chat. We already have send and copy email buttons.
  * Fixed the alternative contact's picture. When Msn Object was received from server the contact picture path was
    overwritten by it ( also if we had set the alternative picture ).
  * Fixed the change of message in KMessInterface: if the message isn't changed don't re-set the QLabel.
  * Merged patch by Ruben to fix find user shortcut when the menu is hidden.

2008-06-24 (sifcenter)
  * Merged the patch by Ruben to hide/show the menu bars by pressing CTRL+M.

2008-06-22 (Valerio)
  * Made the errors at Miscellaneous Global Settings more user-friendly, by offering an automatic fix.
  * Fixed the contact frame having empty music/message widgets when chatting with contacts not in list.

2008-06-22 (sifcenter)
  * Added the ability to write notes for a contact. Ticket #200.
  * Added one patch for new status changer to keep the compatibility with qt 4.3. Thanks to Ruben for report.
  * Reorganized the layout for initialView e loginView classes: added also the account picture.
  * Fixed the flooding of server when the player play a song or is stopped. Thanks to Mikko for report.
  * Fixed the position for picture smaller then 96x96 in the contact properties dialog and
    switched the KSqueezedTextLabel to QLabel to avoid problem with richtext and resizing.
  * Adjusted the layout of contact properties ( Information tab ) and added the ability to hide personal message
    label if there isn't anyone.

2008-06-21 (sifcenter)
  * Added the ability to send ink with only drawed area.

2008-06-20 (sifcenter)
  * Reorganized the layout for main window. I have left commented the code for toolbar. Thanks to Tyler for the idea.

2008-06-20 (Valerio)
  * Made the errors at Miscellaneous Global Settings more user-friendly, by offering an automatic fix.

2008-06-18 (sifcenter)
  * Added the ability to store the contact last personal message.
  * Fixed warning at InkEdit class.

2008-06-17 (Valerio)
  * Added an option to select a default directory where to put received files.
  * Added an option to choose the interval of ports used for Peer to Peer (direct) file transfers.
  * Fixed the Ink Message Editor active being left active in chats when disconnecting from MSN (you could still 'send'
    messages).

2008-06-17 (sifcenter)
  * Added the ability to send ink via mimemessage ( p2p ink sending is based on
    proprietary ink format ).
  * Added the ability to choose size of pen for ink.
  * Added the ability to switch automatically from ink editor when the user press a key.
  * Fixed another little issue with emoticon add dialog.
  * Fixed the receiving of inks by switchboard in multi chat.

2008-06-16 (sifcenter)
  * Added the ability to switch the tabs with scroll wheel mouse. Ticket #243.
  * Added the ability to view profiles with login into passport services.
  * Added the ability to request the passport service with the language setted in account.
  * Added the find action to context menu in chat view.
  * Fixed a little issue with emoticon add dialog.
  * Fixed the command menu "Show my profile".
  * Fixed typo. Thanks to Ruben for report.
  * Fixed the failed assert at chatwindow: the setWindowTitle was called before adding the first tab.
    Moved one method from public to public slot type to avoid issue of one connection.
  * Fixed the closing of one background switchboard when a chat window is opened. Ticket #174.

2008-06-16 (Valerio)
  * Fixed the account registration and activation links, they were being shown inappropriately.
  * Changed the global email settings behavior. Now Live™ accounts will only access it via the site,
    as there's no way to access it via 3rd party clients. Made the email settings page on par with the
    browser settings. Also removed some unused parameters from the mail opening call in CurrentAccount.
  * Removed the names of translators from the kmess translations file.

2008-06-15 (Diederik)
  * Fixed some window titles in the UI files, which ended up in the translations.
  * Moved MsnObjectTransferP2P::getPictureFileName() -> KMessConfig::getMsnObjectFileName().
  * Removed unused includes for account.h, and fixed all fallout.
  * Synced credits between main.cpp and the handbook.
  * Renamed pictureReceived() signal to msnObjectReceived().
  * Avoid HTML code of the network window appearing in translations.
  * Fixed network window tab titles, display the connection title again.
  * Fixed inconsistent margins for setting dialog panes. All set to 0 like the KDE notification pane is.
    Makes it look much better with different window styles too (like Windows XP).
  * Move protected currentAccount_ field to the NS and SB classes. Makes the API less obscure too.
  * Fixed ingroup tags of APIDOX headers
  * Made all UI inheritances private.
  * Fixed a crash in the contact sidebar when an "InvitedContact" left the chat.

2008-06-15 (sifcenter)
  * Switched the image showed into add emoticon dialog from static to movie.
    Fixed also one bug when we edit one picture and then we try to add one.
  * Fixed the method to authenticate in hotmail service. Now we use the new post method with sha1.
  * Fixed the oim class when there are twnChallenge and lockKey in response. Updated also the product key/id.
  * Fixed the issue with multichat: now the contact frame is removed and the tab caption is updated.
  * Reimplemented the method to open directly the inbox and compose mail.

2008-06-14 (sifcenter)
  * Added a "thumbnail" type for winks.
  * Added a close button to popups.
  * Fixed the bug with opening of the email client on no hotmail/live accounts.
    Maybe on the no live accounts the command URL is empty so the url is empty too.
    Thanks to swiftscyth for report.

2008-06-13 (Valerio)
  * Fixed the very annoying bug which prevented emoticon and file transfers and which
    closed the chat's connection repeatedly.
  * Added a Close All Tabs menu action to the Chat Window, and keyboard shortcuts to:
    close a tab (esc), close the whole window (shift+esc), and navigate between tabs
    (alt+left/right).

2008-06-13 (sifcenter)
  * Added two algorithm: HMACSha1 and DeriveKey. They are used in MSNP15 SSO and
    for access to hotmail ( I have committed they to try these with hotmail ).
  * Fixed the focus for new chat opened by remote client.
  * Fixed the saving of email/browser settings. Moved some code for open emails from
    current account to kmessshared class.

2008-06-12 (sifcenter)
  * Added a right click menu to custom emoticons in sidebar.
  * Added the class for parsing the msn plus string. Only for testing for the moment.
  * Fixed the position of away auto-reply buttons.

2008-06-12 (Valerio)
  * Fixed giving focus to the wanted tab when opening a new chat.
  * Fixed some ChatWindow's caption inconsistencies.
  * Improved behavior of ChatWindow when exiting (do not disable then close the tabs).

2008-06-11 (Diederik)
  * Change order of pages in the global settings dialog.
    Notifications seam more important to me then misc settings.
  * Fix running 'maketrans', paths still referred to old source folders.

2008-06-10 (valerio)
  * Added an account settings option to control how tabbed chats will behave.
  * Limited the maximum size of the tabs and improved their usability and appearance.

2008-06-10 (Diederik)
  * Fixed useles tabs appearing in the network window, KMESS_NET_CLOSE() calls is made in the MsnConnection now.

2008-06-09 (valerio)
  * Improved the encapsulation of typing contacts messages, moved all the algorithm in Chat, ChatWindow now
    only displays what's told by the Chats.
  * Also improved the Test Window behavior, it's working as a 'real' chat now.
  * Added an highlighted color to tabs where contacts are typing.
  * Cleaned up some more ChatMaster's code. The chat mixing bug should be gone.
  * Tried another solution to avoid having an empty chatwindow without any tab in it.

2008-06-08 (valerio)
  * Merged the calls to retrieve a chat based on its participants into one.
  * Enabled back the brightening of contact frames when they type.

2008-06-07 (sifcenter)
  * Added closing of tab on mouse middle button clicked.
  * Added an alert icon on tab when receiving a message from contact.
  * Rewrited some parts of contact list view delegate: fixed the repaint "infinite loop".
  * Added the icons to tabs on network window: if there isn't one the close button is not showed.
  * Removed the zoom in/out, font color/style buttons from toolbar. They are unless in 99% of the time :P.

2008-06-07 (Diederik)
  * Fixed a crash with tabbed chats, when receiving a custom emoticon in a new tab.
  * Added version information to crash reports of KMess, KDE and Qt.
  * Fix inconsistent naming of contactChangedMsnObject() vs contactChangeStatus().

2008-06-06 (sifcenter)
  * Remove the tabBar when there is only one chat.
  * Fixed the issue when close the first tab while there are some chats opened.

2008-06-04 (Diederik)
  * Fixed the double frame and typo in the contact properties dialog.
  * Fixed a crash in debug builds for unknown contacts.
  * Fixed displaying old contact names after login (name was not updated in the ILN command).
  * Fixed a crash when a switchboard is being replaced, offlineImService was not initialized.
  * Splitted the P2P base class, to make the code easier to understand and maintain.

2008-06-04 (Valerio)
  * Finished the work on tabbed chats. Now they are fully supported and used by KMess.
  * Merged patch by Ruben to save the toolbars lock status.
  * Fixed chats not working at all, the connection between the chat tab and the server was broken.
  * Added chat window caption synchronization with the currently selected tab.

2008-06-02 (Diederik)
  * Fix compatiblity issues with the 'configure' and 'get-svn-version.sh' scripts in Mac OS X 10.4 which uses BSD commands.
  * Fix compiling of KMess under Mac OS, the KWindowInfo classes are only available for X11 platforms.
  * Apply some layout tweaks, which are not visible with Oxygen but are with the Windows XP theme.

2008-05-31 (Valerio)
  * Fixed receiving messages, the contact sidebar's picture didn't stop glowing.

2008-05-24 (valerio)
  * Changed name to the Chat Window Interface UI file.
  * Moved *all* UI-related methods away from ChatWindow and into ChatWindowInterface.
  * Made ChatWindow to inherit ChatView.
  * Made the ChatMaster to manage ChatWindowInterfaces.
  * Renamed the ChatWindow class to just "Chat".
  * Renamed the ChatWindowInterface class to "ChatWindow".

2008-05-24 (sifcenter)
  * Fixed the connection for send button in chatview.
  * Renamed the class AutoLoginView to LoginView.

2008-05-23 (sifcenter)
  * Added the ability to parse effects text for words contain accented chars and
    white space: thanks to swiftscythe for reporting.
  * Moved the code for emoticon side buttons to QListWidget.
  * Fixed the bug in contact sidebar: it wasn't possible to click on the tab contact.
  * Fixed the position of button in transfer dialog: thanks to Mikko for reporting.
  * Fixed the missing arguments in contact added user dialog: thanks to swiftscythe for reporting.
  * Fixed the missing connect for textChanged for messageEdit_.

2008-05-23 (Valerio)
  * Fixed sending chat colors, and improved receiving them.
  * Improved groups sorting in the contact list, they are now ordered more like they were in KMess 1.5.1 .

2008-05-22 (Valerio)
  * Improved file format detection for new custom emoticon files.
  * Added more debugging info to AddEmoticonDialog and changed the way the emoticon name is passed to the theme.

2008-05-21 (Diederik)
  * Fixed configure output message with path to build folder.
  * Fixed possible passport login problem by putting the xmlns at the start of the tag.
  * Fixed parent of network window warning dialog.
  * Refactored HTTP soap connection code, support 'calldata' per request.
    Makes SOAP requests robust if there are multiple parallel requests.
  * fixed soap faults being processed in parseSoapResult() when the SOAP fault namespace prefix was different.
  * Make sure errors in sub SOAP requests by the offline-im service are also handled.

2008-05-21 (sifcenter)
  * Fixed the position problem for buttons in contact properties dialog.
  * Fixed the position problem for buttons in add emoticons dialog.
  * Merged MasterOfNothing's patch for status label on chatwindow.

2008-05-19 (sifcenter)
  * Fixed the connection for invite button.

2008-05-18 (Valerio)
  * Moved the Sidebar code from Chat View to Chat Window, in preparation for a Tabbed Chat patch.

2008-05-17 (Diederik)
  * Make sure passwords are hidden in the network window.
  * Improved configure script to avoid the 'cd' command.

2008-05-14 (Diederik)
  * Fix compiling if XScreensaver libs can't be found.

2008-05-13 (Valerio)
  * Merged an adapted version of K39's patch, reviewed the Chat Logging page of the Account Settings.
  * Merged an adapted version of K39's patch, reviewed the Alerts page of the Account Settings.
  * Merged an adapted version of K39's patch, reviewed the Chat Style page of the Account Settings.
  * Merged an adapted version of K39's patch, reviewed the Chat Window.
  * Merged an adapted version of K39's patch, reviewed the Account page of the Account Settings.
  * Moved all config directory management and interaction to the KMessConfig class.
  * Revised a bit the Chat Window structure and margins.
  * Made Account Settings windows to be children of the Account Manager window if they are opened from there.
  * Enabled again BinReloc support to the CMake scripts and to the configure wrapper.

2008-05-13 (sifcenter)
  * Added the password to editbox in account page settings

2008-05-12 (Diederik)
  * Make the XmlFunctions code more verbose, while debugging offline-im sending.
  * Fixed compiling the new network window for KDE 4.0.
  * Make pthread library required for UNIX platforms only.
  * Merged path by K39 to compile KMess on Windows.

2008-05-12 (Valerio)
  * Added an UI file to the Network Window.
  * Modified the CMake file to completely avoid compiling the Network Window in user builds.
  * Added the ability to manually send commands to the server in Network Window's selected tab.

2008-05-10 (Valerio)
  * Fixed a little issue with emoticon themes which prevented kmess from sending custom emoticons.

2008-05-10 (sifcenter)
  * Added the label with transfer rate and eta to file transfer entry. Added also an icon
    that shows if the transfer is incoming or outcoming.

2008-05-09 (sifcenter)
  * Improved the sending of oims: now if there is a authentication error, the client requests
    one new passport authentication.

2008-05-09 (Valerio)
  * Fixed the buttons in the Accounts Manager and a possible crash.
  * Fixed the behavior of the extra options in the initial view, when the account name is unknown.
  * Removed some signal forwarding methods, replaced with signal-signal connections.
  * Moved the Email Settings to the global configuration dialog.
  * Redesigned the Alerts page: it had way too many controls for a single page.

2008-05-08 (Valerio)
  * Added a KMessShared class, to contain globally useful stand-alone methods.
  * Added option to choose a custom browser from the Global Settings.

2008-05-08 (sifcenter)
  * Improved the accounts manager page: now the accounts are showed with image, friendly name and
    email like a card.
  * Added the include "math.h" to msnswitchboardconnection.cpp to avoid issue reported here:
    http://kmess.org/board/viewtopic.php?f=4&t=3181
  * Fixed the setting for personal image.

2008-05-08 (Valerio)
  * Improved account directories management; also new accounts should not get duplicated when edited.
  * When using the TCP socket, avoid firing the disconnection signal twice.
  * After a logout with an HTTP connection, the next login try connecting with TCP first.

2008-05-07 (sifcenter)
  * Added support to huge message sending ( max 10 chunks, 14000 bytes ).
  * Added "Listening music" to copy menu.
  * Improved the sending of huge messages: now the remote clients that don't support the
    recieving of it, will receive the splitted message.

2008-05-06 (Valerio)
  * Rewritten the configuration system. It's now all based on KMessConfig.
    While I was at it, I also have adjusted the preferences paths: account files are now entirely stored
    in the account folder.
  * Avoid reloading an emoticon theme if it is already.
  * Simplified the InitialView constructor by removing a parameter, which will be obtained locally instead.
  * Fixed account deletion, now the entire deleted account directory is destroyed.
  * Fixed issue with new accounts, the 'remember account' option was not honored.
  * Fixed issue with guest accounts, now they are correctly added to the Accounts Manager.
  * Fixed new accounts weren't being added to the login screen list.

2008-05-06 (sifcenter)
  * Fixed the issue when the statusLabel shows one string larger than the aviable space.
  * Fixed some labels: switched from AutoText to RichText.

2008-05-05 (Valerio)
  * Removed parentship between the main window and the settings dialogs. This should fix the window visibility
    issues under KDE4.
  * Removed the status enum from KMessInterface, which was an unneeded dependency and caused many recompiles.
  * Fixed closing a disconnected connection causing debug log warnings.
  * Fixed saving the contact list groups order.
  * Removed three useless methods from class KMess; fixed the warnings when disconnecting from a guest account.
  * Removed an old call to ContactList to set a contact offline, replaced it with the generic changeContactStatus() call.
  * Added back the italicized font on the list for contacts which do not have us in their list.
  * Added ability to Global Settings Dialog to load and save settings for all of its pages.

2008-05-05 (sifcenter)
  * Added the date to picture files.
  * Added the button "clear cache" in the files picture browser.
  * Added the notification dialog to global settings.
  * Removed the notification dialog button from actions menu.
  * Improved search bar: now is hidden by default and it can be called by option in action menu
    or by pressing ctrl+f
  * Fixed the issue with very long nick

2008-05-04 (Diederik)
  * Easy debugging by displaying error codes in the debug window too.
  * Moved SOAP support methods to MsnConnection so these can be used for the SB code too.

2008-05-04 (Valerio)
  * Improved the account management. Added an AccountsManager singleton class which manages
    all account-related events. This removes a lot of responsibility from the KMess class.
  * Finished work on the Account Manager in the new Global Settings Window.
  * Improved the Account Settings dialog's behavior. It will now refuse to close and save if the handle
    is invalid.
  * Improved a bit the management of the new account directories.

2008-05-04 (sifcenter)
  * Added a KLineEdit for searching contacts in contact list.
  * Added the menu "Configure KMess" to the tray icon right-click menu.
  * Fixed the issue when adding an invalid account name.
  * Improved the sending of oims: now we can send them when we are invisible.
  * Improved the sending of oims: use sendRequest instead of sendRawPostRequest.

2008-05-03 (Valerio)
  * Added a Global Settings dialog, along with a stub of an Account Manager, just to fill
    the dialog with something.

2008-05-03 (sifcenter)
  * Added some controls for the errors returned in the soap reply for oim:
    - Now there is only one lock key for all oims ( stored in current account ).
    - The key will re-calculate if in the soap reply there are "Authentication Failed" and "LockKeyChallenge" entries.
    - Now there is a feedback in chat window if there is a problem while sending one oim.
  * Added tooltips to personal message and friendly name labels in the contact frame of the chat window.
  * Added last seen entry to contact's extensions. It's added in one label on contact properties dialog.
  * Added a Miscellaneous Settings dialog to Global Settings. It's a stub.
  * Added an i18n call to KMess::addNewGroup() to the default group name.
  * Fixed the problem with long friendlynames ( set the maximum length to 387 characters url encoded ).
  * Fixed some escape friendlyname in kmessview.cpp.
  * Fixed some icons:
    - copy link in popup menu on link click.
    - contact flag blocked, food and phone.
  * Improved the history combo box and remove oldest item if the count is >= 500 elements.

2008-05-02 (Valerio)
  * Added MSN-HTTP support. Now KMess can connect from behind those corporate firewalls
    which only allow browsing the Web.
  * Added a socket abstraction layer, adapted all socket code to use it.
  * Unified all network-related error messages.
  * Fixed the disconnection occurring when trying to chat with an online contact while
    being invisible.
  * Fixed the "i18n argument missing" warning text which was visible in Transfer Window entries.

2008-05-02 (sifcenter)
  * Change the location for data of account settings
  * Change the location for data of contacts settings
  * Added the KMessConfig class for retrive informations about configure location
  * Added the ability to send Offline Messages to contacts, and to open chats with offline
    and invisible contacts.

--- 2.0alpha released ---

2008-05-01 (Diederik)
  * Final updates to release the alpha: 702 commits since the start of porting.
    at subversion revision 3041.

2008-05-01 (Valerio, Diederik, Sifcenter)
  List of all new features not mentioned before:
  * Fixed bug which prevented KMess from closing
  * Added a log of contacts logins and logouts in the Contact List
  * Added chatwindow reactivation when reconnecting
  * Added the right-click Copy sidebar option to the contacts in the list, too
  * Added automatic stack backtrace output in console if KMess crashes
  * Added a wrapper "configure" script to CMake, to make transition easier

2008-04-11 (sifcenter)
  * Added ability to copy links from personal messages and friendlynames of the contacts.

2008-04-10 (Diederik)
  * Fix lost font color settings when using the chat window:
    - settings were reset when opening the account settings
    - current font color was not selected.
  * Fix contact re-invites (chat resumes) to the chat when the first attempt failed.

2008-04-06 (Diederik)
  * Merged KDE 4 porting with trunk:
    code porting complete and major are regressions fixed.
    at subversion revision 2859.

2008-03-28 (Valerio)
  * Added count of online contacts in group names shown in the Contact List.

2008-03-26 (Valerio)
  * Added combobox to select which group to place new contacts in when adding them to the contact list.

2008-03-26 (Diederik)
  * Implement ink receiving inspired by a patch of sifcenter.

2008-03-16 (Diederik)
  * Improved client name detection, for both normal and third party clients.
  * Move ContactExtension settings to a different config section.

2008-03-13 (Diederik)
  * Merged patch from Antonio Nastasi to have fast retype of the last sentence.

2008-02-09
  * Most crashes and errors cleared away, simple chat messages work again:
    see: http://www.codingdomain.com/blog/archives/19-KDE-4-porting-of-KMess.html

2008-01-29
  * KDE 4 branch compiles again after 190 commits.

2008-01-15
  * Start of KDE 4 porting as separate branch:
    parallel in development of KMess 1.5.1
    at subversion revision 2338.


--- 1.5.2 branch ---

2008-08-03 (Valerio)
  * Fixed group sorting.

2008-07-27 (Diederik)
  * Fixed a possible crash in background picture transfers (backported from KMess 2).
    This could happen when WLM is running for a long time. It likely won't ever happen in
    KMess 1.5 because it does not accept reversed invitations.
  * Fixed enabled auto-away settings if the XScreenSaver extension was not found (backported from KMess 2).

2008-07-12 (Valerio)
  * Fixed a bug which discarded saved options for an account when quitting and when just disconnecting.
  * Fixed a bug which caused a disconnection when setting and extremely long nickname.

2008-07-01 (Valerio)
  * Fixed a bug which prevented non-PNG emoticon themes from loading (backported from KMess 2).

2008-06-10 (Diederik)
  * Updated Simplified Chinese translation by Liu Sizhuang.

2008-06-04 (Diederik)
  * Fixed a crash in debug builds for unknown contacts (backported from KMess 2).
  * Fixed displaying old contact names after login (name was not updated in the ILN command, backported from KMess 2).
  * Fixed a potential passport login problem, not seen yet unfortunately (backported from KMess 2).

2008-05-17 (Diederik)
  * Make sure passwords are hidden in the network window (backported from KMess 2).
  * Added a warning message if a file transfer is started when a non-P2P capable client.

2008-05-11 (Valerio)
  * Added Portuguese translation, made by Darlan Campos.

2008-04-20 (Valerio)
  * Fixed a possible crash in PassivePopup (backported from KMess 2).


--- 1.5.1 branch ---

2008-04-06 (Diederik)
  * Added a warning message for broken SOCKS implementations which could cause KMess to freeze.

2008-03-20 (Valerio)
  * Backported a patch by sifcenter, stop the chat window title's blinking when the chat is given focus.

2008-03-15 (Valerio)
  * Backported a patch by sifcenter, always give focus to the Message Box when the chat window is given focus.

2008-03-13 (Valerio)
  * Backported the fix for a crash happening when removing a contact completely from the list while it was added to a group.

2008-03-12 (Diederik)
  * Fixed a crash introduced by the patch to display a client name, happens with contacts invited to your chat.

2008-02-25 (Valerio)
  * Fixed invisible text in the contact list when using some dark KDE color themes.

2009-02-21 (Diederik)
  * Updated translation for Danish by Pascal d'Hermilly.

2008-02-21 (Valerio)
  * Fixed empty contact client name when it's not in our list of 3rd-party clients.
  * Hide both the standard and the custom emoticons tabs when sending a message.
  * Fixed appearance of multiple error message boxes when the connection is closed by the server or lost.

2008-02-20 (Valerio)
  * Updated translation files with the most recent strings.

2008-02-17 (Valerio)
  * Moved contact's groups parsing to the notification class, where it's more logic for this to happen.

2008-02-15 (Valerio)
  * Improved the Contact Sidebar frame layout. Removed the separator line.
  * Improved the Contact Sidebar frame appearance. Removed the "(status)" string at the end of the
    contact nickname. Also moved the status to the tooltip for the contact status icon.

2009-02-10 (Diederik)
  * Updated translation for Traditional Chinese by Ynehcou Chen.

2009-01-20 (Diederik)
 * Fixed a possible freeze in the developer build, caused by the network window formatting remaining p2p fragments.

2008-01-16 (Diederik)
 * Fixed selecting a picture in the Autopackage version, and KDE 3.2 / 3.3 installations.

2008-01-10 (Valerio)
  * Disable the popups when a full-screen application or screen saver is active.
  * Added option (in View menu) to show contacts' display pictures in the contact list. Thanks to Guido Solinas for the patch.
  * Disabled many popups for MSN warning messages, and put them on the status bar.
  * Added automatic KDE spell checker to the chat window. Thanks to jnmbk for the initial suggestion.
  * Added a contact list popup text showing which MSN client your contacts use. Thanks to Guido Solinas for the patch.
  * Added a little screenshot of the notification area when closing KMess to tray for the first time, to help find our tray icon.
  * Disabled nickname changes when using a non-verified account. See trac, #21.
  * Added menu options to manually set your own MSN status as Idle. See trac, #80.


--- 1.5 released ---

2008-01-07 (Diederik)
  * Fixed corrupt direct connections due to message fragmentation.
  * Fixed new hanging sockets caused by the previous commit.

2008-01-06 (Diederik)
  * Fixed compiling with KDE 3.2
  * Fixed sending remaining p2p message when direct connection write buffer is full.
  * Fixed possible read error with direct connection length field.
  * Fixed duplicate switchboard write handlers when multiple transfers fail.

2008-01-02 (Diederik)
  * Fixed invalid connection for KExtendedSocket::closed() signal for direct connection.
  * Fix sending messages over the switchboard when writing to the direct connection fails.
  * Fixed sending double handshake messages if a previous file transfer application is not terminated yet (e.g. by not receiving a BYE from amsn 0.97).
  * Fixed userAborted(), it could display "session cancelled" after "transfer complete", revealed by amsn which restarted the switchboard.
  * Fixed receiving more files from amsn 0.97.
    - Added support for receiving a new direct connection invitation while one exists already.
    - Fixed reverting back to the switchboard when a direct connection gets write errors.
  * Fixed displaying "session cancelled" message mulitple times if the contact does not send a SLP BYE (also happens with amsn 0.97).

2007-12-29 (Diederik)
  * Updated Spanish translation by Christian Kaiser.
  * Updated Danish translation by Pascal d'Hermilly.
  * Fix small p2p debugging issue, make sure we can differentiate between the session INVITE and transfer INVITE.

2007-12-25 (Diederik)
  * Improved the P2P application flags for the various ack messages, to behave much more like WLM does.
  * Updated admin folder with contents from KDE 3.5.7

2007-12-25 (Valerio)
  * Fixed typo in a regexp causing geek links to not always work.

2007-12-24 (Diederik)
  * Fixed P2P issues all over the place, fixes:
    - displaying "transfer complete" followed by "contact aborted".,
    - more issues with slow WLM computers, starting transfer before the DC is set up.
    - data sending continued while contact aborted.
  * Improved many P2P debug mesasges for get more precise logs.
  * Added support for KExtendedSocket::closed() signal.

2007-12-24 (Valerio)
  * Added timeout detection for Direct Connections, to avoid NAT timeouts.

2007-12-19 (Valerio)
  * Fixed falling back to standard emoticons when emoticon themes are not fully compatible with MSN.
  * Updated the XML namespace for chat styles.
  * Changed in the styles XML the old userPhotoUrl attribute with a new tag, <displayPicture/>.
  * Improved the KMess manual by separating app configuration into its own section.

2007-12-19 (Diederik)
  * Fine tuned P2P error flags to make our P2P implementation even closer to WLM.
  * Fixed invalid switchboard assertion message.
  * Fixed direct connection timer problem, could be fired after a connection was set up.
  * Fixed sending data while contact aborts the application.

2007-12-16 (Valerio)
  * Changed sounds behavior, don't play them at all if the corresponding notification balloon option is disabled.
  * Improved contact list behavior when clicking accidentally.

2007-12-16 (Diederik)
  * Fix for file transfers with WLM at slow computers, by adding support for receiving file data out of order.
  * Updated p2p debug statements to log error handling too.
  * Improved scaling of unknown.png, preserved aspect ratio while being squared.
  * Slighly improved sending more files in parallel, sendNextDataParts() receives preferred ammounts of packets to send.
  * Fix issues picture/emoticon transfer problems with Messenger for the Mac.
    Interestingly enough Microsoft breaks it's own protocol here. :-p
    - handle situation where BYE is sent before the all-data-received ack.
  * Fix emoticon transfers to aMsn 0.97rc1 and Messenger for the Mac. Both use AppID 1 for emoticons.
  * Fix warning about closing ack, which can't be linked to a message at all.

2007-12-06 (Diederik)
  * Improve debugging with network window, insert space between messages to mark idle time. Also added more commands.
  * Fixed file transfer issues with overloaded systems, increased timeout values.
  * P2P applications send 0x06 message now if an ACK is missing.
  * Fixed potential crash with aborting applications and starting new chat session at the same time.
  * Fix unwanted closing of the direct connection if all applications are aborted.
  * Fix sending P2P 0x02 message followed by 0x08 if sendSlpError() can't send a SLP message back.
  * Fix starting the picture transfer after WLM requested a direct connection first.
  * Fix handling of SLP ACK messages without a zero session ID set.
  * Added "keep alive / time wait" support to receive final P2P response before destroying application instances.

2007-11-29 (Valerio)
  * Brought back the Transfer Window to the previous quality level: fixed entries and window resizing.
  * Fixed now listening icon in the contact frames was not being deactivated along with the other controls.
  * Always show the Account Settings page when opening the Settings dialog.
  * Explicitly ignore messages from MSN Alerts/Calendar/Mobile - and dump them in debug mode.
  * Improved the icons for a couple menu items.
  * Only dump messages body when the pertinent debug define is turned on: dumps are mostly useless.

2007-11-28 (Diederik)
  * Fixed issue with direct connection, it could be reset when receiving files.

2007-11-27 (Valerio)
  * Fixed one pixel margin around the Sidebar, which caused a line to be displayed around it when using many Qt themes.

2007-11-25 (Valerio)
  * Updated the chat styles to show the date along the time, when receiving offline messages.
  * Added a Now Playing icon next to the contact's PM space in the Contact Frame, if the contact is listening
    to music.
  * As requested: only force the emoticons to have a maximum height, but always preserve their aspect ratio.

2007-11-24 (Valerio)
  * Changed base class to the Transfer Window, partially rewritten to be more reliable; added an UI file
    for its interface.
  * Always set up as chat window caption the first participant's name when creating the new chat. Also improved
    the code by moving&fixing getCaption() from MsnSwitchboardConnection to ChatWindow.

2007-11-22 (Valerio)
  * Fixed a crash when closing applications.
  * Reduced unneeded debug verbosity of Msn(Notification|Switchboard)?Connection classes.
  * Fixed i18n for the transfer window messages, which can be translated now.
  * Also updated the translations with the "new" messages.

2007-11-21 (Diederik)
  * Fixed unwanted destroying of the direct connection if a switchboard connection restarts.
  * Fixed freeze with starting file transfers, signal for all connections failed sent too early.

2007-11-17 (Valerio)
  * Largely improved the contact list rendering code, now works with all color themes and will display our
    list background without glitches. It's faster too, and should cause less flickering.
  * Fixed translation code for Transfer entries. It can be translated now.
  * Removed check for already sent custom emoticons for compatibility with WLM8+; but will use a bit more bandwidth.

2007-11-13 (Valerio)
  * Improved visual aspect of custom emoticons, which are now limited to a maximum of 128x128px and
    keep their original aspect ratio.

2007-11-12 (Diederik)
  * Fix more direct connection issues, make sure applications are correctly unregistered as data senders when an error occured.

2007-11-12 (Valerio)
  * Changed the contact frame, now shows Now Playing music instead of the Personal Message if available.
  * Improved fix of 2007-11-04 (rev 2180) to avoid (for example) ":")" from being parsed as ":';)"

2007-11-10 (Valerio)
  * Added limit of 7 characters in emoticon shortcuts when renaming them from the Emoticon Settings.

2007-11-09 (Valerio)
  * Fixed a crash when receiving MSN Plus' default sound messages.
  * Greatly improved the support for MSN Plus' default sound messages. The sounds will not be played, we don't have the sound files.
    They're annoying, too.

2007-11-07 (Valerio)
  * Fixed a potential crash when status for a contact changes and chat windows with that contact don't have a switchboard ready.

2007-11-07 (Diederik)
  * Received updated translations for Danish, Dutch, Hangarian, Turkish, Thai and Simplified Chinese.
  * Make sure `po/mergetrans` won't remove translations on error.
  * Removed unwanted access keys and widget names from the translations again.

2007-11-06 (Valerio)
  * Made the Transfer Window to be shown minimized, to avoid interrupting the user when a transfer is accepted by a contact.
  * Forced the Custom Emoticons Settings to update the view when an emoticon is renamed or deleted.

2007-11-04 (Valerio)
  * Fixed issue with HTML-encoded characters followed by a closed parenthesis generating emoticons ( like ":')" ).

2007-11-03 (Valerio)
  * Fixed issue with the internationalized names of the standard emoticons set.

2007-11-01 (Valerio)
  * Improved geek-style link parsing.

2007-10-31 (Valerio)
  * Fixed connection issue when timeout occurs before the initial login; increased by 15 seconds the login timeout.
  * Fixed issue custom emoticon shortcuts which contain quotes.
  * Fixed a regexp parsing problem which caused misinterpretation of attributes delimited with double quotes.
  * Improved a bit the custom emoticons code performance.
  * Deleted most custom emoticon tooltips due to an issue with KHTML and title tooltips.
  * Fixed issue which prevented emoticons copy/pasting.
  * Added forcing a limit of seven characters for custom emoticon shortcuts like MSN Messenger does.
  * Fixed notification sound for contacts which login to a status different than Online.
  * Improved saving settings after login, now saves all settings instead of just those of the connected account.
  * Added file overwriting dialog when saving chats.
  * Send again the custom emoticons definitions if all contacts leave a chat and then someone joins it.
  * Added emoticon overwriting dialog when renaming an emoticon to an already existing name.
  * Improved shutdown by saving the contact list only when the msn connection is closed, and not also when exiting.

2007-10-31 (Diederik)
  * Updated the French translation by Andrea Blankenstijn.
  * Fixed a new issue with the direct connection code which aborts the connection when the buffer is empty.
  * Fixed message in the transfer dialog when the contact aborts during code style changes.
  * Fixed duplicate messages from the direct connection in the transfer debug dialog.
  * Fixed crashes with direct connection setup when connection is closed at initialisation.

2007-10-29 (Valerio)
  * Fixed a lot of compiler warnings.

2007-10-28 (Valerio)
  * Added a quick fix for the duplicated chat windows bug. (ticket #136)
  * Fixed MSN Objects received by clients with different character lengths being not recognized. (see ticket #150)
  * Removed a compiler warning and added a bit more debugging information to PictureTransferP2P.
  * Disabled the Browse button when adding a new emoticon clicked in a chat window. Also fixed a compiler error with debugging on.
  * Fixed display and parsing issues with received custom emoticons; they weren't being displayed correctly sometimes, and weren't being converted when downloaded.
  * Added file size to the message displayed when sending a file.
  * Updated again the user manual with all latest KMess features; reorganized the sections to be easier to browse, corrected
    a couple typos.

2007-10-25 (Valerio)
  * Improved direct connection read sensing, to avoid non-existant socket read errors.

2007-10-23 (Valerio)
  * Worked around a Mercury Messenger issue, sending files to it was causing the message "transfer successful" to be followed
    by "transfer canceled".

2007-10-21 (Valerio)
  * Added more detail to debugging statements for Direct Connection classes.
  * Fixed Direct Connection bug which prevented DC transfers to start, when receiving data.
  * Fixed setting display picture with new accounts.

2007-10-20 (Valerio)
  * Made all TransferEntry parameters as copies instead of references.
  * Small improvement to Custom Emoticons settings, added button to force in-place emoticon renaming.
  * Fixed buttons not disabling when deleting emoticons.
  * Fixed incorrect message "conversation went idle, contact left" in group chats.

2007-10-19 (Valerio)
  * Added some more timeout to login, to avoid stopping the process if the MSN contact list server is slow.

2007-10-17 (Valerio)
  * Commented out the warning on filetransfer activity; was too unreliable to be released with 1.5 without introducing problems.
    Postponed to 1.6. (ticket #53)

2007-10-16 (Valerio)
  * Heavily reworked the interaction between the classes related to Transfer Window. This *should* fix the occasional crashes.
  * Removed a meaningless debug warning appearing with new accounts.
  * Added a better filter for the custom picture open dialog, in the contact properties.
  * Updated the strings file from source; merged the translations with current strings. Also fixed the merge command to support UTF-8 characters.

2007-10-15 (Diederik)
  * Fixed empty chat message after file transfer completes. Also fixes a warning in the logs.
  * Improved some debug messages, to ease debugging.
  * Fixed broken contact images which don't get updated; added data hash check.
  * Fixed subtle GUI flashing in the chat window for the contact picture.
  * Added support for P4-Context field, used for by plugins of the official client for contact aliases (i.e. Xiaoi's Qun). Patch by Liu Sizhuang.
  * Updated Simplified Chinese translation by Liu Sizhuang.
  * Fixed compile error with 'time' function call, replaced with QDateTime.

2007-10-15 (Valerio)
  * Fixed "contact online" sound was issued even when a contact's status changed to Online.
  * Save the account settings instantly when changing preferences from the chat window.
  * Also save the account settings when changing Personal Message.

2007-10-14 (Valerio)
  * Fixed messed up *text* /effects/ codes which were present into HTML tags (like emoticon code tooltips).
  * Merged patch from Mr.White, fixing the chat close warning with active transfers.
  * Save the account settings upon successful login, so if KMess crashes (unpossible! :) you'll not lose your ID.
  * Fixed tooltip when receiving an already added emoticon with an HTML shortcut text. Also fixes a minor parser problem.
  * Improved a little the "contact is typing" commit made yesterday. (Ticket #19)

2007-10-13 (Valerio)
  * Another improvement to notifications code, moved all responsibility for notifications to the pertinent classes,
    and reordered the code for the chat and status notification.
  * Merged patch from Mr. White, which cleans up the status bar message codes and removes the ugly LED from the contact list.
  * Improved own display picture path checking, so the chat styles which show them can correctly display the default KMess
    picture.
  * Divided notification events from balloons, to allow having only sounds or blinking windows without the balloons.
  * Added disabling the autoreply message when disconnecting an account.
  * Added support to send custom emoticons.
    - Completely rewrote the standard emoticon system, now uses standard XML emoticon theme files.
    - Improved the emoticon settings dialog with a tabbed view, added the custom emoticons management tab. You can add, remove, rename emoticons.
    - Added a right-click popup menu item in chat to add new custom emoticons.
    - Improved the standard emoticons themes list in Emoticon Widget, now if a theme contains at least one
      valid emoticon, that will be shown as theme preview.
  * Fixed "contact is typing" status bar message in the chat windows, so it can be correctly read when multiple contacts are
    typing at the same time.
  * Merged patch from Mr. White, show a warning when closing a chat with active file transfers, telling that they will be interrupted.

2007-10-06 (Valerio)
  * Fixed a notification balloons problem when enabling or disabling the relative options.
  * Fixed a focus problem when updating the personal message and closing/reopening the contact list window.
  * Removed the default sound from the eventsrc file, to match the default notification balloons settings.

2007-11-04 (Diederik)
  * Major update to file sending architecture, to fix issues with picture/file transfers.
    - Transfers corrupted with congested connections because the socket wasn't able to send all data.
    - This also improves the throughput for high speed links.
    - Applications now wait for a readyWrite() signal from the direct connection socket to send more data.
  * - Added tests whether messages are only partially written to the connection.
  * Fix broken file transfer after receiving SLP ACK; use the same message ID for all data fragments.
  * Small fix with switchboard transfers.
    - Avoid resuming applications when there are still too many messages in the pending queue already.
  * Small debugging statement improvement in ContentExtension.
  * Reduced direct connection attempt time to 10 seconds.

2007-10-04 (Valerio)
  * Fixed playing sounds for contacts status changes.
  * Reverted two wrong commits, one adding useless deletions to ContactFrame destructor, one overwriting the default
    kdevelop project file. Sorry!

2007-10-03 (Valerio)
  * Fixed saving contacts settings when the account connection is canceled.
  * Added vertical scrollbar to the Emoticons Sidebar.

2007-10-02 (Valerio)
  * Changed the old ugly icon for the initial screen's Connect button.

2007-09-30 (Valerio)
  * Removed old parsing code which blocked displaying emoticons with double colons in the shortcut text.
  * Fixed a possible very small memory leak.

2007-09-29 (Diederik)
  * Improved debug statements of destructors by adding contact information.

2007-09-02 (Valerio)
  * Added to the chat window right-click context menu items for urls and email addresses.
  * Added a couple new error logs.
  * Removed an old UI file (kmess/settings/imagewidgetinterface.ui).

2007-09-01 (Valerio)
  * Removed some old images from the pics/ folder, updated the "messenger" emoticon ( code: (m) ).

2007-08-29 (Diederik)
  * Fix a crash if the properties of a contact without display picture are saved.

2007-08-29 (Valerio)
  * Avoid a crash if a contact cancels a file transfer while we're still choosing where to save it.
  * Fixed clicking a contact with an already open chat on the contact list didn't raise it.

2007-08-28 (Valerio)
  * Added right-click menu items in the chat window's contact frames to allow,add and remove a contact.

2007-08-27 (Valerio)
  * Improved class naming in the debug output for file transfer classes.
  * Removed reference in ChatWindow to the Chat Master.
  * Fixed the block/unblock contact right-click menuitems in the chat window.

2007-08-27 (Diederik)
  * Make sure image preview is stored locally in the transfer window, will hopefully fix weird crashes.
  * Added file preview to the transfer dialog for sent files, was only visible for received files before.

2007-08-24 (Valerio)
  * Fixed double status notification when receiving status changes which don't actually change status. (for example, when receiving a status
    change from online to online)

2007-08-22 (Valerio)
  * Changed the chat preview text in the account settings: this one should not scare away little children!
  * Added specification for the default folder in which to save a chat to.
  * Also added to the default folder a default name for the chat.
  * Fixed broken signal which prevented to send messages.

2007-08-21 (Diederik)
  * Reorganized credits / translators in the about dialog.
  * Reorganized the manual completely.
  * Updated P2PApplication APIDOX with information about P2P message identifiers.
  * Fixed handling of SLP ACK messages which have a zero session-id as well,
    also avoid treating those messages as new INVITE.

2007-08-21 (Valerio)
  * Fixed changing user font color didn't instantly update the chat preview in the settings.
  * Improved disconnection process; now the open chat windows will not be closed, just disabled, so you can read messages received before the
    disconnection.
  * Improved the way KMess reports a failure in chat message sending.

2007-08-20 (Valerio)
  * Unified constructors for ChatMessage and added the isIncoming parameter, to find which messages come from a contact's actions and which come
    from us or from kmess. Another commit will change the Applications to allow them using this change.
  * Modified the Application classes to distinguish between events from us or kmess and events from our contacts. Now kmess won't tell you that
    someone is sending you a file when you drag'n'drop a file to send.

2007-08-19 (Valerio)
  * Modified a previous commit which avoided getting newlines in friendly names; now they're allowed, but stripped out anywhere their rendering
    would cause problems, like in the chat window's status bar.

2007-08-19 (Diederik)
  * Made sue MSNSLP ACK messages (application/x-msnmsgr-transdestaddrupdate) are answered with a P2P ACK.
  * Rewrote delivery of incoming MSNSLP ACK messages, which have a null-guid as Call-ID.
  * Made sure the P2P message body is only dumped at errors when it's an MSNSLP messages.
  * Updated the French translation by Andrea Blankenstijn.
  * Updated the Finnish translation by Jussi Timperi.
  * Renamed context menu option renamed "Save to file" to "Save chat" because its ambigious when pressing hyperlinks, and not consistent with the menu bar.
  * Re-enabled more debugging with --enable-debug-output, except really verbose debug statements.

2007-08-16 (Valerio)
  * Changed name to a signal forward method.
  * Modified the contact list's contact tooltip so it shows the current media in another line: readability will be increased.
  * Added another MSN server error message.
  * Fixed drag'n'dropping a file into a chatwindow to send it, made a notification balloon to appear stating that the contact was sending us a file.

2007-08-13 (Valerio)
  * Fixed notification was not shown if a contact came online with a status different than "Online". Also now the contacts coming online will be
    notified as "come online" even if they've logged in with a different status.
  * Improved the status text for file transfers. Enabled the transfer window's debug output.
  * Added filtering all email handles incoming from the UI and MSN servers to lowercase, to avoid matching problems.

2007-08-10 (Valerio)
  * Fixed closing two times the active switchboard connections when the msn account gets disconnected; improved behavior when disconnecting, now closes first the active chats, then the background switchboards.
  * Avoid crashing when closing a contact frame which contains a reference to a Contact which doesn't exist anymore.
  * Avoid crashing when closing a chat window which contains a reference to a MsnSwitchboardConnection which doesn't exist anymore.
  * Fixed not all chat windows were being closed when disconnecting.

2007-08-08 (Valerio)
  * Fixed contact frames not appearing in group chats for unknown contacts.
  * Fixed sending two times the autoreply message.
  * Fixed incorrect "500 Internal Error" response when transferring via P2P with Windows Live Messenger.
  * Added more debugging info and P2P message dumps to help find new Windows Live Messenger P2P messages.

2007-08-07 (Valerio)
  * Avoid having newline characters included in nicknames, which cause bad UI resizes.

2007-08-03 (Valerio)
  * Improved contact list UI when not using a display picture. Also improved KMessView performance by using the stored CurrentAccount reference.
  * Changed contact list icons to KDE theme's ones. Removed now unused email icon from the app's pics.
  * Changed behavior, when a contact removes their picture, use the 'no avatar/bag-on-head-guy' picture,
    instead of keeping the old pic.
  * Added displaying the file transfer size in a more readable form (MB, kB, instead of the byte size).
  * Added MSNObject parsing and more debugging information to the Picture Transfer class, to improve debugging (see trac #68).
  * Fixed connecting while network is down was blocking KMess for a minute. Also unified a couple error messages, and reduced the
    login timeout time, so errors are reported faster. Under heavy traffic conditions, just connecting shouldn't take more than 10s.
    30 more seconds are for authentication and contact list downloading.
  * Fixed clicking on a balloon for a minimized chatwindow didn't make it show up. Thanks to Wesbluemarine for reporting this one!

2007-08-02 (Valerio)
  * Improved notifications system, fixed a couple inconsistencies.
  * Fixed another problem with chat popups, which were shown only when popups for all chat messages were on.

2007-08-01 (Valerio)
  * Fixed duplicated notifications issue.
  * Fixed chat messages notifications.

2007-07-31 (Valerio)
  * Fixed chat notifications weren't using the correct window data.
  * Fixed sidebar not hiding correctly and not having its size saved; smoothened a bit the chat window loading process.
  * Added a script, executed on configure time, to identify the SVN revision of the built version. The full revision info
    will be visible in both the About window and in the tray icon tooltip, along with the build date.
  * Fixed emptying the picture field in the contact properties didn't restore the original contact's image.
  * Updated the user manual. Updated authors and contributors.
  * Added some margins to the Chat Window layout.

2007-07-30 (Valerio)
  * Redesigned notification balloons settings. Now every kind of balloon can be disabled independently.
  * Disabled an alarming warning message, which was in fact a normal situation when logging in.
  * Removed a failing assert, should be of no harm.
  * Removed warnings about a 'kv' field, which is not sent anymore by the MSN servers, nor used to access Hotmail inboxes.
  * Fixed a problem with a signal connection.
  * Fixed tray icon tooltip wasn't updated when changing own friendly name.
  * Fixed contact name changes weren't being shown in chat windows' titles.
  * Made KMess to allow only one settings dialog open at once.
  * Improved InitialView: fixed tab order; added a couple spacers to visually separate the account options; if both the
    email and password are filled, allow connecting by just pressing Enter.
  * Fixed a little focus losing problem with the personal message input box.
  * Updated the chat window appearance: Added a right-click menu to the contact frames; made both the sidebar and the message
    box resizable.

2007-07-28 (Diederik)
  * Changed default chat style to "Fresh", old style (called "Default") is renamed to "Classic".
  * Enabled "group follow up messages" by default.
  * Fixed duplicate 'chat message' notification, was left over from the old notification system.

2007-07-28 (Valerio)
  * Fixed nicknames containing HTML codes weren't being displayed correctly by the notification balloons.
  * Fixed non working 'open inbox/send mail' links for non-Hotmail accounts, which now open the settings-specified mail account.
  * Reduced the balloon minimum size, removed the "right-click to dismiss" text.
  * Added the contacts' status icon in the notification balloons.

2007-07-25 (Diederik)
  * Removed custom proxy support in favour of the automatic support by KExtendedSocket.
    Current code is hard to maintain, HTTP proxy is broken, and kdelibs already handles proxy support transparently.

2007-07-24 (Valerio)
  * Changed a debugging define for MsnNotificationConnection, which shows a line so long it breaks KDevelop's log output.

2007-07-19 (Diederik)
  * Fixed some memory leaks using Valgrind. Largest leak was in the XslTransformation class.
    It seams QSimpleRichText is also a source of leaks (at least in openSUSE 10.2).
  * Fixed suppressing error messages for picture transfers, broken by new detailed balloon messages.

2007-07-15 (Diederik)
  * Avoid showing the main window when KMess is started with KDE.

2007-07-11 (Diederik)
  * Updated Arabic translation by Youssef Chahibi.

2007-07-11 (Valerio)
  * Avoid friendlynames containing newline characters, which mess up with the UI.
  * Changed one more time the chat window raising code.

2007-07-09 (Valerio)
  * Changed the tooltip in the system tray widget.

2007-07-08 (Diederik)
  * Another fix with automatic picture downloading, used wrong contact handle to initiate; skipping the first, and causing the empty "CAL" command.
  * Improved debugging statements and added new times (ChatMaster, TransferEntry, P2P transfers).
  * Fixed memory leaks with state application instances.
  * Fixed a crash if there are multiple chats open with an 'invited contact' who is not on your list.
  * Fixed aborting of applications if there are still other switchboards connections with the contact.
  * Avoid GUI repaints for the same percentage in the transfer dialog.

2007-07-04 (Valerio)
  * Fixed non focused chat windows behavior when receiving messages, it was irritating and obtrusive. Reordered a bit Chatwindow::receivedMessage(), too.

2007-07-03 (Valerio)
  * Added initial status drop down box at login, the status you select there will be remembered on next login, but can be
    also changed from the Account Settings. The "login as invisible" checkbox is gone. Optionally, I suppose we could also add
    a checkbox to make KMess remember instead of the initially set status, the last status set while being connected.

2007-07-02 (Valerio)
  * Fixed changing switchboard of a chat window.
  * Added a tooltip to the system tray widget which shows the version, the name of the connected account, and the status.
  * Removed from the emoticon settings the useless "Install new" button, until we actually implement its functionality.
  * Improved how the contact typing picture is handled in the contact frame, will use less CPU.
  * Fixed a failing assert in ChatWindow.
  * Improved how chat windows switchboards are updated.
  * Reverted commit to check SHA1 hashes of incoming MSNObjects, many of them don't have the hash so they're considered broken.
  * Added checking if newly changed MSN objects have already been downloaded.
  * Improved status dropdown, now at login it changes to the initial status of the account that is connecting.

2007-07-01 (Valerio)
  * Added a temporary fix to avoid receiving server commands which start or end with newlines. There probably is some
    other problem to be resolved in MsnConnection.
  * Fixed a crash caused by a contact going offline before receiving a switchboard's join for that same contact. Cleaned up a lot the way MsnSwitchboardConnection deletes old participants, should be more stable.
  * Added another validity check for received msnObjects, using the associated SHA hash.

2007-07-01 (Diederik)
  * Fixed compiling at Mac OS X (fink environment with KDE3/X11).

2007-06-30 (Valerio)
  * New chat message contents "classes". Now the balloons always display the correct message when transferring files or
    doing other types of activities (webcam, audio, etc.)
  * Fixed serious bug which was leading to lose incoming messages, closing a window did not close the switchboard too.
  * Fixed duplicated chat window closing, caused a warning in debug output.
  * Fixed very annoying debug message "QObject::disconnect: Unexpected null parameter", was caused by the deletion of notification popups.
  * Fixed incoming messages containing HTML codes like <> weren't being displayed by the notification balloons.
  * Improved keepalive system to detect when a session has been closed due to inactivity or to the contact closing his/her chat window.
  * Improved detection of invalid and null avatars (MSN Objects).
  * Fixed receiving Kopete's custom emoticons made KMess to freeze, and added a protection against other malformed custom emoticon lists.
  * Removed empty space at the end of received message bodies which added two empty lines after them.

2007-06-24 (Diederik)
  * Fixed receiving of Winks, were removed due an corrupted image check.
  * Prevent starting chats with an empty contact handle. Helps debugging the real source.
  * Improved P2P debug messages to new readable style.

2007-06-21 (Valerio)
  * Fixed a problem with automatic downloading of display pictures; if the dp download queue size is shorter than 4 elements, use its actual size to count how many DPs to download.

2007-06-12 (Valerio)
  * Fixed (again) a crash when closing KMess.

2007-06-10 (Diederik)
  * Fixed withdrawing a P2P invitation, it needs to send BYE then, KMess sent "500 Internal Error".
    This difference is not noticable by Windows Live Messenger users though.
  * Fixed downloading of display pictures in the background.
    - check all prerequisites before starting a switchboard connection.
    - moved checks to the actual timedUpdate() method to avoid race conditions.

2007-06-10 (Valerio)
  * Fixed a crash when closing KMess.
  * Fixed a freeze when loading the initial contact list - will probably also fix a couple other rare problem conditions.

2007-06-05 (Valerio)
  * Temporary fix to ChatMaster::showSpecialMessage(); it needs a serious change to be able to not open new chat windows to only display "transfer failed" or the like. See the Trac ticket "Applications and message types enhancement".

2007-06-04 (Valerio)
  * Cleaned up code in ChatMaster and MsnSwitchboardConnection.
  * Fixed a little problem in ChatMaster when the switchboard request for a contact picture failed, it was still pulled from the pending requests list.
  * Improved behavior when closing chat windows, the SB session wasn't correctly closed.
  * Fixed a possible bug when receiving application messages, new offline switchboards were being created.
  * MsnSwitchboardConnection: Moved inviting contacts after reconnection from connectTo() to gotUsr().
  * Fixed a TODO entry in MsnSwitchboardConnection - when a NAK was received and no chat window is available, the message could not be delivered.
  * Updated again the strings translation file (kmess.pot).
  * Fixed a problem with the new documentation XML code.
  * Fixed drag&drop in chat window allowed to send dropped items which were dragged from the chatwindow itself (for example, display pictures or file transfer previews).
  * Fixed automatic download of display pictures tried to do it also when the status was hidden, and also allowed duplication of
    pending requests.
  * Fixed possible crash on KMess close due to a switchboard trying to delete stuff which was already gone.

2007-06-03 (Diederik)
  * Rewrote the introduction of the application manual.

2007-06-02 (Diederik)
  * Updated French translation by Andrea Blankenstijn.

2007-05-26 (Valerio)
  * Added some debugging info.
  * Fixed probably an annoying bug happening when file transfers start on disconnected switchboard connections.

2007-05-23 (Valerio)
  * Fixed the bug which made 'join contact to chat' invitations ignored if the switchboard wasn't connected (gray display pics). It needs testing, but should work. Duh.
  * Fixed ctrl+enter, shift+enter weren't working any more after my patch to allow drag&drop in the message box.
  * Made chatwindow drag&drop mechanism simpler.
  * Fixed being unable to write when focus got pulled away from message box to the message view.
  * Fixed keyboard shortcuts for the Chat Message View.

2007-05-22 (Valerio)
  * Improved the way pending switchboard requests are managed: should reduce the number of "different transaction-id" errors, and behave better when a request gets lost through the internet.

2007-05-20 (Valerio)
  * Enabled automatic download of contacts' display pictures; eight every
    minute are asked, to avoid flooding the MSN servers.
  * Enabled files dragging & dropping on the message box, too.
  * Fixed a compiler warning in ChatMessageView.
  * Fixed a warning in ChatMessageStyle.
  * Changed the way the chatwindows are raised.
  * Unified the check for valid account emails, from MsnNotificationConnection::addNewContact() to KMess::isValidEmail().
  * Improved account settings dialog, which was blocking user interaction with the UI.
  * Improved behavior when trying to add as account an invalid email address.
  * Fixed personal message being updated too much when switching windows (like with alt-tab).
  * Fixed Hotmail folders opening in wrong browser, removed temporary file generation.
  * Fixed wrong style image when contacts don't have a display picture or it's not valid anymore.
  * Added verification of received pictures, to delete broken ones.

2007-05-19 (Valerio)
  * Fixed a problem in ChatMessageStyle which caused a freeze; also reformatted the code around that method.
  * Removed some stale old code in ChatMaster.
  * Improved how the NotificationChat balloon displays its message, it didn't limit the message size, and the messages were hard to translate.

2007-05-18 (Valerio)
  * Fixed sending nudges to currently disconnected chats, it didn't display the contact name.
  * Fixed email parser didn't allow adding contacts whose emails contained '-' characters.

2007-05-17 (Valerio)
  * Fixed a signal disconnection also disabled all application commands. (invitation links not working)
  * Fixed, probably, a couple crashes caused by incorrect switchboard deallocations.
  * Added SVN version to the configure script.

2007-05-16 (Diederik)
  * Fixed login redirects for real.

2007-05-16 (Valerio)
  * Finally committed the "big one", completely reworked session management system. A lot of classes have been changed;
    more testing is still needed. Sorry for the single monolithic commit!
  * Improved debugging for MsnSwitchboardConnection.
  * Fixed a lot of signal/slot names, which were misleading.
  * Improved further the separation between connections to contacts and chat windows. KMess should now use less memory
    and be faster when using connections to just transfer pictures, and not chat messages.
  * Improved behavior when saving chat logs, use the name of the last contact if no more contacts are active in the chat.
  * Unified behavior for opening online and offline chat windows. Should make also easier enabling sending of offline messages
    in the future.

2007-05-15 (Diederik)
  * Fixed new passport login, added support for redirects. Required for @msn.com accounts.
  * Committed more APIDOX improvements to the MsnNotificationConnection class, still uncommitted.
  * Fixed infinite loop when there are too many unacked P2P messages in a chat.

2007-05-09 (Jan)
  * Updated german translation

2007-05-09 (Valerio)
  * Fixed a crash caused by clicking a "new chat message" balloon for a chat window which was already closed.
  * Improved behavior of the Contact Frames, now they get deleted when contacts leave the chat, until there's only one left.
  * Added method to unify the way chatwindows are raised.
  * Fixed possible bug in ChatMaster::getContactSwitchboardConnection().

2007-05-08 (Valerio)
  * Improved KMess' icons for right-click context menu, in application menus, and added a separator in the chatwindow toolbar.

2007-05-07 (Valerio)
  * Fixed (but temporarily disabled, see TODO) automatic download of changed MSN Objects.
  * Improved method names in ChatMaster.
  * Made some minor formatting changes in ChatMaster and ChatWindow.
  * Improved signals and method names in ChatMaster.
  * Improved signals in MsnNotificationConnection.
  * Improved some debugging info and made some cosmetic fixes in MsnSwitchboardConnection.
  * Further improved signals names in MsnNotificationConnection.
  * Improved ChatMaster::getContactSwitchboardConnection() to check in inactive chats too, also made some cosmetic changes.
  * Made some minor changes in debugging code and comments; improved methods which raise chatwindows

2007-05-07 (Diederik)
  * Fixed double connect with attaching MsnSwitchboardConnection to a chat window.

2007-05-04 (Valerio)
  * Removed nicknames from most debug messages, as they are usually too long and render debugging even harder.
  * Merged patch by Mr. White, fixes a couple inconsistencies in group context menu.

2007-05-03 (Valerio)
  * Improved switchboard code, now it's fully separated from ChatWindow.
  * Fixed repeated clicks on a contact in the list opening multiple chat windows.
  * Improved signals names for chat opening and switchboard management.
  * Fixed changing an account's email did not get reflected in the initial login UI and the menus.
  * Merged patch by Mr. White, updates the zooming icons implementation to be more KMess API friendly.
  * Fixed signal connection error in NotificationContactOffline and some code alignment and method ordering in notifications code.
  * Fixed new keepalive code also kept alive background connections.
  * Added keepalive system to kill old background connections.

2007-05-02 (Diederik)
  * Start of APIDOX for MsnNotificationConnection.
  * Fixed compiling passive popups with KDE 3.2 (really cool balloons require KDE 3.5).

2007-05-02 (Valerio)
  * Added a button menu in the account properties browse for display pictures button,
    to allow cropping the image after choosing the image.

2007-05-01 (Diederik)
  * Added some toolbar separators to the chat window.

2007-04-30 (Valerio)
  * Merged patches from Mr.White; changes
    - always use the same string for "connected" and "connection still up" statuses (to avoid confusion between similar strings)
    - Added chat font size resizing buttons and menu entries.
  * Fixed notification balloons text with special messages, like nudges or file transfers.
  * Improved a couple debug messages, restyled many others, in chat/ChatMaster

2007-04-30 (Diederik)
  * Updated APIDOX of Contact class.
  * Added APIDOX to MsnConnection, except proxy methods.

2007-04-29 (Diederik)
  * Upgraded login code to Passport 3.0 webservices.
  * Fixed crash with offline-im downloading during a second login.
  * Fixed hidden crash with SOAP response handling (was not exposed by code yet).
  * Fixed 'connection timeout' error for Offline-IM services.
  * Updated APIDOX of soap classes.
  * Updated APIDOX about debugging practices.

2007-04-26 (Valerio)
  * Added a keep alive functionality in the SB, to check when your contacts close the chatwindow.
  * Added status message upon incoming server shutdown for maintenance.

2007-04-23 (Valerio)
  * Fixed being unable to copy text via the Ctrl+C keyboard shortcut in the chat window.

2007-04-22 (Diederik)
  * Fixed account warning about "returning reference" for proxy type settings.
    This might fix the proxy settings too, but that needs to be tested too.
  * Moved all SOAP classes to network/soap.
    Also renamed MsnAppDirectoryConnection to MsnAppDirectoryService.
  * Moved InvitedContact class from chat to contact.
  * Fixed crash with downloading Offline-IM messages.
  * Upgraded login handling to Passport 3.0.

2007-04-22 (Valerio)
  * Fixed password changed in the initial login view didn't get saved
  * Added cleaning up the configuration files from info of contacts not in list anymore, and avoid saving default contacts config.
  * Improved code for contacts moving between groups.
  * Improved groups right-click menu.
  * Improved detection (and errors) for adding invalid addresses to the list.
  * Improved readability for the commands receiving method in MsnNotificationConnection.
  * Slightly improved notifications text.

2007-04-21 (Jan)
  * Updated german translation

2007-04-21 (Valerio)
  * Added the possibility to insert new lines in the chat messages with the keyboard.

2007-04-20 (Valerio)
  * Added dragging and dropping of files to be sent into the chat window.

2007-04-19 (Diederik)
  * Fixed the 'eventsrc' message, finally includes "kmess" folder.

2007-04-19 (Valerio)
  * Fixed registration and account verification links in the settings.
  * Fixed chat settings emoticons not showing in the checkbox.
  * Fixed settings dialog height for small displays.
  * Fixed data classes dependencies from the QWidget class.
  * Improved the "remember profile" checkbox, it's now consistent with the selected account.
  * Fixed 'eventsrc' file not being found by KMess.
  * Removed all the old notification balloons, implemented KDE's passive popups with a custom UI file.

2007-04-18 (Diederik)
  * Updated translation by Yenchou Chen.
  * Fixed now playing icon, previous one was SUSE-specific.
  * Merged patch by Valerio Pilo; fix URL encoding in contact group commands.

2007-04-09 (Diederik)
  * Merged patch by Valerio Pilo; save settings directly, not when KMess quits.
  * Merged patch by Valerio Pilo; settings of balloon notifiations are applied now.

2007-04-07 (Diederik)
  * Merged patch by Valerio Pilo, changes
    - added save/clear/remove buttons in network debug window.
    - added "remove and block" option in the remove contact dialog.
    - added a warning when chat logs can't be saved (e.g. wrong permissions).
    - added internationalization support to messenger status url.
    - fixed replacing emoticons with HTML characters.
    - improved statusbar notification of new messages, added asterisk in front.
  * Fixed infinite loop when requesting/resuming two chats at the same time.
  * Updated French translation by Choplair.


--- 1.5 pre2 released ---

2007-03-16 (Diederik)
  * Fix compiling for KDE 3.2 in chatview.cpp, KAction::setDisabled() call.

2007-03-15 (Diederik)
  * Fix personal message, it could literally become "<Enter your personal message here>".
  * Fixed utf8 encoding problem in kmess.desktop
  * Fix file transfer preview chopping by Windows Live Messenger, always resize to square.

2007-03-11 (Diederik)
  * Merged patch by Valerio Pilo, fixed some warnings about comparison between int and uint.

2007-03-10 (Diederik)
  * Fixed installation of emoticons with Autopackage installer.
  * Updated Italian translation by Valerio Pilo.

2007-03-08 (Diederik)
  * Merged patch by José Pedro Ferreira to add a context menu to the chat view.

2007-02-27 (Diederik)
  * Merged patch by Tomer Haimovich to set a right-to-left flag in sent messages.
  * Merged patch by Tomer Haimovich to fix alignment of the contact list with right-to-left names.
  * Improved the file overwrite question to use a standard KDE layout.
  * Fixed the directory location when reopening the file save dialog after the user chooses not to overwrite a file.
  * Fixed a "now listening" icon in the contact list without artist or track information (contacts sending now listening data with enabled=0 flag).

2007-02-25 (Diederik)
  * Fixed geek-link expressions of previous commit. Also added *.ko and *.so to the block list.
  * Fixed confirmation check to overwrite a file.

2007-02-24 (Diederik)
  * Added confirmation to overwrite the file when saving, based on a patch by Christian Kaiser.

2007-02-20 (Diederik)
  * Fix P2P timeout packet with Windows Live Messenger doesn't appear to send BYE ack
    (which can be still our fault though)
  * Improved geek-link expressions:
    - added look-behind test for interpunction characters.
    - added *.in and *.am as unwanted extension, since it's used for files.
  * Improved file transfer previews.
    - also support video files now.
    - using async KIO calls to avoid blocking.
    - using file icons as fallback images.

2007-02-15 (Diederik)
  * Committed patch by Christian Kaiser
    - fixes tracks not changing when the album remains the same.
    - fixes current song remaining visible when the now listening was disabled.
  * Fixed compiling of main.cpp after binreloc update. Added PREFIX checks.

2007-02-13 (Diederik)
  * Fixed compiling with Automake 2.10, copied the admin folder of KDE 3.5.6 (previously used 3.5.3).
  * Fixed compiling of the RPM when 'kde-prefix --version' returned "3.1-10"
  * Small improvement to link parsing, added start-word assertion.
  * Fixed sidebar resizing, fixed restoring width of the sidebar.

2007-02-12 (Diederik)
  * Added thumbnail to file transfer dialog.

2007-02-11 (Diederik)
  * Added file transfer preview to sending message.
  * Scaled file transfer preview with aspect ratio and smooth scaling.

2007-02-10 (Diederik)
  * Imported Hungarian translation by Páder Rezsõ.

2007-01-29 (Diederik)
  * Updated MsnSwitchboardConnection::cleanUnackedMessages(), avoid crashes by removing later.
  * Fixed picture transfers, data preparation was sent without session id (probably broken at 2006-12-27).

2007-01-27 (Diederik)
  * Merged file preview patch by José Pedro Ferreira.
  * Upgraded binreloc to 2.0
  * Added warning message when kmess.eventsrc can't be found.

2007-01-21 (Diederik)
  * Added APIDOX for OfflineImService, HttpSoapConnection, TcpConnectionBase
  * Improved APIDOX for the application classes.
  * Fixed APIDOX errors.
  * Fixed memory leak in chat sessions caused by unacked messages.

2007-01-20 (Diederik)
  * Updated Spanish translation by Jaume Corbí.
  * Updated Danish translation by Pascal d'Hermilly.
  * Updated Dutch translation by Jaap Woldringh.

2006-12-31 (Diederik)
  * Updated translations with new strings in 1.5
  * Fixed compilation errors with xsltransformation.cpp
  * Fixed stripped whitespace in chat style translations.

2006-12-29 (Diederik)
  * Fixed unwanted parsing of *bold*, /italics/ and _underline_ in application/notification messages.
  * Added translation support to XSL chat styles, uses all <xsl:text kmess:translate="true">..</xsl:text> nodes.

2006-12-27 (Diederik)
  * Fixed emoticon displaying in the personal status message.
  * Added support to handle a second file transfer invitation.
  * Updated Dutch translation by Jaap Woldringh.
  * Added lots of APIDOX to the P2PApplication class.
  * Added timestamp to network window.
  * Fixed sending MIME application data (for old file transfers with non-P2P clients).
  * Cleanup of sendCancelMessage() API, making MIME and P2P application more consistent.
  * Removed ASL and unhappy icon because these are no longer used in WLM8.

2006-12-23 (Diederik)
  * Updated Dutch translation by Jaap Woldringh.

2006-12-20 (Diederik)
  * Changed account menu's, display account handle instead of long friendly name.
  * Fixed message "<handle> has left the chat", displays contact name now.

2006-12-17 (Diederik)
  * Implemented sending of "now playing" information.
  * Implemented detection of "now playing" information for Amarok, Juk, Kaffeine, KsCD and Noatun.
  * Fixed inviting of contacts after a first invitation, added check whether the direct connection is still open.
  * Updated website in all documentation files from kmess.sourceforge.net to www.kmess.org

2006-11-06 (Diederik)
  * Updated Traditional chinese translation by Yen-chou Chen.

2006-11-04 (Diederik)
  * Updated Turkish translation by Uğur Çetin.
  * Fixed emoticon theme dir detection for KDE 3.3 and below.
  * Fixed contact list italics, was reversed by previous commit.

2006-11-02 (Diederik)
  * Added "now playing" information of contacts in the contact list window.

2006-10-30 (Diederik)
  * Fixed typing notification, is not sent instantly when the user continues to type after sending a message.
  * Fixed revoking of sent invitations when a timeout occured.
  * Fixed timeout for establishing direct connections, when server socket got connected the timer was not stopped.
    This might explain why a direct connection get's stalled halfway, but slotConnectionTimeout() should handle it.
  * Added additional check for unexpected SLP transfer invitations, when BYE should actually be sent. Seams to occur sometimes with WLM8.

2006-10-29 (Diederik)
  * Fixed unwanted resizing of the chat window when the statusbar text didn't fit.

2006-10-28 (Diederik)
  * Fixed tab order of the chat settings tab.
  * Fixed lost personal status message when moving contacts.

2006-10-26 (Diederik)
  * Added x-clientcaps message for third-party client exchange.
  * Fixed custom emoticon dimensions, width and height were swapped.
  * Added option to disable the nudge shaking effect, completing the nudge support.

2006-10-25 (Diederik)
  * Fixed link parsing.
    - fixed geek-style url's, both detection and limiting allowed tld extensions.
	- fixed inserting http:// before www links.
  * Improved visual *bold*, /italic/ and _underline_ effects, they don't hide the ASCII codes anymore.

2006-10-22 (Diederik)
  * Updated Finnish translation by Joonas Niilola.

2006-10-20 (Diederik)
  * Fixed filename of Estonian translation, pointed out by a Ioannis Aslanidis (Gentoo developer).

2006-10-19 (Diederik)
  * Added 'KMess.tmp' to the display picture MSN Object, for third-party client exchange.
  * Fixed crash when a timeout occurs during a direct file transfer.

2006-10-16 (Diederik)
  * Updated Finnish translation by Joonas Niilola.

2006-10-13 (Jan)
  * Updated last german translation.

2006-10-12 (Diederik)
  * Fixed updating the contactlist window when a group was succesfuly renamed.
  * Fixed login problems with "restricted passport accounts".
  * Fixed contact name when adding new contacts.


--- 1.5 pre1 released ---

2006-10-08 (Diederik)
  * Added handling of offline-im messages to chat styles.
  * Updated translations with latest message changes.
  * Removed the <displayName> tag from chat XML messages when it's not set (for notification messages).
  * Fixed indention of chat XML messages, for debugging.

2006-10-07 (Diederik)
  * Fixed installing graphics of Fresh chat style.
  * Fixed aborting of file transfers by the other party then the one who started the transfer:
    - while receiving, KMess sends a SLP BYE to request aborting.
    - while sending, KMess allows contacts to send a SLP BYE early to abort.
  * Fixed sending an SLP error with empty branch and call-id.
  * Fixed chat notification message for contacts aborting the file transfer.
  * Fixed sending invalid commands for contacts that are added to the friends list later (guid was not set).

2006-10-01 (Diederik)
  * Restored old behavour for moving contacts; only remove a contact when it's added to the new group.
  * Fixed status message in file transfer dialog when the file transfer was cancelled from the chat window.
  * Implemented abort messages for P2P-based file transfers (userAborted() and getUserAbortMessage() functions).
  * Added detection of flash and cabextract to the autopackage installer

2006-09-24 (Diederik)
  * Updated Turkish translation by Uğur Çetin.
  * Implemented missing parts of Offline-IM receiving:
    - sorting and deleting of offline-im messages.
    - GetMetaData() call to request Mail-Data over SOAP.
    - fixed multiple spawning chat windows for offline-im messages
    - fixed starting a chat conversation from the offline-im chat window.
  * Fixed weird "file transfer complete.. contact aborted" messages in the chat window.
    Somehow the WLM8 sends an '200 Transfer OK' ACK after all receiving data is ACKed.
  * Fixed race condition that could make KMess crash when a chat window was closed while a contact was typing (similar to previous fix).
  * Fixed opening the emoticons panel when the contact sidebar is hidden. Auto-closes again when a message is sent.

2006-09-23 (Diederik)
  * Added support for downloading Offline-IM messages, some details are unfinished yet:
    - sorting messages by sequenceNum
    - downloading Mail-Data over SOAP
  * Added TcpConnectionBase to create additional connection classes easier.
    All connection classes can migrate to this later.
  * Displaying a notice no longer requests a new chat connection, just opens the chat window.
  * Fixed detection of empty results from chat styles, DOCTYPE output prevented this.

2006-09-13 (Diederik)
  * Added SSL login traffic to the network window.

2006-09-03 (Diederik)
  * Fixed starting a chat again when the previous attempt failed (e.g. because KMess was invisible), caused by new-chat-request-loop detection.

2006-09-03 (Jan)
  * Fixed wrong translation of "handcuffs" in the de.po file

2006-08-30 (Diederik)
  * Fixed handling of connection errors, no error message was displayed.
  * Improved timeout message for connection attempts.
  * Fixed repeated "The remote server closed the connection" warnings (regression of 2006-08-20).
  * Fixed right-to-left support in chat styles, improved with completely reversed message display.

2006-08-28 (Diederik)
  * Fixed invalid picture invitations, caused by empty msnobject parameter of MSNP12.
  * Fixed some Dutch translations.
  * Added what-is-this help to the "group follow-up messages" option.
  * Fixed caching problems with new display pictures, new pictures appear in the chat style too (Fresh currently).

2006-08-24 (Diederik)
  * Fixed appearance of display picture in the chat settings preview.
  * Fixed hard-coded font colors in filenames of chat messages, replaced with spans.
  * Added personal status message to the contact tooltip.
  * Made the display picture clickable, to open the user settings.
  * Fixed handling of disconnect when connecting from another client (regression of 2006-08-20)
  * Added return-key handling to login dialog, added focus ability for connect button.
  * Improved the copy support in the chat window a bit, menu copies text when chat window has a selection.
  * Write the auto-corrected "&Verdana" font back, to avoid discussions that it's still visible in kmessrc.
  * Fixed editing problems with password field, using QLineEdit instead of KPasswordEdit because it blocks too much.
  * Updated admin/ folder with files from KDE 3.5.4, hope it fixes building with autoconf 2.60.

2006-08-21 (Diederik)
  * Added Fresh chat style, based on Kopete style by Benjamin Deveze.

2006-08-20 (Diederik)
  * Fixed removing of MimeApplications (e.g. NetMeeting) in new application code,
    also fixes crashes when closing the chat window.
  * Fixed delivering of MimeApplication messages to the switchboard.
  * Removed unneeded deleteAccount() connection.
  * Fixed sending of netmeeting/filetransfer invites when the first contact didn't enter the chat yet.
  * Fixed sending of netmeeting/filetransfer invites when all contacts left.
  * Fixed re-establishing of the switchboard connection, now testing whether the nessesairy
    steps to restore the connection are already in progress.
  * Fixed repeated "contact is offline" messages caused by repeated typing-activity messages.
  * Fixed handling of unexpected disconnects, contactlist was not saved and reset, invitations were not aborted.
  * Fixed closing the connection when 3 pings are missed.
  * Fixed unwanted "Connection timed out" message when it took more then one minute to authenticate and download the contact list.
  * Fixed the "&Verdana" effect for the contact font, only user font was fixed before.
  * Improved "connection timeout" message, with suggestions to check the Internet connection and MSN service status.
  * Added kmess/styles/examplemessage.xml to the install targets too, useful to create styles without installing the full sources.
  * Implemented markup for application, notification and system messages of the Efficient style.

2006-08-17 (Diederik)
  * Added Efficient chat style, based on Kopete style by Cies Breijs.
  * Updated examplemessage.xml, added larger conversation.

2006-08-14 (Jan)
  * Updated German translation

2006-08-13 (Diederik)
  * Added translation for Finnish, by Markus Vuori.
  * Updated Dutch translation
  * Updated kmess.pot for translating 1.5
  * Ran includemocs
  * Downgraded Qt versions to 3.1 in UI files.
  * Updated versions in configure.in.in, kmess.spec and autopackage/default.apspec
  * Fixed compiling with KDE 3.2.2, Qt 3.3.2 (Slackware 10.0).

2006-08-06 (Diederik)
  * Fixed removing of contact list data when deleting accounts.
  * Removed "The changes will apply when KMess restarts" when deleting accounts.
  * Disabled the "remove" button for guest accounts.
  * Fixed crash with aborting applications, switchboard was not removed in Contact class.
  * Fixed one situation where a new chat window appeared for no reason, timeout messages are not sent anymore when aborting.
  * Fixed null-padding in WebApplicationP2P.
  * Improved chat styles, added ability to create a custom root element.
  * Fixed alt tag of pending emoticons.
  * Added title tag for all emoticons.

2006-08-05 (Diederik)
  * Fixed infinite loop in detection of active picture transfers.
  * Improved performance of getContactByHandle() calls, important for large contact lists.
  * Fixed unwanted saving of the contact list for "guest accounts".
  * Allow users to "upgrade" their guest account to a permanent account through the settings dialog.

2006-08-02 (Diederik)
  * Fixed invalid cast in chatmaster.cpp, fixes compiling for gcc 3.2 (Redhat 8.0).

2006-07-29 (Diederik)
  * Made sure paused applications also resume in a multi-chat (only picture transfer does this).
  * Made sure winks are displayed in the chat window they're sent from (while p2p apps can be loosely connected to a chat window).
  * Made sure large msn object transfers (winks/pictures) are always sent in a separate switchboard connection.
  * Fixed "should be null" warnings when the contact starts a chat with a wink/nudge/file transfer.
  * Fixed sending a second picture transfer invitations when the contacts starts a new switchboard in the background.
  * Restored msnp2p client version to msn 7.5, was downgraded to 7.0 temporary.

2006-07-28 (Diederik)
  * Fixed race condition that could make KMess crash when a chat window was closed while a contact was leaving.
  * Fixed e-mail notification settings, gray out options if user is not logged in with a Hotmail account.

2006-07-27 (Diederik)
  * Added support for p2p transfers (e.g. custom emoticons) with contacts that are not on your contact list.
  * Fixed adding of contacts, they didn't appear at the contact list directly.
  * Added subtle gray border arround incoming custom emoticons.
  * Improved 'Pure' chat style to work with long contact names.

2006-07-25 (Diederik)
  * Restored support to transfer pictures and emoticons in multi-chat.
  * Restord space after 'CSeq' field to perfectly emulate the INVITE message of the official client.

2006-07-23 (Diederik)
  * Improved aborting of applications,
    - Made abort message custom for every application, so filetransfer can display something else.
    - When the chat window is closed, abort messages are not displayed.
    - Make sure applications are not aborted twice.
    - Fixed sending correct abort messages (when kmess started the invitation or when user aborted/rejected).
    - Added detection for contacts aborting the transfer/session (sending a SLP BYE early).
    - Fixed timeout detection when a connection can't be made to a remote host, so transfer continues over switchboard.
    - Fixed a loophole where all connections got closed but the file transfer never reverted to the switchboard.
    - Fixed sending a p2p timeout message (0x4 flag) when our connection attempt timed out.
  * Added detection whether a passport e-mail address is not verified.
  * Fixed weird "1 - KMess" caption during login, MSNP11 changed the USR command.

2006-07-20 (Diederik)
  * Restored aborting applications when a contact left the chat or the chat window is closed.
  * Fixed receiving files, regression of commit from 2006-07-17.
  * File transfer dialog improvement, display internal IP-adres when starting a transfer with a host on the same lan.

2006-07-18 (Diederik)
  * Improved compatibility with MSNP2P features revealed by WLM8;
    - fixed support to send display picture to WLM8
    - added support to wait for the transfer until both the data-preparation and transfer-ok-ack are received.
  * Added automatic saving of personal status message.
  * Fixed saving settings of the main window menu when disconnecting/switching accounts.
  * Fixed progress bar jumping back with the last received message.

2006-07-17 (Diederik)
  * Improved compatibility with MSNP2P features revealed by WLM8;
    - added support for ACK messages which are hold while a direct connection attempt is made.

2006-06-25 (Diederik)
  * Hide messages about connection attempts for picture transfer (happening since WLM8).
  * Hide errors that occur during picture transfers, only display warnings in the console.
  * Improved compatibility with new Windows Live Messenger behavour
    (starting direct connections with picture transfers).

2006-06-19 (Diederik)
  * Fixed ability to receive files with the old pre-msn6 method,
    some signals were not properly connected.
  * Fixed ability to send files with the old pre-msn6 method,
    the code was commented out for testing.
  * Fixed terminating of old-style invitations.
  * Fixed "&Verdana" font setting in chat messages. Although this is fixed
    in KMess 1.4, it could still appear if you never changed font settings.
  * Fixed the 'QGArray::at: Absolute index 12 out of range' error at the console.
  * Improved performance of changing chat settings, messages not not regenerated
    if the settings weren't changed at all.
  * Fixed regenerating of chat messages when the contact font settings changed.
  * Fixed 'contact font button size', it ignores the font size now.
  * Fixed link to register a new passport account (slot connection incorrect).
  * Fixed a spontaneous disconnect from server after receiving an unrecognized payload command (the NOT command).
  * Made unknown Content-Types visible as error message for the MsnNotificationConnection class.

2006-06-14 (Diederik)
  * Fixed queueing of chat messages before the switchboard connection is up
    (warned about "no contacts left to invite").
  * Fixed warning "you can't start this invitation because there are multiple contacts"
    when there are actually no contacts at all (chat got idle).
  * Fixed detection of failed connection attempts, wrong slotConnectionFailed() was connected.
  * Fixed aborting file transfer caused by a running timeout-detection timer.
  * Fixed some missing timeout detections while setting up the direct connection.

2006-06-12 (Diederik)
  * Added support for animated custom emoticons (just another mime type).

2006-06-11 (Diederik)
  * Fixed handling of SBP command, causing error "213" messages.
  * Improved appearance of the "personal status message" field.
  * Made sure chat logs are not overwritten when re-starting a conversation
    with the same contact in the same minute.
  * Fixed Danish translation, the translation file was named "dk" but it should be "da".
  * Fixed infinite loop in ChatMaster::getContactExclusiveSwitchboardConnection().
  * Fixed picture transfer invitation appId's and padding of context.
  * Fixed parsing of friendly name for msn objects (for winks).
  * Fixed winks message, animation is played at a new line now.
  * Improved settingsdialog, merged image tab with accounts tab.

2006-06-05 (Diederik)
  * Added support for receiving custom emoticons.
  * Fixed payload command parsing issue committed yesterday.
  * Changed msn object cache paths, sorting received files by type.
  * Changed vertical alignment for emoticons.

2006-06-04 (Diederik)
  * Merged MSNP12 patch from Richard, made some adjustments for parsing of commands.
  * Added pretty-function output to null-pointer warnings.
  * Updated copyright years in the about dialog.
  * Added detection of lost connection when sending messages (still needs proper uninitialization).

2006-05-27 (Diederik)
  * Added initial support to download and play winks.
  * Added support for receiving multi-packet mime messages (for winks).
  * Fixed starting a chat with notifications/invitations, chat windows appear again
    (still need to get a better message/popup though).

2006-05-25 (Diederik)
  * Added nudge shake effect.
  * Fixed crash caused by new parser, when emoticons are not used.
  * Fixed support for the _ character in e-mail address detection.
  * Fixed display picture browser in SuSE, opens in /opt/kde3 instead of /etc/opt/kde
  * Restored copy-paste support in the chat window, improved paste button.
  * Fixed display problems with dark color schemes.

2006-05-24 (Diederik)
  * Added support to send multiple file transfer invitations at once:
    - second session waits for first session to establish a direct connection.
    - graceful fallback to the switchboard if a direct connection can't be made.
  * Added support for remote hosts having multiple IP addresses.
  * Fixed race condition, local connection could be established before remote
    switchboard returns a response.
  * Fixed missing "Transfer accepted" message for P2P-style file transfer.
  * Fixed error message generated for "text/x-keepalive" messages.
  * Fixed grouping messages from a contact.
  * Fixed loosing the value of "show time in messages" in the settings dialog.
  * Improved switchboard debug messages, unknown commands display the contact handle.
  * Improved link parser.
    - fixed support for stripping punctiation characters at the end of a link.
    - avoid stripping ')' at the end for Wikipedia disambiguation links.
    - added detection of e-mail addresses
    - allow detection of geek-style urls without a http or www prefix
      (like sf.net, slashdot.org, kde-look.org).

2006-05-14 (Diederik)
  * Fixed detection of busy switchboards, chat messages blocked invitation
    messages because chat messages are never ACK'ed, only NAK'ed.
  * Small comment fixes.

2006-05-07 (Diederik)
  * Completed chat style support.
    - added support for external resources (images, stylesheets).
    - added support for "grouping messages from the same contact".
    - moved chat styles to subfolders.
  * Fixed emoticon settings, emoticon can be disabled again.
  * Fixed end-of-line characters in message link-parser, added \r (for MacOS).

2006-05-02 (Diederik)
  * Fixed a bug of the previous commit action:
    - connected requestFileTransfer / requestNetMeeting signals from ChatWindow.
  * Improved debugging output for P2P applications.

2006-04-26 (Diederik)
  * Refactored switchboard/application code, adding support for:
    - sharing of the direct connection between multiple p2p applications
      (this needed for proper direct connection support!).
    - sending p2p messages through one switchboard, receiving them at another.
    - queueing p2p messages until a connection/chat window is available.
    - pausing/resuming of applications based on available connections and queue size.
    - improved transferes over the switchboard, max speed is now 24kb/s (1 packet/100ms) to avoid flooding the queue.
    - avoiding sending multiple direct connect transfer invitations.
  * Fixed crash (in cvs only), EmoticonSidebar could fail when it resized before initialized.
  * Fixed small issue with previous new-chat-request-loop detection, clearing openChats list at reconnect and removing debug code.
  * Improved file transfer messages ("file does not exist" when reading failed).

2006-03-14 (Diederik)
  * Added quick fix to stop new-chat-request-loop. Fixes the "KMess is flooding the server"
    problem when a chat is resumed (caused by the commit at 2006-02-15).

2006-02-26 (Diederik)
  * Added fix to correctly handle invalid msnp2p packets with size=0 and flags=0 [backported to 1.4.3].

2006-02-17 (Diederik)
  * Improved login dialog usability.
    - Integrated current profiles in email/password lists.
    - Added autocompletion
  * Fixed duplicate-account problem. The login dialog created a new account by default
    when the user logged in with the username/password fields.
    It re-uses existing accounts now, and updates the password on a successful login.

2006-02-15 (Diederik)
  * Fixed compilation error with KDE 3.5.1 (KURLLabel::setSizePolicy API got broken!) [backported to 1.4.3].
  * API update, made contactlist accessable from CurrentAccount, seriously reduces the
    number of cross-references between objects. Requires to make P2P applications
    work without a switchboard later.
  * Fixed memory leak, chat invitation record was not deleted.

2006-02-11 (Diederik)
  * Added "what-is-this" help texts, based on a patch by Haris.
  * Added button to register a new account at register.passport.com.

2006-02-09 (Diederik)
  * Added Doxygen configuration for APIDocs and briefly described kmess/* and kmess/network/*
    in the module index. All functions and remaining class still need to be documented+listed.

2006-02-05 (Diederik)
  * Fixed crash with terminating invitations when the chat session was closed once before [backported to 1.4.3].
  * Fixed problems with emoticons in contact names, quotes were not escaped correctly.

2006-02-01 (Diederik)
  * Added detection of unexpected BYE messages, relaxed assertion test here
    because MSN 7.0 actually gets it wrong here.. :-p [backported to 1.4.3].

2006-01-29 (Diederik)
  * Added async-connect support to the classic file transfer.
  * Improved the network debug window for better protocol debugging.
  * Fixed quote-escaping in XML chat messages, caused parsing errors.

2006-01-25 (Diederik)
  * Fixed crash at quit, ContactAction shouldn't call disconnect() from the destructor [backported to 1.4.3].

2006-01-15 (Diederik)
  * Implemented new message parser, fixes emoticons popping up in hyperlinks.
  * Added alt texts to emoticon replacements.
  * Fixed fallback path when emoticons can't be found.
  * When the protocol part is missing for www. links, it's added silently
    to the link-href, no longer appears in chat message.

2006-01-08 (Diederik)
  * Implemented direct connection support for MSNP2P file transfers.
  * Implemented switchboard ACK waiting, so MSN server won't be flooded
    or complains when a file is sent over the switchboard.
  * Fixed P2P session teardown, should fix unexpected warning messages
    like "contact sent bad data" or "invitation was cancelled" [backported to 1.4.3].
  * Fixed sending multiple files at once, every new server socket
    uses the next port between the 6891-6900 range.
  * Fixed file open link in chat messages (broken by a previous commit).

2006-01-07 (Diederik)
  * Improved login code, added detection when the login servers are unavailable
    but still return a "503 Service Unavailable" message.

2006-01-04 (Diederik)
  * Committed path by Haris, adds image to contact list tooltip [backported to 1.4.3].

2006-01-01 (Diederik)
  * Removed /debian folder as requested by Debian packagers.
    KMess can be installed from Debian unstable now [backported to 1.4.3].

2005-12-21 (Diederik)
  * Implemented emoticon sidebar, this replaces the emoticon dialog popup.
  * After pressing the send button, the focus will be restored to the typing area.

2005-12-18 (Diederik)
  * Committed patch by Haris, fixes "https://" links in chat messages [backported to 1.4.3].
  * Committed patch by Haris, contactlist honors single/double click setting of KDE.
  * Implemented support for emoticon themes. It re-uses the emoticon styles from KDE,
    but maps them to MSN codes instead of using the codes in the XML description.
    This patch is mostly based on the work done by Haris.
  * Committed patch by Haris, temporary disables emoticons if there are links
    in the chat message (until we've written a better message parser) [backported to 1.4.3].

2005-12-10 (Diederik)
  * Implemented support for sending files with MSNP2P. The code does not
    support direct connections, it sends all files over the switchboard for now.
  * Fixed Content-Type in P2P file transfer invitation response [backported to 1.4.3].
  * Added "(0)" to the emoticoncollection, this also displays a clock icon [backported to 1.4.3].

2005-12-07 (Diederik)
  * Committed patch by Haris, fixes the title of the "Save" menu item in the chat window.
  * Committed patch by Haris, adds status to contact tooltip [backported to 1.4.3].
  * Committed patch by Haris, fixes messenger service status link (they changed it again) [backported to 1.4.3].
  * Committed patch by Haris, add nudge sending and receiving support.
  * Renamed "Save" menu item to "Save chatlog".

2005-11-13 (Diederik)
  * Replaced the QTextBrowser with a KHTMLPart
    to allow CSS markup in the chat style files.

2005-11-08 (Diederik)
  * Fixed a problem with new contacts adding you while you're online [backported to 1.4.2].
  * Fixed a problem with RPM building as root in SuSE (KDE not in $PATH) [backported to 1.4.2].

2005-10-30 (Diederik)
  * Fixed font selection buttons in the settings panel
    (the accelerator key was added to the font name) [backported to 1.4.2].

2005-10-29 (Diederik)
  * Fixed another crash when closing the chat prematurely [backported to 1.4.2].
  * Reversed the chat window title, it lists the contact name first.
  * Implemented chat style support using XSL themes. Updates the settings dialog.
    This replaces the ugly and error-phone chat-format-string in the settings.

2005-10-26 (Diederik)
  * Made the statusbar show by default, so its more
    obvious why the contact picture lights up [backported to 1.4.3].

2005-10-22 (Diederik)
  * Fixed a crash with aborting the chat session, KMess attempted to
    deliver application messages to the chat window while it was closing [backported to 1.4.2].
  * Fixed a crash which occured after disabling the display picture.
    Also fixes KMess requesting display pictures when the contact has none [backported to 1.4.2].
  * Initial support for XML/XSL chat themes (not complete yet).

2005-10-17 (Diederik)
  * Fixed a crash in Contact::setMsnObjectChat() during KMess quit [backported to 1.4.2].

2005-10-08 (Diederik)
  * Committed prototype for activities/games web sidebar.
    The sidebar is not fully operational, so it's not initialized by default.
  * Implemented libxml/libxslt wrapper to implement XSL chat styles.

2005-10-02 (Diederik)
  * Added slovenian translation by Matjaž kaše [backported to 1.4.2].

2005-09-29 (Diederik)
  * Merged a patch for configure.in.in by Gregorio Guidi
    to fix a compilation issue [backported to 1.4.2].

2005-09-25 (Diederik)
  * Implemented SOAP support to request MSN Games/Activities
    data from appdirectory.messenger.msn.com.
  * Fixed a crash caused by MSN Messenger 7.5, which changed
    the way contact pictures are exchanged [backported to 1.4.1].

2005-09-22 (Diederik)
  * Fixed a crash caused when an contact enters the chat who
    isn't in your contact list [backported to 1.4.1].

2005-09-05 (Diederik)
  * Started improving the chat window interface using the design
    from http://kde-apps.org/content/download.php?content=24461
    The sidebar dock is replaced with a toolbox.
  * Added systray-information message box when closing the main window.
  * Enabled the UPnP code in Makefile.am
  * Added a new debugging macro to handle null-pointers nicer.
    All code should use " if(KMESS_NULL(var)) return; ".



--- 1.4.3 released ---

2006-03-27 (Diederik)
  * Improved picture transfers with Bot2k3.
    - allowed base message (first ack) to have no ack fields

2006-03-26 (Diederik)
  * Fixed picture transfers with Encarta Instant Answers.
    - allowed lowercase url hex encoding in msnobject.
    - allowed data-preparation messages with incorrect fields.
  * Added console warnings for incorrect P2P messages that can still be delivered.

2006-03-23 (Diederik)
  * Backported fixes from CVS:
    - (2006-02-26) Added fix to correctly handle invalid msnp2p packets with size=0 and flags=0.
    - (2006-02-15) Fixed compilation error with KDE 3.5.1 (KURLLabel::setSizePolicy API got broken!).
    - (2006-02-05) Fixed crash with terminating invitations when the chat session was closed once before.
    - (2006-02-01) Added detection of unexpected BYE messages, relaxed assertion test here because MSN 7.0 actually gets it wrong here.. :-p
    - (2006-01-25) Fixed crash at quit, ContactAction shouldn't call disconnect() from the destructor.
    - (2006-01-08) Fixed MSNP2P session teardown, should fix unexpected warning messages like "contact sent bad data" or "invitation was cancelled".
    - (2006-01-04) Committed path by Haris, adds image to contact list tooltip.
    - (2006-01-01) Removed /debian folder as requested by Debian packagers. KMess can be installed from Debian unstable now.
    - (2005-12-18) Committed patch by Haris, fixes "https://" links in chat messages.
    - (2005-12-19) Committed patch by Haris, temporary disables emoticons if there are links in the chat message (with 1.5 we have a better message parser).
    - (2005-12-10) Added "(0)" to the emoticoncollection, this also displays a clock icon.
    - (2005-12-10) Fixed Content-Type in P2P file transfer invitation response.
    - (2005-12-07) Committed patch by Haris, adds status to contact tooltip.
    - (2005-12-07) Committed patch by Haris, fixes messenger service status link (they changed it again).
    - (2005-10-26) Made the statusbar show by default, so its more obvious why the contact picture lights up.



--- 1.4.2 released ---

2005-11-08 (Diederik)
  * Backported fixes from CVS:
    - (2005-11-08) Fixed a problem with new contacts adding you while you're online.
    - (2005-11-08) Fixed a problem with rpm building as root in SuSE (KDE not in $PATH).
    - (2005-10-30) Fixed font selection buttons in the settings panel (the accelerator key was added to the font name).
    - (2005-10-29) Fixed another crash when closing the chat prematurely.
    - (2005-10-24) Merged a patch for configure.in.in by Gregorio Guidi to fix a compilation issue.
    - (2005-10-22) Fixed a crash with aborting the chat session, KMess attempted to deliver application messages to the chat window while it was closing.
    - (2005-10-22) Fixed a crash which occured after disabling the display picture. Also fixes KMess requesting display pictures when the contact has none.
    - (2005-10-22) Added Slovenian translation by Matjaž kaše.
    - (2005-10-17) Fixed a crash in Contact::setMsnObjectChat during KMess quit.
    - (2005-10-15) Correctly merged two fixes of KMess 1.4.1 this time (sorry!).



--- 1.4.1 released ---

2005-09-26 (Diederik)
  * Backported fixes from CVS:
    - (2005-09-25) Fixed a crash caused by MSN Messenger 7.5, which changed the way contact pictures are exchanged.
    - (2005-09-22) Fixed a crash caused when an contact enters the chat who isn't in your contact list.



--- 1.4 released ---

2005-08-28 (Diederik)
  * Fixed the picture transfers modified yesterday.
    It appears MSN7 actually relies on an extra '\0' character
    in the MSNSLP message I carefully removed.
  * Made sure applications are not aborted twice.
  * Made sure chat windows are also closed when MSN7 only
    initiated it to start a picture transfer (or a contact
    opens and closes the chatwindow without typing anything).
  * Finally really fixed the crashes when closing chatwindows...
    The wrong iterator was being accessed.. *oops*
  * Made sure that closing the chat window does not close
    the application (regression of yesterday)

2005-08-27 (Diederik)
  * Fixed resuming closed chat sessions.
    - When a contact resumes it's closed chat sessions,
      KMess re-connects to the new switchboard server now.
    - When the switchboard connection is entirely closed,
      KMess requests a new switchboard connection to resume the chat.
    - When a session is resumed, pending "user is typing" and invitations
      are also sent now. This required a revision of the message-sending code.
    - All chat windows are closed after hiding them.
  * Fixed random crashes at KMess quit (again)
    - sometimes open chat windows were terminated after destroying the main window/objects.
    - The entire shutdown procecure has been revised to fix this.
  * Fixed the aborting of applications again.
    - Applications are aborted nicely when the chat window closes (leaving the SB open for a while).
    - Applications are aborted immediately at kmess quit (closing the SB directly too).
    - Fixed the download dialog for aborted file transfers.
    - The other contact is notified now when a connection cannot be made.
    - Fixed possible crashes with sending files.
  * Fixed memory leak (only once) with context menu entries not being cleaned up
  * Decreased the delay of displaying tooltips, this is useful for the contact list.

2005-08-12 (Diederik)
  * Fixed the e-mail link in the main window (slot was not connected).
  * Fixed the starting of an external e-mail program with arguments.
    It appears this code relied on a bug in kdelibs, which is fixed now.
  * Restored the Ctrl+Return as accel key for the "New Line" button.
    (got lost after re-enabling 'chatwindowinterface.ui' in Makefile.am)
  * Fixed automatic saving of chat logs (weren't saved when a contact left early).
    Also made sure empty chats are not saved.
  * Changed the date/timestamp of the chat log file to the time the chat started.

2005-08-08 (Diederik)
  * Fixed a crash in ~ChatMaster at KMess quit.
  * Updated description and version numbers for new release
  * Fixed two compilation problems with rpmbuild in Slackware 9.0

2005-08-07 (Diederik)
  * Fixed the rejecting of unknown MSN6 (P2P) invitations.
  * Improved P2P cancelling messages; if the contact cancels it
    only display "The transfer failed" when a transfer is actually occuring.
  * Made sure the Switchboard can handle type-8 P2P messages, they signal when a transfer failed.
    This fixes the "ACK-Message-ID not found" errors in the console output.
  * Made sure the Switchboard doesn't send rejects for other MSNSLP messages, like an BYE message.
    This fixes the "EUF-GUID not found" errors in the console output.
  * Added some content-type validation to P2PApplication.
  * Implemented the first step of MSN Games/Activities support.
    The current code still rejects the invitation, but it can
    extract the invitation name from the invitation message.
  * Removed the "Remote Desktop" invite support, as it's not compatible with the official client.

2005-08-06 (Diederik)
  * Removed the duplicate error message introduced at 2005/07/07, application.cpp, v1.13
    The "not implemented" warning message for contactStarted1_ContactInvitesUser
    is ment for developers, but normal users also see this message with P2P rejects.
  * Fixed the disconnect() line in MsnSwitchboardConnection,
    it unregisters contact picture updates correctly now.
  * Some API changes in MsnSwitchboardConnection;
    - Moved code between parseMimeMessage() / createApplication(Mime) / startApp(),
      they work the same as parseP2PMessage() / createApplication(P2P) now.
    - moved removeContactFromList() to contactLeft(), so it's easier
      to see the relation between contactJoined()/contactLeft()
    - Moved addContactToList() to contactJoined(), for the same reason.

2005-08-05 (Diederik)
  * (for next release) Implemented UPnP manager class.
    This enables other classes to query for UPnP information.
  * Fixed P2P support for multi-chats, KMess ignores messages directed to others.
  * Optimized the sending of P2P messages (more memcpy instead of for(..))
  * Fixed the resizing of transfer dialog entries when cancelled/completed.
  * Moved code to separate methods in P2PApplication, this should be easier to maintain.

2005-07-29 (Diederik)
  * Added Swedish translation by Christian Lundgren
  * (for next release) Implemented UPnP discovery support (SSDP)

2005-07-28 (Diederik)
  * Re-enabled all languages, knowing that fuzzy messages wont show up anyway.
  * Added 22x22 icons

2005-07-27 (Diederik)
  * Fixed a crash with the new file transfer code (MsnFtpConnection).
  * Fixed another crash with P2P session timeouts.
  * Improved debug messages to trace P2P errors, included contact handle, updated style.
  * (for next release) Started implementation for UPnP portmapping support.
    Communication works, but hasn't put into practice yet.
    If this requires too much time, it has to wait for the next release.

2005-07-24 (Diederik)
  * Fixed the layout of the file transfer dialog items.

2005-07-23 (Diederik)
  * Added downloading of updated contact pictures during chat sessions.

2005-07-20 (Diederik)
  * Fixed auto-away check again
    this time the autopackage bogus-dependency check was sitting in the way.
  * Fixed the cancelling of file transfers, especially the cancelling in easy stages.
    - A custom status message is displayed again in the chat window
    - File transfers are correctly aborted when the chat window (=switchboard) closes.
  * Fixed the displayed listing IP address, got broken 3 days ago.

2005-07-19 (Diederik)
  * Added Autopackage support (www.autopackage.org) Autopackages can be build now.
  * Fixed binary relocatable support, added configure check and made it optional.
  * Fixed cancelling of incoming (receiving) P2P-filetransfers.
  * Fixed a crash with the "Clean up" button after a P2P-filetransfer was cancelled.
  * Fixed calculating of filesize for incoming files larger then 255 bytes.
  * Fixed the filesize displayed in the transfer window, it always displayed 0 bytes for incoming P2P-filetransfers.

2004-07-18 (Diederik)
  * Fixed saving of settings at kde-logout.
  * Optimized the usage of KStandardDirs, by using KGlobal::dirs() everywhere
    (instead of creating a new instance each time).
  * Updated kmess.spec
    - Removing debugging code I'd committed by accident
    - Added verbose colorful messages
    - Fixed detection of the rpm file location, %{_arch} should be %{_target_cpu}
    - Added indents
    - Using apg++ (autopackage g++ wrapper) if it's been installed
  * Added BinReloc support to main.cpp
    - This is required for Autopackage support.
    - It also prevents the "square images" problem from happening if the --prefix was incorrect.

2005-07-17 (Diederik)
  * Got rid of the IP Dialog for sending files.
    - KMess always uses the external IP now, which makes local transfers fail,
      but external (NAT-ed) transfers no longer require user intervention (which is a better default).
  * Attempted to fix the "write at disconnected socket" problem with idle chats
    behind a NAT router, haven't been able to test the solution yet.
  * Added a file icon to the transfer dialog. Finally discovered how such thing can be done!

2005-07-15 (Diederik)
  * Improved saving of settings up to KDE standards.
  * Removed some dependencies of QWidget for core classes, likely reducing the memory footprint.

2005-07-13 (Diederik)
  * Fixed KMess blocking KDE logout (when the main window was still open)
  * Speed up compilation by running 'includemocs'.
    - Each QObject descendant class does a #include "class.moc" in their "class.cpp" file.
    - The two objects no longer need to be compiled separately
    - This also fixes moc linking errors during development.
      Those errors occured if the signals/slots of a base class are modified,
      and the derived class does not recompile it's moc
      (because that .h file was not changed).

2005-07-10 (Diederik)
  * Fixed the KMess-to-KMess picture/P2P transfers.
    - An invalid BYE message was sent, causing KMess to report
      "The transfer failed.  The contact sent bad data, or KMess doesn't support it."
  * Updated reading and writing of properties. It follows the KMainWindow standards now.
    This should fix our problems with lost properties in KDE-sessions, but it still needs some work.

2005-07-08 (Diederik)
  * Fixed the chat logging folder, logs were saved as dirfilename instead of dir/filename

2005-07-07 (Diederik)
  * Fixed the configure check for the auto-away feature.

2005-07-06 (Diederik)
  * Fixed the file transfers (classic transfer method)
    - Sending files failed because KMess used an invalid authcookie format (which MSN Messenger 6 can't handle)
    - Fixed the cancelling for active file transfers
    - Optimized the transfer of file data to the network socket.
    - Moved all file transfer protocol support to a new class
      this also allows us to extend it for msn5-style file transfer support
      (if we still want to add that off course)
  * Fixed the file transfer icon, folder_blue_open is apparently renamed to folder_open in KDE
  * Fixed the "open" link in the file transfer window (it always said it couldn't start smb://home/user/file somehow)
  * Fixed the "not installed" response for unknown mime-type invitations (the old msn invitations)
  * Fixed the accept link, an invitation cannot be accepted twice anymore.

2005-07-03 (Diederik)
  * Optimized the buffering of received msn protocol commands

2005-06-26 (Diederik)
  * Improved the kmess spec file.
    - It displays the final package name now.
    - It automatically builds a TGZ/DEB package for Slackware/Debian
  * Added "debian" folder to support "dpkg-buildpackage" for Debian

2005-06-25 (Diederik)
  * Fixed the URL for the MSN .Net Server Status

2005-06-13 (Diederik)
  * Fixed the email status bar; it's hidden again if email notifications are off,
    or the account does not support email notifications (not an msn.com/hotmail.com passport)
  * Fixed contact side bar picture, the default picture will be shown if the picture can't be loaded

2005-06-12 (Diederik)
  * Fixed irratic crashes at KMess exit.
    - This was caused by the incorrect deletion of P2P sessions.

2005-05-15 (Diederik)
  * Updated spec file
    - more distro versions should be detected now.
    - added some 'hack' to build debian/ubuntu packages

2005-05-11 (Diederik)
  * Updated spec file, allows building of Slackware packages now.

2005-05-10 (Diederik)
  * Fixed compilation error with Slackware 10.1, added <stdlib.h>
  * Added Chinese Traditional translation by Yen-chou Chen
  * Fixed compilation errors with KDE 3.1 (slackware 9.0)



--- 1.4 pre1 released ---

2005-05-08 (Diederik)
  * Updated Dutch translation
  * Disabled other translations temporary (should be enabled again if they're up-to-date)
  * Fixed more word puzzles in the KMess code
  * Updated file transfer messages, all use the same wording now.
  * Fixed layout issues with "contact has added you" dialog

2005-05-06 (Diederik)
  * Updated the AUTHORS file, and authors in main.cpp
  * Added RPM spec file, currently only tested with SuSE
  * Fixed picture updates, msn6 downloads the new picture automatically now.
  * Picture browse dialog opens the KDM pictures folder by default
  * Changed version to "1.4pre1"

2005-05-05 (Diederik)
  * Fixed the login issues with the new passport site
  * Fixed login problems when connecting with an empty contact list
  * Updated Makefile.am for modern standards, it uses KDE automake extensions now
  * Updated the README, added NEWS file
  * Updated the lsm file to version 4
  * Added configure report at end of ./configure

2005-04-18 (Diederik)
  * Fixed unnoticed issues of the new contactlist code:
    - restored the sorting of root items
    - hide root contacts in online/offline grouping mode.
    - allow removal of blocked contacts
  * Updated settings window:
    - Moved the 'display picture' item up in settings window.
    - Changed the 'display picture' icon to something nicer.
    - Changed the 'chatting' layout, more spacing and new color selection buttons.
  * Updated contact name label in main window:
    - Long names are squeezed now.
      - Updated the margins a little.

2005-04-17 (Diederik)
  * Complete contactlist code rewrite/refactoring (finally done!!),
    to support MSN6 contact groups. Additionally, the following changed:
    - Added configuration dialogs to delete operations
    - Fixed contact moving
    - Fixed contact removing
    - Fixed (possible) contactlist merge at re-connect (happened once with my account).
    - Context menu items are re-ordered
    - Context menu items have new icons
    - Groups expand at a single click
    - Groups have new icons (green for normal groups, orange for special groups)
    - Groups are always displayed above special groups.
    - Group move up/down improved, groups can never jump erratically now.
    - Improved the list-selection highlight
    - Improved the contact tooltip.
  * Fixed a few (possible) crashes at could happen while disconnecting from msn.
  * Removed the bookmark icon for togge actions of special groups in the View menu.
  * Updated .desktop file, the KMess icon will be displayed in
    the Internet/Chat/ menu with SuSE, together with Kopete.

2005-03-27 (Diederik)
  * Fixed compilation error for Qt <= 3.2
    - Network window source is no longer compiled in non-debug executable.
    - The error was caused by QTextEdit::setMaxLogLines(), which is available as of Qt 3.2

2005-02-27 (Diederik)
  * Updated admin folder with /opt/kde3/share/apps/kdelibs/admin/ from SuSE 9.2 (fixes automake error)
  * Removed -lcrypt from dependencies, it doesn't appear to be used. (available with openssl-devel)

2005-01-30 (Diederik)
  * Added the "suggested file name" for a P2P file transfer to the save-as dialog.

2005-01-22 (Diederik)
  * Fixed picture transfer errors with MSN7 Beta clients.
    (The "The contact sent bad data, or KMess doesn't support it." messages)
  * Fixed fallback picture, KMess exports the default picture now if it
    can't find your custom picture (this caused MSN6 to hide the picture panel).
  * Added debug messages to trace P2P "message demultiplexing" errors.
  * Added timeout-support for data-preparation and file-data messages.
  * Added support for broken clients sending an incorrect P2P "Closing-message".

2005-01-05 (Mike B)
  * My compiler (gcc version 3.4.3) doesn't like the #warn preprocessor directive in xautolock.cpp,
    so I removed it.

2005-01-05 (Diederik)
  * Fixed problem with lost chat messages; chat messages didn't appear if
    contacts didn't talk for some time (timeout issues).
  * Removed a "word-puzzle" in MsnConnection, to make translations easier.
  * Fixed ./configure, it detects the presense of libXss / libXext for the Auto-away feature.

2005-01-03 (Diederik)
  * MSN Pictures are converted to a 96x96 PNG now.
  * Changed layout of the image selector.

2004-12-30 (Diederik)
  * Added file-save dialog to P2P file transfers.

2004-12-28 (Diederik)
  * Updated the application framework, new-style MSN 6 invitations are
    handled by P2PApplication now. This new framework has the following fixes:
    - Support for splitted MSNSLP INVITE messages. (required for file transfer)
    - It waits for ACK to be received now, and detects if an error is received.
    - Added support for "accept/cancel" links in file transfer.
    - Added support for timeouts, sends P2P-waiting timeout and cleans up application instance.
    - Added support to detect fragmented messages (required because Kopete's P2P code is broken)
    - Added closing-bye ack messages (MSN6 no longer ends the session with a type-4 message)
    - Added UniqueID support, to return ACK messages to their P2PApplication instance.
    - Added proper handling of UTF8 messages.
    - Errors are sent correctly now as ACK-messages.
    - ACK messages are no longer sent by default.
    - P2P Footer code is set correctly now.
  * Got the accept/cancel link working for P2P file transfers.

2004-11-25 (Diederik)
  * The "Individuals" group can no longer be removed or renamed (is a special group).
  * Updated error code list, added newer error messages introduced with MSN 5 and 6.
  * Added a fallback error message if the error code is not recognized.
  * Updated the application framework, old-style MSN 4 invitations are
    handled by MimeApplication now.

2004-11-22 (gigijoe)
  * Fixed bug with Chinese (Utf) characters in chat messages.

2004-11-14 (Diederik)
  * Improved P2P code.
  * Updated lsm file

2004-11-05 (Diederik)
  * Replaced the file transfer progress dialog with a new improved one.
  * Fixed file transfer messages (word puzzles), should fix some translation problems.
  * Files can be received from MSN6 P2P sessions (only indirect switchboard connections so far).
    The the two file transfer mechanisms need to be integrated in the UI now.
  * Changed the "eventsrc" default settings, the taskbar will flash for each new message.
  * Network window is only visible if kmess is configured with --enable-debug-output

2004-10-27 (Diederik)
  * The "mark taskbar" option in KNofify (KDE System Notifications) marks the chatwindow now.
  * Kmess notifies the user now if it receives an unknown MSN6 P2P-invitation type.

2004-10-21 (Diederik)
  * Contact pictures are no longer downloaded if they're already in the cache.

2004-10-19 (Diederik)
  * Fixed problems with newlines from the official MacOS MSN Messenger Client.

2004-10-14 (Diederik)
  * Added "Configure Notifications" menu item.

2004-10-10 (Diederik)
  * Finished the P2P transfers framework, P2P transfers are stable now.

2004-09-24 (Diederik)
  * Added new 64x64 and 128x128 icons.
  * Updated default kmess display picture.

2004-09-23 (Diederik)
  * Updated display pictures support.
  * Changed the desktop file to stay aligned in the KDE 3.2 menu,
    KMess is now listed as "MSN Client (KMess)" in the menu.

2004-08-25 (Diederik)
  * Rearranged menu items in the actions menu.
  * Fixed the add contact dialog, invalid e-mail addresses like "me@hotmail.co" are detected.
    This caused KMess to close the connection before (because of an error message it received).

2004-08-12 (Diederik)
  * Fixed the chat send button, empty messages are no longer sent.

2004-08-11 (Diederik)
  * Added default file name in file transfer save dialog.

2004-08-01 (Madelman / Mike J)
  * Removed autom4te.cache from CVS. Grrrrr.
  * We now have preliminary support for user display images.
  * Fixed some issues with UDI.
  * Added a network window. Currently only displays the MSN
    messages, but the framework is there for a more generic
    log/messages window.

2004-07-31 (Madelman)
  * Removed the balloon notification which shows the contacts that are online
    when you login, so it works as the rest of messenger clients

2004-07-04 (Diederik)
  * Started with support for P2P and SLP messages, required for
    msn6 display pictures transfers (not complete yet).

2004-05-15 (Mike J)
  * Added some .cvsignore files.
  * Added a kdevelop version 3 project, converted with kdevprj2kdevelop.
  * Added the full set of fields to MSNObject, and gave it capabilities
    to generate itself from strings provided in the constructor. This uses
    SHA1 code taken from the calcchecksum project.

2003-01-02 (mike)
  * Changed GnomeMeeting's "IP-Address" to "IP-Address:" as per GiJoe's suggestion
    on the forum.  I'm assuming it works.
  * Added new emoticons and ordered them nicely.

2003-12-04 (michael/jan)
  * Emoticon tooltips written.

2003-12-03 (michael)
  * Emoticon tooltip support.  I haven't written the tooltips yet tho' ;)

2003-12-01 (michael)
  * New idle timer code that uses the MIT-SCREEN-SAVER extension
    If you don't have this, you *must* comment out the #define at the top of
    the XAutoLock.cpp file until I get around to fixing configure.
    Note that the old idle timer code is NYI, it is likely to make a reappearance
    as mouse only detection.  The keyboard code is messy and never worked properly.

2003-11-02
  * Fixed the dog emoticon.



-- 1.3 released --

2003-10-05
  * Put "party" after "omg" so that the party emoticon shows correctly.

2003-09-15 (NZST)
  * Added Mokoshi to credits
  * Convert domain to lowercase in SSLLoginHandler to fix people putting @MSN.COM &c.
  * Fixed (ContactListViewItem) type cast that caused a forum user some trouble.

2003-09-12 (NZST)
  * Tidy up of SSLLoginHandler, maybe fixed some of the authentication issues
  * Fixed a number of problems pertaining to the production of warning messages
    in the debug output.
    All that now remain are the KLibrary messages (can't do much about that?) and
    a writing to disconnected socket warning when starting a chat (will track this down)
  * Removed old tooltip code since it is now obsolete.
  * Fixed the autologinView swapping on normal connect

2003-09-10 (MDT)
  * Fixed it so the file dialog would remember where it was last opened...
    all I had to do was NOT specify a directory to start in (hooray for KDE).

2003-09-09 (NZST)
  * Fixed blocked contacts... again.  They were being treated as always online.

2003-09-08 (NZST)
  * Made tool tips work in the contact list.  The new tool tips also give
    the contacts "real" name from the server.

2003-09-01 (NZST)
  * Made blocked contacts again be counted as part of the online contacts
    if they are online. (ours is not to reason why)

2003-08-23 (NZST)
  * Put online contacts above contacts with other statuses, ie
     Online
     others - Away, etc
     Offline
  * Use autologin view for all logins.
    This avoids weird GUI mishaps, eg pushing the down key will cause the
    current login to stop.

2003-08-10 (NZST).
  * Added _support_ for new MSN6 emoticons.
    If the images are there, it will use them, otherwise it will pretend those
    emoticons don't exist.  This means we can distribute our own limited, but
    copyright free set, but if people want to use Microsoft's images they can
    easily add them.
  * Much better fix - now these accounts work with the MSNP9 protocol.
    (domain needs to be null for some reason)
  * Got authentication working with "other" (non-Hotmail, msn, etc) accounts!
    I've implemented the MSNP8/http login protocol for these accounts...

2003-07-27
  * No more word puzzles. :p  The application termination part would have to be
    rewritten slightly to really make it "word puzzle" free.  Maybe later.

2003-07-24 (NZST)
  * Updated French translation from Vincent Fretin

2003-07-20 (NZST)
  * Fixed up cookie management in SSL login
    Tried to fix passport (ie non hotmail.com) accounts, but no luck so far

2003-07-04
  * Fixed 100% CPU usage with new SSL login'er?

2003-06-30 (NZST)
  * Support for MessengerPlus markup
  * New MsnString class to handle most of the markup stuff
    (yet to be used in the contact list)
  * Added MSN 9 login and contact list loading support.

2003-06-23 (NZST)
  * Added an indicator (LED) icon that shows the connection status/health.

2003-06-22
  * Fixed where the (PROXYTYPE) is applied in Account.

2003-06-12
  * Fixed the ping timer to fire every 30 seconds like it says in the comments,
    not every 3 seconds. ( 30s = 1000ms * 30, not 1000ms * 3 ) LHX caught the bug.

2003-06-11 (NZST)
  * Email notifications now use new balloons.

2003-06-09 (NZST)
  * New configure option: --enable-debug-output
    Which globally toggles debug output.
    This means that in future releases, the default build will be a quiet,
    and hence faster one (logging in, for example, suffers with debug on)
  * Fixed quit crashiness caused by the latest changes to the ContactListViewItem.
  * Tidied up ping code a little.
  * Fiddled a bit with balloon code, to see if the odd effects go away.

2003-06-08 (NZST)
  * Added in ping code.
    It pings 30s after the last data received/last ping
    If 5 pings go missing, it disconnects
  * Fixed the "<-- Name -->" issue mentioned on the forums.
  * LHX has fixed the chinese name splitting problem?
  * Fixed some problems with the chat logging widget (that I caused earlier)

2003-06-02
  * Finished fixing up the proxy code.  It ought to work now.

2003-06-01
  * Fixed up the proxy code.  It may work now.
  * Note to MC: I think the file transfer 100% CPU usage is due to "enableWrite" but I
    don't know what would be better.

2003-05-31
  * Added in some of the proxy code, but it probably doesn't work, since Lin sent me a mix of
    msnconnection header and body from different versions and I had to make do.

2003-05-31 (NZST)
  * Removed (s) as an alias for the (S) smiley as it doesn't really exist

2003-05-30 (NZST)
  * Bug fixes in notification classes, clicking works.

2003-05-28 (NZST)
  * Merged in the new notification classes.  Still not complete however.

2003-05-19
  * Removed the defunct "removeIsoChars"
  * Added the proxy stuff to the settings and account.

2003-05-18
  * Changed socket to connect/close the existing socket, rather than new/delete every time.

2003-05-17
  * Hopefully fixed a problem loading unicode chars from file.
  * Fixed a problem opening Hotmail (the server no longer seems to send "preferred email".
  * Removed deprecated chat format options (showTimestamp and useCompactChat).
  * Largely rewritten balloonbase code
  * New curvedwidget, which is just a QWidget with a mask to give it filleted corners
    It is not used yet, but will form the basis of the new balloons system.
  * Fixed bold, italic, underlined fonts in chats

2003-05-16
  * Added new chat formatting thing.
  * Re-enabled the scrollbar, asian char thing.



--- 1.2.1 released ---

2003-05-13
  * Readied for 1.2.1.
  * Fixed tab order in settings widgets.
  * Made the message edit have focus when a chat starts.

2003-05-?
  * Added "include"s to help some peoples' compilation
  * Put in checks for Qt 3.0



--- 1.2 released ---

2003-05-04
  * Fixed a problem with URL parsing.

2003-04-29
  * Increased sendable message size to 1400 UTF-8 chars.  Time to look at PGP encryption
    of messages?

2003-04-28
  * Auto-reply wasn't working.  Now it is.  I'll take credit for fixing it if it stays fixed!
  * Changed "hasMouse" to "isActiveWindow".  Seems to work.
  * Fixed a bug (that I caused) with the status action not showing the right status.
  * Fixed up Account to remove some of old QCString stuff.

2003-04-27
  * Made the contact list super-wide, unscrollable to fix chinese name-splitting.
  * Cast QListViewItem* to ContactListViewItem* in group.cpp's updateItemIdentifier
  * Hopefully fixed a bug in file receiving, where if the transfer doesn't work, it tries
    to delete the app twice.  (It shouldn't do that, anyway, but still...)
  * Changed noBytesWritten to an int to avoid truly weird error messages.
  * Fixed a bug where UI settings were reset if the settings were opened after the changes.
  * Changed parent of the font and colour selectors in the chat window to the chat
    window itself, rather than "global", which causes the main window to pop
    inexplicably to the front when these dialogs are opened.

2003-04-25
  * Removed a bad utf8 from transferfile.cpp and sendfile.cpp
  * Fixed < showing as &lt;, thanks to my earlier trying to make
    it so html things like &lt; wouldn't be shown as <.

2003-04-23 (NZST)
  * Fixed group adding and removing.
  * Added Arend's background centering patch.
  * Made font effects optional, renamed "magic" to "effects" ( :p, hey,
    after writing "effects" for all the options, I couldn't resist ).

2003-04-22 (NZST)
  * Transparency in list items so that we can properly use a pixmap background in the list
    (still buggy)
  * Fully working "transparency"
  * Updated kmess desktop and background.png, added MSG length fixes.

2003-04-21 (NZST)
  * Fixed clicking of URLs with ? marks in them, by adding a pseudo-protocol
    kmess://, so that internal URLs can be distinguished from URLs with ? marks in chats
  * Added some #ifndef xxx_H that were missing
  * Background colour of selected QListViewItems is now set correctly
  * The relevant chat window comes to the front if you try to start a chat
    with someone you're already in a chat with.

2003-04-19
  * The user's "typing" status is reset when a message is received.
  * fprintf's removed from "ChatWindowInterface".
  * Users can now start invisible.
  * Added the error message "you can't start a chat with someone while you
    are invisible".  Guess how I came to add that one.
  * Tried to have the contact list show a background picture.  It isn't working.

2003-04-18
  * A password dialog is shown if the user's password is blank.
  * There is no longer a fixed number of contact frames, and contacts
     who have left the chat go to the bottom of the list in the sidebar.
  * Some experimental ISO encoding decoding stuff from KMail
     (the code looks horrible, but that's how it came, *sigh*)

2003-04-17 (NZST)
  * File send cancel bug fixed. (thanks to Lin Haoxiang)
  * Cured popup minimized/open normal bug when people start new chats
    (a little hacky - hide then reopen)
  * Possibly fixed problem where popups don't appear in certain circumstances...
  * New status icons from Dave Vignoni
  * Turned off scaled contents so the status icon doesn't become pixellated in the
    sidebar.

2003-04-03 (NZST)
  * Added some experimental parsing of *, _ and / around characters into
    bold, underline, italic.  Is currently not optional, interface will come
    later!

2003-03-31
  * Fixed is so that when contacts' pictures are changed, the chat window is
    updated immediately.

2003-03-30
  * Fixed the no-cursor problem.

2003-03-29
  * Complete restructure of emoticon handling
  * Emoticons in contact list!
  * Hey, it's still the 28th here in Canada.
  * Fixed application message stuff.
  * Mike's redone ContactListViewItem
  * Size fixes etc to above
  * Now uses 16x16 (scaled down) emoticons in contact list (looks better).
  * Fixed contact list item line splitting (no, <nobr> didn't fix everything)
  * Added a "show offline contacts" option.
  * Forced the chat browser and message edit's background color to white.

2003-03-28
  * ContactListViewItem now uses QSimpleRichText, which allows us
    to put emoticons in the contact list (soon)
  * Speed improvements in chat browser.
  * Contacts are now shown in italic if they have removed you from their list.

2003-03-26
  * Fixed some contact properties dialog problems.

2003-03-25
  * Added ability to change group sort order.

2003-03-24
  * Continued application stuff, adding back in file sending.
  * Fixed dragging a contact to a special group.

2003-03-22
  * Added drag to sidebar invites contact
  * Tidied up drag and drop code
  * We now have an icon when dragging the contact

2003-03-21
  * Added drag and drop contact support
  * Some tidy up of the async connection code (no bugs fixed yet tho')
  * Continued adding applications in the mime message way.

2003-03-20
  * Continued changing QCStrings to QStrings.
  * Added different Estonian translation.
  * Converted the basic network connections to the new mime message way.

2003-03-19
  * Added Estonian translation (Tarmo Renter <tarmo@momentor.ee>), updated credits and docs.
  * Started changing QCStrings to QStrings.

2003-03-14
  * Added Danish translation (Lars Sommer <admin@lasg.dk>), updated credits in
    "about" and the documentation.



--- 1.1 released ---

2003-03-12
  * Kludged a fix to the "crash on no internet" bug.... then fixed the fix

2003-03-10
  * Removed the KDE desktop invite menu item in preparation for 1.1.
  * Added GnomeMeeting icon.
  * Fixed some int'l code (Thanks to Park Dong Cheon).

2003-03-09
  * Added Dane to the credits.

2003-03-08
  * More remote desktop stuff.  It should work if KRDC cooperated.
  * Fixed an issue in contact-initiated applications with the cookie

2003-03-08
  * Fixed the last line in a multi-line chat not being shown.  What a blunder.
  * Fixed the urlClick problem in the chat window that I caused when I put
    the typing thing in.
  * Added more remote desktop stuff

2003-03-06
  * Put "So-and-so is typing." back in.

2003-03-05
  * Moved in GnomeMeeting and preliminary RDP code.
  * MC added his asynch stuff.



--- 1.0 released ---

2003-03-05
  * Added Dave's new art.

2003-03-02
  * Fixed name change caption and settings updating.

2003-02-19
  * Added Catalan translation

2003-02-18
  * Added sound for when a contact comes online.  How that slipped by,
    I'll never know.
  * Disabled the friendly name edit in the settings when the user is not
    online with that account
  * Removed the "rename contact" action from the code entirely.
  * Added the contact's email address to the properties dialog (since the
    tooltip doesn't work for some people)
  * Changed account to use a "dirty" flag when the account is modified,
    so hopefully my two simultaneous accounts can be changed independently.



--- 1.0 rc1 released ---

New Features (so I don't forget)
- It is saved whether groups are open or closed
- Contacts can be renamed and notifications can be set on a contact-by
  -contact basis
- Redesigned chat window
- In-place group renaming (?)
- Command-line login
- Note: now uses .kde/share/apps/kmess instead of .kmess.
- Can possibly detect contacts blocking you.
- Project should be considered "stable"

2003-02-16
  * Moved "Properties" to the top of the contact right-click popup.

2003-02-15
  * Put in bag-head unknown.

2003-02-14
  * Put in protection against creating a contact with a blank handle.
    Untested.
  * Fixed changing "show email" so that a signal is emitted and it
    changes instantly like it should.
  * Added new chinese encodings.

2003-02-12
  * Fixed the contact frame extra space issue

2003-02-10
  * Changed is so that if a contact's name changes, the contact is renamed
    in MSN's list (to avoid names reverting to contact's handles)
  * Thanks to MSN's flakiness, today, fixed some problems with disconnecting
    and reconnecting after an error.

2003-02-09
  * Fixed that ContactFrame tooltips used "tr" instead of "i18n"...
    too late for translators, though.
  * Fixed KMessInterface property saving.
  * Fixed autologin
  * Fixed that clicking the "contact online" balloon starts a chat with the contact.
  * Added an "autologin" view.

2003-02-08
  * Fixed that the contact's specified name is used on chat joining.
  * Fixed bug where the number of emails was retained when disconnecting
    with one account and reconnecting with another.
  * Fixed that the user's "show sidebar" preferences are saved.
  * Fixed "contact added user"

2003-02-07
  * Feature freeze in effect
  * Fixed the layout of the contact properties box.
  * Made some changes to the settings labels.  Added the "Show graphics"
    emoticons.  Made the contact font choosers toggle with the "use contact
    font" check box.
  * Updated the emoticon to reflect the fact that .kmess/emoticons is no
    longer used.
  * Changed contact extension to guess files from the home directory, not
    .kmess/whatever.
  * Changed the system tray widget to try to avoid the funny-looking "offline"
    icon I get at startup.  It only partially worked.
  * Added account deletion
  * Fixed chat window font + color updating.
  * Fixed group name dialog wrong caption.
  * Fixed invalid warning on saving chats to an existing directory.  Improved
    the code, there, with a createDirectory function.

2003-02-06
  * Changed the Contact Properties, IP, and Transfer Progress dialogs to use
    KDialogBase
  * Made is so the "new message" sound is played if the user receives a system
    or application message in the chat.
  * Fixed chat window flashing (which I broke in the first place)
  * Fixed "InvitedContact" picture path.

2003-02-05
  * Fixed the transfer progress dialog to scale all transfers to 1000,
    hopefully the problem of the progress dialog and very large numbers.
  * Changed some of the text... "handle" to "email", added "or is invisible"
    to the switchboard chat with an offline contact.
  * Changed the "contact is online" balloon to use a light green color
    (because it's my program and that's how I want it!)
  * Converted the dialogs to use KDialogBase.  The default sizes are still iffy.

2003-02-04
  * Made the balloon m_caption text black.
  * Made "new contact" use the file new icon and moved the separator in the
    actions menu to after "new group"
  * Fixed balloon crashiness ("close" now hides the balloon - the timeout
    deletes it.)
  * Fixed some send/receive code (hopefully).
  * Put some space between the contact picture and buttons in the contact frame.
  * Added documentation from 0.9.8, assuming everything goes well with "commit".
  * Added translation files.

2003-02-03
  * Returned to Kopete's balloon, then modified its functions.  Modified
    PopupNotification's closeBalloon to avoid some crashiness.
  * Improved the ISO character name parsing in MsnConnection, applied it to
    an email's subject as well as sender.
  * Stopped deleting ContactActions - the source of much on-exit crashiness.
  * Ctrl+T can now be used to close the contact sidebar in the chat window.

